1                                                                               
                                                                                
                                                                                
                                                                                
                                                                                
 *******************************************************************************
 *                                                                             *
 *        MMM   MMM  UU    UU  LL      TTTTTTTTTT    AAAA     NNN     NN       *
 *        MMMM MMMM  UU    UU  LL          TT       AA  AA    NNNN    NN       *
 *        MM MMM MM  UU    UU  LL          TT      AA    AA   NN NN   NN       *
 *        MM  M  MM  UU    UU  LL          TT     AA      AA  NN  NN  NN       *
 *        MM     MM  UU    UU  LL          TT     AAAAAAAAAA  NN   NN NN       *
 *        MM     MM  UU    UU  LL          TT     AA      AA  NN    NNNN       *
 *        MM     MM  UUUUUUUU  LLLLLLLL    TT     AA      AA  NN     NNN       *
 *                                                                             *
 *                    88888888                      00000000                   *
 *                 88888888888888                00000000000000                *
 *               888            888            000            000              *
 *              888              888          000              000             *
 *             888                888        000                000            *
 *             888                888        000                000            *
 *             888                888        000                000            *
 *              888              888         000                000            *
 *               888            888          000                000            *
 *                8888888888888888           000                000            *
 *               888            888          000                000            *
 *              888              888         000                000            *
 *             888                888        000                000            *
 *             888                888        000                000            *
 *             888                888        000                000            *
 *              888              888          000              000             *
 *               888            888            000            000              *
 *                 88888888888888                00000000000000                *
 *                    88888888                      00000000                   *
 *                                                                             *
 *******************************************************************************
                                                                                
                                                                                
                    A  SYSTEM  OF  COMPUTER  PROGRAMS  FOR  THE                 
                AUTOMATIC  SOLUTION  OF  CRYSTAL  STRUCTURES  FROM              
                          X-RAY  DIFFRACTION  DATA.                             
                                                                                
                                                                                
                                PRINCIPAL AUTHOR:                               
                                                                                
                                    PETER MAIN                                  
                                                                                
           DEPARTMENT OF PHYSICS,  UNIVERSITY OF YORK,  YORK,  ENGLAND.         
                                                                                
                                                                                
             OTHERS CLOSELY ASSOCIATED WITH THE DEVELOPMENT OF MULTAN:          
                                                                                
                   S. J. FISKE,   S. E. HULL,  L. LESSINGER,                    
                   G. GERMAIN,  J-P. DECLERCQ, M. M. WOOLFSON.                  
                                                                                
                                                                                
                                   JANUARY 1980                                 
1                                                                       PAGE   2
                                  ************                                  
                                  * CONTENTS *                                  
                                  ************                                  
                                                                                
                                                                                
                   SECTION                                         PAGE         
                                                                                
          INTRODUCTION                               . . . .         3          
                                                                                
          PREPARATION OF DATA FOR NORMAL             . . . .         5          
                                                                                
          PREPARATION OF DATA FOR MULTAN             . . . .         9          
                                                                                
          PREPARATION OF DATA FOR EXFFT              . . . .        12          
                                                                                
          PREPARATION OF DATA FOR SEARCH             . . . .        13          
                                                                                
          RUNNING THE PROGRAMS                       . . . .        15          
                                                                                
          FLOW DIAGRAM OF MULTAN80                   . . . .        16          
                                                                                
          COMPUTER DEPENDENCE OF MULTAN80            . . . .        17          
                                                                                
          ON CHANGING ARRAY SIZES                    . . . .        18          
                                                                                
          DESCRIPTION OF NORMAL                      . . . .        19          
                                                                                
          DESCRIPTION OF FIRST PART OF MULTAN        . . . .        21          
                                                                                
          DESCRIPTION OF LAST  PART OF MULTAN        . . . .        25          
                                                                                
          FIGURES OF MERIT                           . . . .        27          
                                                                                
          DESCRIPTION OF THE FOURIER PROCEDURE       . . . .        29          
                                                                                
          CHECK-LIST FOR DIFFICULT STRUCTURES        . . . .        31          
                                                                                
          DESCRIPTION OF THE DATA FILES              . . . .        33          
                                                                                
          SUMMARY OF KEYWORD INSTRUCTIONS            . . . .        37          
1                                                                       PAGE   3
                               ****************                                 
                               * INTRODUCTION *                                 
                               ****************                                 
                                                                                
                                                                                
      MULTAN80 IS AN UPDATED VERSION OF THE PREVIOUSLY ISSUED MULTAN78.         
 THE MAJOR ALTERATIONS ARE THE RESTRICTION TO 32-BIT MACHINES AND ABOVE, THE    
 INTRODUCTION OF FREE-FORMAT INSTRUCTIONS, THE ACTIVE USE OF FIGURES OF MERIT TO
 REDUCE UNNECESSARY COMPUTING TIME AND THE OPTION OF USING THE STATISTICALLY    
 WEIGHTED TANGENT FORMULA (HULL & IRWIN, 1978, ACTA. CRYST. A34, 863-870).      
 IN ADDITION MULTAN HAS BEEN RE-WRITTEN TO MAKE MORE EFFICIENT USE OF CORE AND  
 TIME RESOURCES.                                                                
                                                                                
      THE COMPLETE SET OF PROGRAMS WILL PERFORM ALL THE NECESSARY CALCULATIONS  
 FROM THE NORMALISATION OF STRUCTURE FACTORS TO THE OUTPUT OF A 'PICTURE' OF THE
 STRUCTURE ON THE LINEPRINTER.  THE PROGRAMS ARE DEVELOPED ON A DEC SYSTEM 10   
 COMPUTER AT YORK. EARLIER DEVELOPMENT TOOK PLACE ON AN ICL 1906A AT LEEDS      
 UNIVERSITY, ENGLAND, AN IBM 370/158 AT LOUVAIN, BELGIUM, AND AN IBM 370/165 AT 
 THE CENTRE EUROPEEN DE CALCUL ATOMIQUE ET MOLECULAIRE, ORSAY, FRANCE, THE USE  
 OF WHOSE COMPUTING FACILITIES THE AUTHORS GRATEFULLY ACKNOWLEDGE.              
 ACKNOWLEDGEMENT IS ALSO DUE TO THE MANY PEOPLE WHO HAVE PASSED ON HELPFUL      
 SUGGESTIONS AND GIVEN CONSTRUCTIVE CRITICISM OF EARLIER VERSIONS OF MULTAN.    
 WITHOUT THIS FEEDBACK FROM USERS, DEVELOPMENT OF THE PROGRAMS WOULD TAKE       
 VERY MUCH LONGER.                                                              
                                                                                
      THE GENERAL AIM IN PRODUCING MULTAN80 HAS BEEN TO PROVIDE A SYSTEM OF     
 PROGRAMS WHICH WILL SOLVE CRYSTAL STRUCTURES IN A SINGLE COMPUTER JOB.  THE    
 AUTOMATIC OPERATION MEANS THE USER NEED NOT BE AN EXPERT IN DIRECT METHODS TO  
 USE THE SYSTEM SUCCESSFULLY, YET IT IS HOPED THAT THE PROGRAMS ARE             
 SUFFICIENTLY FLEXIBLE TO ALLOW USER INTERVENTION AT CERTAIN CRITICAL POINTS IF 
 NECESSARY.  IN ADDITION, THE AUTHORS HOPE THE PROGRAMS ARE EASY TO USE AND     
 THEY WILL CONTINUE TO DEVELOP THE SYSTEM TOWARDS THESE ENDS.  THERE CAN BE NO  
 GUARANTEE THAT THE PROGRAMS ARE FREE OF BUGS OR CRYSTALLOGRAPHER TRAPS AND,    
 INDEED, THE AUTHORS WILL BE PLEASED TO HEAR OF ANY MISBEHAVIOUR OR SPECIAL     
 DIFFICULTIES IN IMPLEMENTING MULTAN80 ON A PARTICULAR COMPUTER.                
                                                                                
      THE PROGRAMS ARE WRITTEN IN FORTRAN IV AND SHOULD RUN, WITH A MINIMUM OF  
 ALTERATION, ON ANY COMPUTER WITH A 64K STORE OF 32-BIT WORDS.  IF THE OPERATING
 SYSTEM ALLOWS SEVERAL PROGRAMS TO BE RUN IN THE SAME JOB, IT IS POSSIBLE TO    
 EXECUTE THE PROGRAMS SEQUENTIALLY AND OBTAIN A SOLUTION OF THE CRYSTAL         
 STRUCTURE IN A SINGLE COMPUTER RUN.                                            
                                                                                
      TO HELP THE IMPLEMENTATION OF THE PROGRAMS, THEY ARE USUALLY DISTRIBUTED  
 WITH TEST DATA AND THE LINEPRINTER OUTPUT THE DATA IS EXPECTED TO PRODUCE.  AS 
 MULTAN80 IS NOT COMPLETELY MACHINE INDEPENDENT, THE ACTUAL OUTPUT OBTAINED MAY 
 NOT BE IDENTICAL IN ALL DETAILS TO THE ONE SUPPLIED.                           
                                                                                
      PHASE DETERMINATION IS CARRIED OUT USING THE TANGENT FORMULA OF KARLE AND 
 HAUPTMAN (1956, ACTA CRYST., 9, 635) WHICH IS BASED ON THE SIGMA2 PROBABILITY  
 FORMULA OF COCHRAN (1955, ACTA CRYST., 8, 473).  THE TANGENT FORMULA AS USED IN
 MULTAN WORKS MOST SATISFACTORILY WITH EQUAL ATOM STRUCTURES BUT THE PRESENCE OF
 A HEAVY ATOM DOES NOT INVALIDATE THE THEORY.  IN FACT, THE EASIEST WAY TO      
 DETERMINE A HEAVY-ATOM STRUCTURE IS PROBABLY TO USE MULTAN TO DETERMINE THE    
 HEAVY ATOM POSITIONS AND AS MUCH OF THE REMAINDER OF THE STRUCTURE AS THE E-MAP
 GIVES. THE REMAINING ATOMS CAN THEN BE FOUND USING THE NORMAL FOURIER          
 TECHNIQUES.                                                                    
1                                                                       PAGE   4
                                                                                
      THE COMPLETE SYSTEM OF PROGRAMS IS MADE UP OF THE FOLLOWING:              
                                                                                
 NORMAL     COMPUTES NORMALISED STRUCTURE AMPLITUDES FROM F(OBS) VALUES USING   
 ******     EITHER A K-CURVE, A WILSON PLOT OR A DEBYE CURVE.  OUTPUTS INTENSITY
            STATISTICS AS A CHECK ON THE SCALING AND AN AID TO SPACE GROUP      
 DETERMINATION.  PREPARES A REFLEXION INPUT FILE FOR MULTAN AND CAN BE USED TO  
 PREPARE FILES FOR KARLE RECYCLING OR FOR FOURIER CALCULATIONS.                 
                                                                                
 MULTAN     CONSISTS OF TWO LOGICAL SECTIONS:                                   
 ******     A) 'FIRST' FINDS SETS OF THREE STRONG REFLEXIONS WHOSE INDICES ARE  
            RELATED AS H, H' AND H-H'. IT THEN USES CONVERGENCE TO FIND THE     
 STARTING REFLEXIONS FOR THE TANGENT FORMULA BY APPLICATION OF THE SIGMA1       
 FORMULA AND BY ASSIGNING PHASE VALUES TO REFLEXIONS WHICH DEFINE THE ORIGIN AND
 ENANTIOMORPH.  A SMALL NUMBER OF OTHER REFLEXIONS MAY BE CHOSEN WHICH GIVE A   
 'GOOD START' TO THE TANGENT FORMULA.  AS THE VALUES OF THESE PHASES ARE        
 INITIALLY UNKNOWN, A NUMBER OF DIFFERENT PHASE VALUES ARE ASSIGNED BY 'MAGIC   
 INTEGERS', THUS PRODUCING A MULTIPLE STARTING POINT AND HENCE THE NAME OF THE  
 PROGRAM. CONVERGENCE IS ALSO USED TO REJECT THE LESS WELL-LINKED REFLEXIONS    
 FROM THE PHASE DETERMINATION PROCESS. THEN SETS OF THREE REFLEXIONS AS DEFINED 
 ABOVE ARE FOUND SUCH THAT E(H) IS SMALL AND E(H'), E(H-H') ARE LARGE, FOR USE  
 IN THE PSI(ZERO) FIGURE OF MERIT.                                              
            B) 'LAST' DETERMINES PHASES FOR ALL REFLEXIONS FROM EACH STARTING   
 SET PRODUCED BY CONVERGE USING ONE OF TWO POSSIBLE TANGENT FORMULAE.           
 FIGURES OF MERIT FOR EACH SET OF PHASES ARE ALSO COMPUTED.                     
                                                                                
 EXFFT      COMPUTES AN E-MAP FROM A SET OF NORMALISED STRUCTURE FACTORS.  THIS 
 *****      PROGRAMME USES THE COOLEY-TUKEY FOURIER TRANSFORM ALGORITHM AND IS  
            ADAPTED FROM A CRYSTALLOGRAPHIC PROGRAMME WRITTEN BY L. F. TEN EYCK.
                                                                                
 SEARCH     FINDS THE COORDINATES OF THE HIGHEST PEAKS IN THE E-MAP AND, FOR A  
 ******     MOLECULAR STRUCTURE, LOOKS FOR GROUPS OF PEAKS WHICH COULD FORM A   
            MOLECULE OR A MOLECULAR FRAGMENT CONSISTING OF AT LEAST FIVE ATOMS. 
 COMPUTES BOND LENGTHS AND ANGLES FOR EACH MOLECULAR FRAGMENT AND OUTPUTS ON THE
 LINEPRINTER A PROPERLY SCALED VIEW OF THE PEAKS PLOTTED ON THE LEAST SQUARES   
 PLANE.  OTHER ORTHOGONAL PROJECTIONS CAN BE OUTPUT IF REQUIRED.  EACH FRAGMENT 
 IS INTERPRETED IN TERMS OF BONDED ATOMS BY APPLYING SIMPLE STEREOCHEMICAL      
 CONSTRAINTS AND ALTERNATIVE INTERPRETATIONS ARE OUTPUT IF FOUND.  THE          
 INTERPRETED FRAGMENTS ARE COMPARED WITH THOSE INPUT BY THE USER AND            
 CORRESPONDING ATOMS ARE IDENTIFIED.  THIS PART OF THE PROGRAMME IS A REWRITTEN 
 VERSION OF THE ORIGINAL BY MICHEL KOCH (ACTA CRYST., 1974, B30, 67).           
                                                                                
1                                                                       PAGE   5
                 **********************************                             
                 * PREPARATION OF DATA FOR NORMAL *                             
                 **********************************                             
                                                                                
                                                                                
 ALTHOUGH THE COMMANDS ARE IN FREE FORMAT, IT IS RECOMMENDED THAT THE USER      
 KEEP TO THE ORDER BELOW.                                                       
                                                                                
 CARD 1          IN FORMAT (20A4).   A TITLE UP TO 80 CHARACTERS LONG.          
                 THE TITLE IS REPRODUCED AT THE HEAD OF A NUMBER OF PAGES OF    
                 OUTPUT. IT IS RECOMMENDED THAT IT INCLUDE USEFUL INFORMATION   
                 SUCH AS NAME OR MNEMONIC OF COMPOUND, CHEMICAL FORMULA, SPACE  
                 GROUP SYMBOL AND NUMBER OF MOLECULES PER UNIT CELL.            
                                                                                
 CARD 2 ONWARD   FREE FORMAT INPUT. ONLY THE FIRST THREE CHARACTERS OF A KEYWORD
                 ARE SIGNIFICANT. A KEYWORD NEED ONLY BE GIVEN IF THE USER      
                 WISHES TO CHANGE A DEFAULT VALUE FOR A PARAMETER, OR TO USE A  
                 FACILITY NOT USED AUTOMATICALLY BY THE PROGRAM. THE THREE      
                 EXCEPTIONS ARE 'CELL', 'CONTENTS' AND 'SYMMETRY'.              
                                                                                
 CENTRO          CENTROSYMMETRIC SPACE GROUP                                    
                                                                                
 NONCENTRO       NONCENTROSYMMETRIC SPACE GROUP (DEFAULT)                       
                                                                                
 LATTICE C       C IS THE LATTICE TYPE (P,A,B,C,I,F OR R). THE DEFAULT IS P.    
                 IF THE LATTICE TYPE IS R, THE SPACE GROUP SYMMETRY MAY BE      
                 DESCRIBED BY EITHER RHOMBOHEDRAL OR HEXAGONAL AXES.            
                                                                                
 LINEAR          IF SPECIFIED, THE E'S WILL BE CALCULATED USING THE SCALE       
                 AND TEMPERATURE FACTORS CALCULATED FROM A LEAST-SQUARES        
                 STRAIGHT LINE THROUGH THE DEBYE (OR WILSON) CURVE.             
                 IF 'LINEAR' IS NOT SPECIFIED THE DEFAULT WILL BE USED, WHICH IS
                 A K-CURVE INTERPOLATION. IF THE TEMPERATURE FACTOR AND/OR SCALE
                 ARE SUPPLIED BY THE USER, 'LINEAR' IS AUTOMATICALLY ASSUMED.   
                                                                                
 NOSCALE         INDEX GROUPS WILL NOT BE INDIVIDUALLY SCALED. A SINGLE         
                 OVERALL SCALE FACTOR WILL BE APPLIED. THE DEFAULT IS THAT      
                 INDIVIDUAL SCALE FACTORS WILL BE APPLIED TO INDEX GROUPS.      
                                                                                
 EINPUT          MEANS THAT E(OBS) WILL BE SUPPLIED IN PLACE OF F(OBS).         
                                                                                
 LIST            PRODUCE A COMPLETE LINEPRINTER LISTING OF THE DATA.            
                 THE DEFAULT IS NO LISTING OF THE REFLEXION DATA.               
                                                                                
 NREF N          NUMBER OF REFLEXIONS WITH LARGEST E-VALUES TO BE WRITTEN ON    
                 THE MULTAN DATA FILE (CHANNEL 9), SUBJECT TO A MINIMUM VALUE   
                 OF E(OBS) = 1.2. DEFAULT = 4 * NUMBER OF INDEPENDENT ATOMS     
                 + 50 IF CENTROSYMMETRIC  + 50 IF TRICLINIC + 150               
                 TO A MAXIMUM OF 500.                                           
                                                                                
 RHOMAX X        MAXIMUM VALUE OF (SIN(THETA)/LAMBDA)**2 ACCEPTED FOR REFLEXION 
                 TO BE TRANSFERRED TO MULTAN. THE DEFAULT IS THAT ALL THE DATA  
                 MAY BE ACCEPTED.                                               
                                                                                
 NZRO N          NUMBER OF SMALLEST E-VALUES TO BE WRITTEN ON THE MULTAN DATA   
                 FILE FOR USE IN THE PSI(ZERO) FIGURE OF MERIT (SEE SECTION ON  
                 FIGURES OF MERIT). DEFAULT IS 100.                             
1                                                                       PAGE   6
                                                                                
 BFAC X          TEMPERATURE FACTOR (MUST BE SUPPLIED IF SCALE FACTOR(S) ARE TO 
                 BE SUPPLIED, BUT IT MAY BE SUPPLIED ALONE AND THE PROGRAM WILL 
                 CALCULATE ITS OWN SCALE FACTOR(S)). IT MUST BE SUPPLIED WHEN   
                 FOURIER RECYCLING, BUT OTHERWISE IS NOT NORMALLY INPUT.        
                                                                                
 SCALE  X1 X2 X3 .....   SCALE FACTORS FOR INDEX GROUPS. (ONE,SIX,OR,EIGHT).    
                 THESE ARE USUALLY ONLY INPUT IF THE USER IS DISSATISFIED WITH  
                 THE SCALE FACTORS CALCULATED AUTOMATICALLY BY THE PROGRAM.     
                 IF X1 IS SUPPLIED ALONE, THIS IS TAKEN TO BE THE OVERALL SCALE 
                 FACTOR. MULTIPLE SCALE FACTORS ARE FOR THE APPROPRIATE INDEX   
                 GROUPS AS LISTED BELOW:                                        
                                                                                
 TRICLINIC:               EEE , OEE , EOE , OOE , EEO , OEO , EOO , OOO         
 MONOCLINIC:                              AS TRICLINIC                          
 ORTHORHOMBIC:                            AS TRICLINIC                          
 TETRAGONAL:              EEE , OEE+EOE , OOE , EEO , OEO+EOO , OOO             
 TRIGONAL:   EVALUATE      MOD(H,3) , MOD(K,3) , MOD(H+K,3) , MOD(L,2)          
 CUBIC:      EVALUATE  MOD(L-H,3) , MOD(K-L,3) , MOD(H-K,3) , MOD(H+K+L,2)      
 PRIMITIVE RHOMBOHEDRAL:                    AS CUBIC                            
                                                                                
         FOR TRIGONAL, CUBIC AND PRIMITIVE RHOMBOHEDRAL, REFLEXIONS ARE DIVIDED 
         INTO THE FOLLOWING SIX GROUPS:                                         
         OOOE , OOEE+OEOE+EOOE , EEEE , OOOO , OOEO+OEOO+EOOO , EEEO            
         WHERE E DENOTES A ZERO AND O NON-ZERO FOR THE ABOVE QUANTITIES.        
                                                                                
 CELL  A  B  C  ALPHA  BETA  GAMMA       CELL DIMENSIONS.                       
                 A, B AND C ARE IN ANGSTROMS, ALPHA, BETA AND GAMMA IN DEGREES. 
                 THIS KEYWORD MUST BE GIVEN, AS NO DEFAULT EXISTS.              
                                                                                
 SYMMETRY        SYMMETRY IN THE FORM OF GENERAL EQUIVALENT POSITIONS AS IN     
                 INTERNATIONAL TABLES. THEY ARE PUNCHED, FOR EXAMPLE, AS        
                         1/4-X , Y , 1/2+Z                                      
                 THE THREE FIELDS ARE SEPARATED BY COMMAS, AND THE DIFFERENT    
                 POSITIONS BY A * OR A NEW CARD. ALWAYS INCLUDE THE IDENTITY    
                 X,Y,Z AS THE FIRST ELEMENT. IF THE SPACE GROUP IS              
                 CENTROSYMMETRIC, DO NOT INCLUDE EQUIVALENT POSITIONS RELATED BY
                 THE CENTRE OF SYMMETRY.  IF THE SPACE GROUP IS CENTRED, INCLUDE
                 ONLY THOSE GENERAL EQUIVALENT POSITIONS ASSOCIATED WITH ONE    
                 LATTICE POINT.  E.G.  C2/C : SYMM  X,Y,Z * X,-Y,1/2+Z          
                 THIS KEYWORD MUST BE GIVEN, AS NO DEFAULT EXISTS.              
                                                                                
 CONTENTS  C1  N1  C2  N2  C3  N3  .........         UNIT CELL CONTENTS.        
                 C1 IS THE CHEMICAL SYMBOL OF ATOMIC TYPE 1                     
                 N1 IS THE NUMBER OF ATOMS OF THIS TYPE IN THE UNIT CELL        
                 ETC. TO A MAXIMUM OF 8 ATOMIC TYPES.                           
                 E.G.  CONTENTS  C  20  H  34  S  1                             
                 INPUT THE TOTAL CONTENTS OF THE UNIT CELL - INCLUDE ALL ATOMS  
                 WHETHER THE LATTICE IS CENTRED OR PRIMITIVE. INCLUDE ALL ATOMS 
                 WHETHER INPUT LATER AS PART OF A GROUP OR NOT.                 
                 THIS KEYWORD MUST BE GIVEN, AS NO DEFAULT EXISTS.              
                                                                                
                 THE SCATTERING FACTORS FOR 50 DIFFERENT KINDS OF ATOM ARE      
                 STORED IN THE PROGRAM. IN ORDER OF ATOMIC NUMBER, THEIR SYMBOLS
                 ARE:                                                           
                 H  ,LI ,BE ,B  ,C  ,N  ,O  ,F  ,NA ,MG ,AL ,SI ,P  ,S  ,CL ,   
                 K  ,CA ,TI ,V  ,CR ,MN ,FE ,CO ,NI ,CU ,ZN ,AS ,SE ,BR ,RB ,   
                 SR ,ZR ,MO ,RU ,RH ,PD ,AG ,CD ,SN ,SB ,I  ,CS ,BA ,W  ,OS ,   
                 PT ,AU ,HG ,PB ,BI                                             
1                                                                       PAGE   7
                                                                                
                 IF AN ATOM IN THE UNIT CELL IS NOT ONE OF THE ABOVE, THE       
                 CONSTANTS FOR THE ANALYTICAL SCATTERING FACTOR SHOULD BE       
                 INPUT USING THE 'FACTORS' KEYWORD BELOW.                       
                                                                                
 FACTORS  C1  A  A'  B  B'  C    ANALYTICAL SCATTERING FACTOR CONSTANTS FOR     
                 ATOMIC TYPE C1 NOT PRESENT IN THE ABOVE LIST.                  
                 THE SCATTERING FACTOR CURVE IS REPRESENTED AS:                 
                 F = A * EXP(-A'*S**2) + B * EXP(-B'*S**2) + C                  
                 WHERE S = SIN(THETA)/LAMBDA. FOR VALUES OF THE CONSTANTS       
                 SEE, FOR EXAMPLE, FORSYTH AND WELLS (1959) ACTA CRYST.,12,412. 
                                                                                
                 IT IS POSSIBLE TO INPUT ATOMIC GROUPS OF KNOWN GEOMETRY TO     
                 NORMAL. FOR A GROUP WHOSE ORIENTATION AND POSITION IS UNKNOWN, 
                 THE SPHERICALLY AVERAGED SCATTERING FACTOR IS CALCULATED TO AID
                 THE SCALING EITHER BY THE DEBYE CURVE OR K-CURVE METHOD. IF    
                 THE ORIENTATION OR POSITION OF THE GROUP IS KNOWN, IT IS       
                 AUTOMATICALLY PASSED ON TO MULTAN TO BE USED IN THE ESTIMATION 
                 OF THE PHASE AND VARIANCE OF SIGMA2 RELATIONSHIPS.             
                                                                                
 RANDOM          THIS KEYWORD HEADS INFORMATION REFERRING TO A                  
                 RANDOMLY ORIENTED AND RANDOMLY POSITIONED MOLECULAR GROUP.     
                                                                                
 MULTIPLICITY  X         NUMBER OF TIMES THIS 'RANDOM' GROUP APPEARS IN THE     
                 UNIT CELL.                                                     
                                                                                
 CELL A B C ALPHA BETA GAMMA     THE CELL TO WHICH THE GROUP ATOMIC COORDINATES 
                 ARE REFERRED (RANDOM TYPE ONLY). THE DEFAULT IS AN ORTHOGONAL  
                 SYSTEM WITH A = B = C = 1.0 AND ALPHA = BETA = GAMMA = 90      
                                                                                
 ORIENTED        THIS KEYWORD HEADS INFORMATION REFERRING TO A                  
                 CORRECTLY ORIENTED BUT RANDOMLY POSITIONED MOLECULAR GROUP.    
                                                                                
 POSITIONED      THIS KEYWORD HEADS INFORMATION REFERRING TO A                  
                 CORRECTLY POSITIONED MOLECULAR GROUP.                          
                                                                                
 KARLE           THIS KEYWORD HEADS INFORMATION REFERRING TO A                  
                 MOLECULAR GROUP FOR KARLE RECYCLING THROUGH MULTAN.            
                                                                                
 WFOURIER        THIS KEYWORD HEADS INFORMATION REFERRING TO A                  
                 MOLECULAR GROUP FOR WEIGHTED FOURIER RECYCLING.                
                 THIS MUST BE THE ONLY GROUP INPUT, AND 'BFAC' MUST BE          
                 SPECIFIED.                                                     
                                                                                
 DFOURIER        THIS KEYWORD HEADS INFORMATION REFERRING TO A                  
                 MOLECULAR GROUP FOR DIFFERENCE FOURIER RECYCLING.              
                 THIS MUST BE THE ONLY GROUP INPUT, AND 'BFAC' MUST BE          
                 SPECIFIED.                                                     
                                                                                
 C1 X1 Y1 Z1 C2 X2 Y2 Z2 . . . . ATOMIC SYMBOL (ONE OF LIST SPECIFIED BY        
                 'CONTENTS') FOLLOWED BY ATOMIC COORDINATES.                    
                                                                                
 CREATE          CREATE A BINARY FILE OF REFLEXIONS ON CHANNEL 15.              
                                                                                
 CARD  N         READ DATA FROM CARDS AT N REFLEXIONS PER CARD.                 
                 IF CARD IS SPECIFIED THE NEXT CARD CONTAINS THE RUN TIME       
                 FORMAT IN 20A4 FORMAT, E.G. (3(3I3,F6.2,I1))                   
                 THE REMAINING CARDS HAVE N REFLEXIONS, EACH WITH               
                 H , K , L , F(OBS) , ID  WHERE ALL ARE INTEGER EXCEPT F(OBS).  
1                                                                       PAGE   8
                                                                                
                 (NOTE THAT THE DECIMAL POINT NEED NOT BE PUNCHED, BUT MAY HAVE 
                 ITS POSITION SPECIFIED BY THE FORMAT DESCRIPTION. THIS MAY SAVE
                 SPACE IN PACKING THE REFLEXIONS ONTO CARDS).                   
                                                                                
                 ID = 0 FOR OBSERVED REFLEXIONS, = 1 FOR UNOBSERVED. THE PROGRAM
                 WILL NOT ALLOW UNOBSERVED REFLEXIONS TO BE USED IN MULTAN FOR  
                 PHASE DETERMINATION NO MATTER HOW LARGE THE E-VALUE.           
                 BECAUSE OF PACKING THE MAXIMUM MAGNITUDE OF H,K OR L IS 128.   
                                                                                
                 THE DATA ARE TERMINATED WITH A DUMMY REFLEXION WITH A NEGATIVE 
                 F(OBS). THE PROGRAM EXPECTS A COMPLETE SET OF REFLEXIONS       
                 (OBSERVED AND UNOBSERVED) OF UNIQUE REFLEXIONS (THOSE NOT      
                 RELATED BY SYMMETRY). IT ASSUMES THAT SYSTEMATICALLY ABSENT    
                 REFLEXIONS (CAUSED BY SCREW AXES, GLIDE PLANES, AND LATTICE    
                 CENTRINGS) WILL NOT BE INPUT. FAILURE TO OBSERVE THESE POINTS  
                 WILL RESULT IN INACCURATE CALCULATION OF THE E'S.              
                                                                                
 TAPE            READ DATA FROM BINARY FILE.                                    
                 (NOTE THAT 'CREATE TAPE' WILL READ REFLEXIONS FROM THE FILE,   
                 AND THEN REWRITE THE FILE AFTER CALCULATING THE E'S).          
                                                                                
                 EITHER 'CARD' OR 'TAPE' MUST BE PRESENT, AND SERVES TO         
                 TERMINATE THE FREE FORMAT READ.                                
1                                                                       PAGE   9
                 **********************************                             
                 * PREPARATION OF DATA FOR MULTAN *                             
                 **********************************                             
                                                                                
 CARD 1          A TITLE UP TO 80 CHARACTERS LONG IN (20A4) FORMAT.             
                 THIS WILL NOT BE REPRODUCED IN ANY OUTPUT, BUT SERVES TO       
                 LABEL THE DATA FILE.                                           
                                                                                
 CARD 2 ONWARD   FREE FORMAT INPUT. THE KEYWORDS MAY BE IN ANY ORDER EXCEPT     
                 FOR 'PHASES', 'SETS', AND 'END' (SEE BELOW FOR DETAILS).       
                 IF CARD 2 IS BLANK, MULTAN RUNS WITH DEFAULTS THROUGHOUT, AND  
                 NO FURTHER INSTRUCTIONS NEED BE SUPPLIED. ONLY THE FIRST THREE 
                 CHARACTERS OF A KEYWORD ARE SIGNIFICANT. KEYWORDS NEED BE GIVEN
                 ONLY IF THE USER WISHES TO ALTER PARAMETER VALUES OR USE       
                 FACILITIES NOT USED AUTOMATICALLY BY THE PROGRAM.              
                                                                                
                                                                                
 FIRST           PATH SPECIFICATION. 'FIRST' RUNS THE FIRST PART OF MULTAN,     
 LAST            WHICH SETS UP THE PHASE RELATIONSHIPS AND DETERMINES THE       
 STOP            STARTING POINT; 'LAST' RUNS THE SECOND PART OF MULTAN WHICH    
                 USES THE TANGENT FORMULA TO DETERMINE PHASES. 'STOP' HALTS THE 
                 PROGRAM IMMEDIATELY, I.E. NO CALCULATION TAKES PLACE. IF NONE  
                 OF THESE IS SPECIFIED, BOTH PARTS OF THE PROGRAM ARE RUN.      
                                                                                
 KMIN X          THE PROGRAM WILL NOT ACCEPT PHASE RELATIONSHIPS WITH A         
                 KAPPA-VALUE LESS THAN X FOR USE IN PHASE DETERMINATION.        
                 DEFAULT IS 0.6                                                 
                                                                                
 DETERMINE N     THE PROGRAM WILL ATTEMPT TO DETERMINE PHASES FOR THE N PHASES  
                 LOWEST IN THE CONVERGENCE MAP. THIS HAS THE EFFECT OF          
                 MAXIMISING THE RELATIONSHIP TO REFLEXION RATIO. DEFAULT IS     
                 USUALLY 50 LESS THAN THE NUMBER OF REFLEXIONS PASSED BY        
                 NORMAL.                                                        
                                                                                
 LIST            'LIST' PRODUCES A FULL LISTING OF THE CONVERGENCE MAP.         
 NOLIST          'NOLIST' SUPPRESSES ALL THE LISTING OF THE MAP.                
                 DEFAULT IS A LISTING OF THE BOTTOM 60 PLACES.                  
                                                                                
 PROBABILITY X   THE LOWER LIMIT OF PROBABILITY FOR ACCEPTANCE OF A PHASE       
                 DETERMINED BY THE SIGMA1 FORMULA, SUBJECT TO ITS HAVING MORE   
                 THAN THREE CONTRIBUTING INDICATIONS. THE DEFAULT VALUE IS 0.95.
                 TO PREVENT ANY SUCH PHASES ENTERING THE STARTING SET           
                 (INDEPENDENT OF STRENGTH OF INDICATION), IT IS SUFFICIENT TO   
                 REQUEST A PROBABILITY GREATER THAN UNITY, E.G. 'PROB 2'.       
                                                                                
 SPECIALS N      THE NUMBER OF SPECIAL REFLEXIONS REQUIRED IN THE STARTING SET. 
                 SPECIAL REFLEXIONS ARE THOSE WHOSE PHASES ARE RESTRICTED TO TWO
                 VALUES SUCH AS ZERO OR PI. NOTE THAT IN CENTROSYMMETRIC SPACE  
                 GROUPS, ALL REFLEXIONS ARE SPECIAL.                            
                                                                                
 GENERALS N      THE NUMBER OF GENERAL REFLEXIONS REQUIRED IN THE STARTING SET. 
                 GENERAL REFLEXIONS ARE THOSE WHOSE PHASES MAY TAKE ON ANY      
                 VALUE.                                                         
                                                                                
 ANY N           THE NUMBER OF REFLEXIONS OF ANY SORT REQUIRED IN THE           
                 STARTING SET.                                                  
1                                                                       PAGE  10
                                                                                
 MAXSET N        MAXIMUM NUMBER OF SETS TO BE GENERATED. ONLY USED IF THE USER  
                 DOES NOT SPECIFY THE STARTING SET IN ANY WAY. DEFAULT IS 65.   
                 THE DEFAULT STARTING SET CHOSEN BY THE PROGRAM WILL GENERATE A 
                 MINIMUM NUMBER OF PHASE SETS EQUAL TO 2/3 THE NUMBER OF        
                 INDEPENDENT ATOMS OR HALF THE MAXIMUM NUMBER OF SETS ALLOWED,  
                 WHICHEVER IS THE SMALLER. THE MAXIMUM FOR A NON-DEFAULT        
                 STARTING SET IS KUSER2/2 (2250) AND THE MINIMUM 0.             
                                                                                
 ORIGIN  N N ..  THE CODES OF THE REQUIRED ORIGIN-FIXING REFLEXIONS.            
                 NOTE THAT THE PROGRAM WILL CHOOSE THE PHASE VALUES FOR THESE   
                 REFLEXIONS. THE RULES IT FOLLOWS ARE:                          
                 SPECIAL REFLEXIONS: THE VALUE THAT LIES BETWEEN 0 AND 179.     
                 GENERAL REFLEXIONS: 45 AND 315 DEGREES.                        
                 IF A GENERAL REFLEXION ALSO FIXES THE ENANTIOMORPH, IT IS GIVEN
                 THE SINGLE VALUE OF 45 DEGREES.                                
                 IF THE USER IS DISSATISFIED WITH THE ORIGIN CHOSEN             
                 AUTOMATICALLY BY MULTAN, HE MAY INPUT ONE, TWO OR THREE        
                 REFLEXIONS OF HIS OWN CHOICE, AND MULTAN WILL CHOOSE THE       
                 REMAINING REFLEXIONS NEEDED TO DEFINE THE ORIGIN.              
                                                                                
 ENANTIOMORPH N  THE CODE OF THE REQUIRED ENANTIOMORPH-FIXING REFLEXION.        
                                                                                
 PERMUTED N N .. THE CODES OF THE PHASES THAT ARE REQUIRED TO BE PERMUTED.      
                                                                                
 KNOWN  N1 P1 W1 ...  THE CODE , PHASE , WEIGHT , OF EACH KNOWN PHASE.          
                 A WEIGHT GREATER THAN 0.99 WILL BE INTERPRETED AS MEANING      
                 CERTAINTY, AND THE PHASE WILL BE FIXED DURING TANGENT FORMULA  
                 REFINEMENT. NOTE THAT THE PHASE VALUE MUST RELATE TO THE ORIGIN
                 CHOSEN BY MULTAN.                                              
                                                                                
 SWTR            REQUESTS THE STATISTICALLY WEIGHTED TANGENT FORMULA, IN PLACE  
                 OF THE ORDINARY WEIGHTED TANGENT FORMULA. THIS WEIGHTING IS    
                 USEFUL IN CASES OF PSEUDOSYMMETRY AND WHEN THE ORDINARY TANGENT
                 FORMULA GIVES OVERCONSISTENT PHASES (TYPIFIED BY HIGH ABSOLUTE 
                 FIGURES OF MERIT).                                             
                                                                                
 SKIP N          WHEN RERUNNING A JOB THAT RAN OUT OF TIME, 'SKIP N' SHOULD BE  
                 SPECIFIED WHERE N IS THE SET NUMBER OF THE LAST SET TO BE      
                 WRITTEN TO THE FILE ON CHANNEL 10. THIS WILL BE THE LAST SET   
                 THAT WAS NOT REJECTED BY THE EARLY FIGURES OF MERIT OR BY      
                 HAVING TOO MANY UNDETERMINED PHASES. HOWEVER, BUFFERING MAY    
                 MEAN THAT THE LAST SUCH SET ON THE LINEPRINTER LISTING IS NOT  
                 THE LAST SET ON THE OUTPUT FILE.                               
                                                                                
 ABSFOM X        THE WEIGHT OF THE ABSOLUTE FIGURE OF MERIT FOR THE             
                 COMBINED FIGURE OF MERIT. DEFAULT IS 0.6                       
                                                                                
 PSIZERO X       THE WEIGHT OF THE PSI-ZERO FIGURE OF MERIT FOR THE             
                 COMBINED FIGURE OF MERIT. DEFAULT IS 1.2                       
                                                                                
 RESIDUAL X      THE WEIGHT OF THE R(ALPHA) FIGURE OF MERIT FOR THE             
                 COMBINED FIGURE OF MERIT. DEFAULT IS 1.2                       
1                                                                       PAGE  11
                                                                                
 EFOM            SPECIFIES THAT THE EARLY FIGURES OF MERIT ARE TO BE            
                 APPLIED. (SEE THE SECTION ON 'FIGURES OF MERIT')               
                                                                                
 ACUT X          THE INITIAL CUTOFF OF THE FIRST EARLY FIGURE OF MERIT. THIS    
                 FIGURE OF MERIT IS CALCULATED AS A PSI-ZERO F.O.M. WITH A      
                 WEIGHTED RESIDUAL, AND SETS WITH A FIGURE OF MERIT GREATER THAN
                 THE CUTOFF ARE REJECTED. AS SETS ARE ACCEPTED, THE CUTOFF      
                 GRADUALLY REDUCES. THE DEFAULT IS 1.8. IF 'ACUT' IS GIVEN,     
                 'EFOM' IS AUTOMATICALLY ASSUMED. IF 'ACUT 0' IS GIVEN,         
                 THE FIRST EARLY FIGURE OF MERIT IS NOT USED.                   
                                                                                
                                                                                
 BCUT X          THE CUTOFF FOR THE SECOND EARLY FIGURE OF MERIT. THIS IS A     
                 SIMPLE PSI-ZERO TEST, AND SETS WITH A FIGURE OF MERIT GREATER  
                 THAN THE CUTOFF ARE REJECTED. DEFAULT IS 1.6. IF 'BCUT' IS     
                 GIVEN, 'EFOM' IS AUTOMATICALLY ASSUMED.                        
                                                                                
 PHASES N        THE NUMBER OF STARTING PHASES INPUT TO THE TANGENT FORMULA     
                 TO A MAXIMUM OF KUSER3/2 (250).THE PARAMETER IS FOLLOWED BY    
                 FORMATTED DATA:                                                
                    CODES OF THE STARTING PHASES (20I4)                         
                    MARKERS OF THE STARTING PHASES (20I4)                       
                    =  1 IF THE PHASE CAN VARY FROM THE START.                  
                    = -1 IF THE PHASE IS KEPT FIXED UNTIL THE LAST CYCLE.       
                    WEIGHTS (0.0-1.0) OF THE STARTING PHASES IN (20F4.0).       
                    ALL ORIGIN AND ENANTIOMORPH DEFINING PHASES MUST HAVE       
                    A WEIGHT OF 1.0                                             
                    THEN FOLLOW SETS OF CARDS WITH THE PHASES, IN DEGREES, OF   
                    THE N STARTING PHASES IN (20I4) FORMAT WITH A SET           
                    IDENTIFICATION NUMBER IN FIELD N+1. DATA ARE TERMINATED     
                    WITH A DUMMY SET OF PHASES WITH THE SET IDENTIFICATION      
                    NUMBER EQUAL TO ZERO.                                       
                 THIS MUST BE THE FINAL KEYWORD.                                
                                                                                
 SETS N          THE NUMBER OF PHASE SETS SPECIFICALLY REQUESTED BY THE USER.   
                 THIS IS FOLLOWED BY CARDS WITH THE NUMBERS OF THE SETS IN      
                 ASCENDING ORDER IN 20I4 FORMAT. IT MUST BE THE FINAL KEYWORD.  
                 THERE MUST BE NO MORE THAN KUSER3 (500) PHASE SETS SPECIFIED.  
                 THIS FACILITY ALLOWS THE GENERATION OF PARTICULAR SETS OF      
                 PHASES FROM A PREVIOUS RUN OF THE PROGRAM.                     
                                                                                
 END             THIS TERMINATES THE FREE-FORMAT READ. IT IS NECESSARY UNLESS A 
                 'STOP', 'PHASES' OR 'SETS' KEYWORD IS PRESENT.                 
1                                                                       PAGE  12
                 *********************************                              
                 * PREPARATION OF DATA FOR EXFFT *                              
                 *********************************                              
                                                                                
                                                                                
 UNLIKE THE FREE FORMAT IN THE OTHER THREE PROGRAMS, EXFFT WILL READ ONLY ONE   
 CARD. IF THIS CARD IS BLANK, THE PROGRAM RUNS WITH DEFAULTS. KEYWORDS MAY BE   
 IN ANY ORDER. ONLY THE FIRST THREE CHARACTERS ARE SIGNIFICANT.                 
                                                                                
                                                                                
 SET N           THE SERIAL NUMBER OF THE SET FROM WHICH TO CALCULATE THE E-MAP.
                 IF 'SET N' IS NOT SPECIFIED, THE SET WITH THE HIGHEST COMBINED 
                 FIGURE OF MERIT WILL BE USED, AND THEN IF EXFFT IS RERUN THE   
                 SET WITH THE NEXT HIGHEST COMBINED FIGURE OF MERIT WILL BE     
                 USED.                                                          
                                                                                
 MAP             IF 'MAP' IS SPECIFIED, THE E-MAP WILL BE PRINTED ON THE        
                 LINEPRINTER.                                                   
                                                                                
 LEVEL N         ALL NUMERICAL VALUES IN THE E-MAP GREATER THAN N WILL BE       
                 UNDERLINED WITH **** IN THE LINEPRINTER OUTPUT TO FACILITATE   
                 CONTOURING. THE DEFAULT IS 100. THE MAP IS AUTOMATICALLY SCALED
                 BETWEEN +&- 999 (APPROXIMATELY) AT THE GRID POINTS AT WHICH IT 
                 IS CALCULATED. NOTE, HOWEVER, THAT IT IS PRINTED BETWEEN +&- 99
                                                                                
 GRID X          THE GRID ON WHICH THE E-MAP IS EVALUATED WILL HAVE A SPACING   
                 OF APPROXIMATELY X ANGSTROMS. THE DEFAULT SPACING IS 1/3 A.    
                                                                                
 XMAX A          THE E-MAP WILL BE PRINTED FROM 0.0 TO A ALONG X.               
                                                                                
 YMAX A          THE E-MAP WILL BE PRINTED FROM 0.0 TO A ALONG Y.               
                                                                                
 ZMAX A          THE E-MAP WILL BE PRINTED FROM 0.0 TO A ALONG Z.               
                                                                                
                                                                                
         THE PRINTING OF THE E-MAP WILL NORMALLY BE USED ONLY RARELY. THE OUTPUT
 IS IN SECTIONS OF CONSTANT Y WITH X ACROSS THE PAGE AND Z RUNNING DOWN IT ON A 
 GRID OF ABOUT THREE POINTS PER ANGSTROM. THE MAXIMUM NUMBER OF GRID POINTS     
 ACROSS THE PAGE IS 36 (I.E. ABOUT TWELVE ANGSTROMS IN LENGTH). IF MORE ARE     
 NEEDED, A NEW PAGE IS STARTED. ALL NUMERICAL VALUES GREATER THAN THE LEVEL     
 SPECIFIED ARE UNDERLINED WITH **** TO FACILITATE CONTOURING.                   
1                                                                       PAGE  13
                 **********************************                             
                 * PREPARATION OF DATA FOR SEARCH *                             
                 **********************************                             
                                                                                
 IF THE FIRST CARD IS BLANK, DEFAULTS WILL BE ASSUMED THROUGHOUT. KEYWORDS MAY  
 BE IN ANY ORDER. ONLY THE FIRST THREE CHARACTERS ARE SIGNIFICANT.              
                                                                                
 PEAKS N         N IS THE NUMBER OF PEAKS TO BE SEARCHED FOR IN THE MAP. THE    
                 DEFAULT IS (11*N)/9 WHERE N IS THE NUMBER OF INDEPENDENT ATOMS 
                 (EXCLUDING HYDROGENS). IF TWO CLUSTERS ARE WITHIN 2.8A OF EACH 
                 OTHER, THE DEFAULT IS AUTOMATICALLY INCREASED TO (3*N)/2.      
                                                                                
 ATOMS N         N IS THE NUMBER OF ADDITIONAL ATOMS INPUT BY THE USER TO BE    
                 INCLUDED IN THE INTERPRETATION OF THE MAP. (NUMBER OF PEAKS +  
                 NUMBER OF ADDITIONAL ATOMS MUST BE LESS THAN 200). SEE BELOW.  
                                                                                
 NOJOIN          REQUESTS THAT NO INTERPRETATION OF THE PEAKS BE DONE. THE      
                 PROGRAM PRINTS A LIST OF THE HIGHEST PEAKS AND THEN STOPS.     
                 THIS CONDITION IS SET AUTOMATICALLY IF NO CHEMICAL BONDS CAN   
                 BE FOUND BY THE PROGRAM.                                       
                                                                                
 PROJECTIONS N   THE NUMBER OF ORTHOGONAL PROJECTIONS OF EACH CLUSTER TO BE     
                 PLOTTED (TO A MAXIMUM OF THREE). THE DEFAULT IS TO ALWAYS PLOT 
                 THE LEAST-SQUARES PROJECTION, AND TO PLOT THE PROJECTION       
                 ORTHOGONAL TO THE LEAST- AND MOST-SQUARES PLANES IF THE        
                 CLUSTER IS CYLINDRICAL OR SPHERICAL.                           
                 N EQUAL TO ZERO SUPPRESSES ALL PLOTTING.                       
                                                                                
 DOUT X          INTERPEAK DISTANCES LESS THAN X ARE TABULATED.                 
                 THE DEFAULT IS 2.4 ANGSTROMS.                                  
                                                                                
 DMIN X          MINIMUM ALLOWED BOND LENGTH IN THE INTERPRETATION.             
                 DEFAULT IS 1.1 ANGSTROMS                                       
                                                                                
 DMAX X          MAXIMUM ALLOWED BOND LENGTH IN THE INTERPRETATION.             
                 DEFAULT IS 1.95 ANGSTROMS.                                     
                                                                                
 AMIN X          MINIMUM ALLOWED BOND ANGLE IN THE INTERPRETATION.              
                 DEFAULT IS 85 DEGREES                                          
                                                                                
 AMAX X          MAXIMUM ALLOWED BOND ANGLE IN THE INTERPRETATION.              
                 DEFAULT IS 145 DEGREES.                                        
                                                                                
 METAL N         THE NUMBER OF HEAVY ATOMS IN THE ASYMMETRIC UNIT. WHEN         
                 PERFORMING AN INTERPRETATION OF A CLUSTER, THE PROGRAM WILL    
                 ASSUME THAT THE N HIGHEST PEAKS CORRESPOND TO THESE HEAVY      
                 ATOMS. THEY WILL NOT BE INCLUDED IN THE INTERPRETATION, AND ALL
                 PEAKS WITHIN THE MAXIMUM BOND LENGTH WILL BE MARKED AS         
                 SPURIOUS. THIS IS USEFUL WHEN THE COMPOUND CONTAINS A METAL    
                 ATOM IONICALLY BONDED TO THE ORGANIC PART OF THE MOLECULE.     
                 USING THIS FACILITY WILL PREVENT SPURIOUS PEAKS CAUSED BY      
                 DIFFRACTION RIPPLES AROUND THE METAL BEING INTERPRETED AS      
                 ATOMS.                                                         
                                                                                
 MOLE            THIS IS SPECIFIED IF MOLECULAR CONNECTIVITY IS TO BE INPUT BY  
                 THE USER. (SEE BELOW).                                         
                                                                                
 END             THIS TERMINATES THE FREE FORMAT READ AND MUST BE PRESENT IF    
                 ANY KEYWORD HAS BEEN SPECIFIED.                                
1                                                                       PAGE  14
                                                                                
         IF 'ATOMS' IS SPECIFIED, THE CARD FOLLOWING THE ONE CONTAINING 'END'   
 HAS THE RUN TIME FORMAT FOR READING THE N SETS OF ATOMIC COORDINATES (E.G.     
 (3F10.5) ). THEN FOLLOW N CARDS WITH THE ATOMIC COORDINATES IN THAT FORMAT.    
 THIS FACILITY WILL NORMALLY BE USED WHEN A DIFFERENCE FOURIER IS BEING         
 INTERPRETED. THE INCLUSION OF THE SUBTRACTED ATOMS ENSURES THAT THEY ARE       
 INCLUDED IN THE BOND-LENGTHS AND ANGLES CALCULATIONS, AND ALSO THAT THEY       
 APPEAR IN THE LINEPRINTER PICTURE OF THE STRUCTURE.                            
                                                                                
                                                                                
         IF 'MOLE' IS SPECIFIED, FREE FORMAT CARDS AFTER THE 'END' KEYWORD,     
 (AND AFTER THE ATOM CARDS ABOVE IF THEY ARE PRESENT), SPECIFY THE MOLECULAR    
 CONNECTIVITY. THE BOND CODES ALLOW THE PROGRAM TO COMPARE THE MOLECULAR        
 FRAGMENT IT FINDS WITH THAT INPUT HERE. THEY ARE NOT USED BY THE PROGRAM IN    
 ITS SEARCH FOR A FRAGMENT AND ARE THEREFORE OPTIONAL.                          
                                                                                
         THE BOND CODES FOR ANY MOLECULE ARE FOUND AS FOLLOWS:                  
      (A)  DRAW THE MOLECULE OR FRAGMENT WHOSE CHEMICAL STRUCTURE (NOT          
 NECESSARILY GEOMETRY) IS KNOWN.                                                
 E.G.           0--0      0                                                     
               I    I    I I                                                    
              0      0--0   0                                                   
               I    I    I I                                                    
                0--0      0                                                     
                                                                                
      (B)  NUMBER THE ATOMS IN ANY ORDER                                        
 E.G.           1--3      8                                                     
               I    I    I I                                                    
              4      2--6   10                                                  
               I    I    I I                                                    
                5--7      9                                                     
                                                                                
      (C)  SPECIFY THE CONNECTIONS TO EACH ATOM AS FOLLOWS:                     
 1 3 4/2 3 6 7/3 1 2/4 1 5/5 4 7/6 2 8 9/7 2 5/8 6 10/9 6 10/10 8 9//           
 WHICH MEANS ATOM 1 IS BONDED TO ATOMS 3 AND 4; 2 IS BONDED TO 3, 6 AND 7 ETC.  
                                                                                
           REDUNDANT INFORMATION MAY BE REMOVED FROM THE BOND SEQUENCE          
 E.G.  1 3 4/2 3 6 7/4 5/5 7/6 8 9/8 10/9 10//                                  
 OR    1 3 4/2 3 6 7/5 4 7/8 6 10/9 6 10//                                      
 IN WHICH EACH BOND IS SPECIFIED ONLY ONCE.                                     
                                                                                
      (D)  TYPE ANY OF THESE DESCRIPTIONS IN FREE FORMAT, ENDING THE INFORMATION
 WITH //.  THE MAXIMUM NUMBER OF ATOMS IN THE MOLECULE IS 200.  UP TO FIVE      
 MOLECULES CAN BE INPUT IN THIS WAY AND THE COMPLETE DATA IS TERMINATED WITH ///
                                                                                
      THE COMPARISON ROUTINES IN THIS VERSION OF SEARCH ARE DESCRIBED BY MAIN & 
 HULL (1978) ACTA CRYST., A34, 353.  ALL IDENTIFIED PEAKS ARE PUT IN A DATA FILE
 (ON CHANNEL 14) FOR USE BY NORMAL IN ONE OF THE RECYCLING PROCEDURES.  NO PEAKS
 WILL BE IDENTIFIED IF NO BOND SEQUENCES ARE INPUT.  IN THIS CASE, FILE 14 WILL 
 CONTAIN THE PEAKS FROM THE LARGEST INTERPRETED FRAGMENT.  HOWEVER, IT IS       
 STRONGLY RECOMMENDED THAT THE OUTPUT FROM SEARCH BE EXAMINED CAREFULLY, SINCE  
 IT WILL MOST OFTEN BE THE CASE THAT USER INTERVENTION WILL BE EITHER HELPFUL OR
 NECESSARY BEFORE RECYCLING CAN BE INTELLIGENTLY USED.                          
1                                                                       PAGE  15
                           ************************                             
                           * RUNNING THE PROGRAMS *                             
                           ************************                             
                                                                                
                                                                                
      THE SEPARATE PROGRAMS IN MULTAN80 COMMUNICATE WITH EACH OTHER THROUGH     
 DATA FILES.  THE PROGRAMS, TOGETHER WITH THE FILES USED AND THEIR LOGICAL      
 NUMBERS ARE SET OUT ON THE NEXT PAGE.  FILE 9 CONTAINS SYMMETRY INFORMATION,   
 THE UNIT CELL CONTENTS AND THE REFLEXIONS USED BY MULTAN FOR PHASE             
 DETERMINATION AND THE PSI(ZERO) TEST.  FILE 15 CONTAINS THE COMPLETE DATA SET  
 INPUT TO NORMAL AND CAN BE USED FOR SUBSEQUENT RUNS OF NORMAL.  FILE 11        
 CONTAINS ALL THE REFLEXIONS USED BY MULTAN TOGETHER WITH THE SIGMA2            
 RELATIONSHIPS, SIGMA1 INFORMATION AND THE TANGENT FORMULA STARTING REFLEXIONS  
 CHOSEN BY CONVERGE.  FILE 10 CONTAINS THE PHASE SETS OUTPUT BY MULTAN WHICH ARE
 THEN PASSED ON TO EXFFT FOR THE COMPUTATION OF E-MAPS.  FILES CONTAINING       
 FORMATTED INFORMATION (CARD IMAGES) ARE 9, 12 AND 14.  ALL OTHER FILES ARE     
 UNFORMATTED (BINARY). SEE 'DESCRIPTION OF DATA FILES'.                         
                                                                                
      NORMALLY NONE OF THE E-MAPS WILL BE PRINTED. THE 'PICTURES' OUTPUT BY     
 SEARCH TOGETHER WITH THEIR INTERPRETATIONS WILL BE FOUND SATISFACTORY          
 FOR THE ELUCIDATION OF MOST STRUCTURES.  SEVERAL E-MAPS MAY BE PRODUCED IN A   
 SINGLE JOB BY RUNNING EXFFT AND SEARCH FOR EACH MAP REQUIRED USING DEFAULT     
 VALUES EACH TIME.  THE E-MAPS WILL BE COMPUTED IN ORDER OF THE COMBINED FIGURE 
 OF MERIT.  FURTHER E-MAPS CAN BE OBTAINED IN SUBSEQUENT JOBS AGAIN BY USING    
 DEFAULT VALUES FOR EXFFT AND SEARCH WITH THE SAME FILE 10.                     
                                                                                
      IF ONLY A PARTIAL STRUCTURE APPEARS IN AN E-MAP, IT MAY BE USED TO COMPUTE
 STARTING PHASES FOR A RERUN OF THE TANGENT FORMULA.  THIS IS DONE BY NORMAL    
 WHICH PREPARES THE NECESSARY INPUT FILE TO MULTAN.  ALTERNATIVELY, IF THE      
 PARTIAL STRUCTURE IS IN THE WRONG POSITION IN THE CELL, IT CAN BE USED TO      
 ESTIMATE THE PHASE AND VARIANCE OF SIGMA2 RELATIONSHIPS IN A REDETERMINATION OF
 THE STRUCTURE.  SUCH ORIENTED GROUPS OF ATOMS CAN BE INPUT TO NORMAL AS ALREADY
 DESCRIBED.                                                                     
                                                                                
      NOTE THAT IF ONLY A SMALL NUMBER OF ATOMS ARE MISSING FROM THE E-MAP, IT  
 MAY BE BETTER TO FIND THEM USING A WEIGHTED FOURIER SYNTHESIS THAN TO USE THE  
 TANGENT FORMULA RECYCLING PROCEDURE.  NORMAL CAN BE USED TO PREPARE THE INPUT  
 NEEDED BY EXFFT TO PRODUCE THE FOURIER SYNTHESIS.                              
                                                                                
      WHILE HEAVY ATOM STRUCTURES MAY BE REVEALED SATISFACTORALLY BY A          
 MULTISOLUTION RUN ALONE, THE SIMPLEST WAY TO SOLVE SUCH A STRUCTURE IF THIS    
 DOES NOT OCCUR IS TO USE MULTAN TO FIND THE HEAVY ATOMS, AND THEN TO CALCULATE 
 A DIFFERENCE FOURIER UNTIL SUFFICIENT ATOMS ARE REVEALED TO USE AN ORDINARY    
 WEIGHTED FOURIER TECHNIQUE.                                                    
1                                                                       PAGE  16
                          ****************************                          
                          * FLOW DIAGRAM OF MULTAN80 *                          
                          ****************************                          
                                                                                
                                    ********                                    
      STANDARD DATA FILE (15)---><--*NORMAL*---<---INPUT FILE OR CARD READER (5)
             (BINARY)               ********                                    
                                       I      NORMAL REQUIRES ONE BINARY        
                                       I          SCRATCH FILE (8)              
                                       I                                        
                     TRANSFER FILE (9) V                                        
                      (FORMATTED)      I                                        
                                       I                                        
                                       I                                        
                                    ********                                    
                                    *MULTAN*---<---INPUT FILE OR CARD READER (5)
                                    ********                                    
                                       I      MULTAN REQUIRES ONE BINARY        
                                       I          SCRATCH FILE (11)             
                                       I                                        
               BINARY PHASES FILE (10) V                                        
                                       I                                        
                                       I                                        
                                       I                                        
                                    *******                                     
                                    *EXFFT*----<---INPUT FILE OR CARD READER (5)
                                    *******                                     
                                       I      EXFFT REQUIRES ONE BINARY         
                                       I          SCRATCH FILE (8)              
                                       I                                        
                 FOURIER MAP FILE (13) V                                        
                      (BINARY)         I                                        
                                       I                                        
                                       I                                        
                                    ********                                    
                                    *SEARCH*---<---INPUT FILE OR CARD READER (5)
                                    ********                                    
                                       I                                        
                                       I                                        
             PEAK COORDINATE FILE (14) V                                        
                 (FORMATTED)           I                                        
                                                                                
                 ALL PROGRAMS USE CHANNEL 6 FOR LINEPRINTER OUTPUT              
 NUMBERS IN PARENTHESES ARE THE LOGICAL NUMBERS BY WHICH THE FILES ARE ACCESSED.
                                                                                
                                                                                
                                KARLE RECYCLING                                 
                                ---------------                                 
                                                                                
 NORMAL PRODUCES A FILE ON CHANNEL 12 (FORMATTED) WHICH SHOULD BE USED AS INPUT 
 TO MULTAN ON CHANNEL 5.                                                        
                                                                                
                         DIFFERENCE OR WEIGHTED FOURIER                         
                         ------------------------------                         
                                                                                
 NORMAL PRODUCES A FILE ON CHANNEL 10 (BINARY) FOR INPUT TO EXFFT.              
 MULTAN MAY BE BYPASSED ALTOGETHER OR SUPPLIED WITH A FILE ON CHANNEL 5         
 CONTAINING THE 'STOP' KEYWORD.                                                 
1                                                                       PAGE  17
                     ***********************************                        
                     * COMPUTER DEPENDENCE OF MULTAN80 *                        
                     ***********************************                        
                                                                                
                                                                                
      ALL PROGRAMS IN THE MULTAN SYSTEM HAVE BEEN WRITTEN IN A FAIRLY STANDARD  
 FORTRAN IV IN THE HOPE THAT THEY WILL BE LARGELY COMPUTER INDEPENDENT.         
 UNFORTUNATELY, IT IS NOT POSSIBLE TO MAKE THEM COMPLETELY MACHINE INDEPENDENT  
 AND THE AUTHORS WILL WELCOME INFORMATION FROM USERS WHO HAVE ANY DIFFICULTIES  
 IMPLEMENTING THE SYSTEM ON THEIR OWN MACHINE.                                  
                                                                                
      UNLIKE ITS PREDECESSORS, MULTAN80 WILL NOT RUN ON MACHINES WITH A WORD    
 LENGTH OF LESS THAN 32 BITS.                                                   
                                                                                
      IN ORDER TO GET CORRECT SCALING IN LINEPRINTER PICTURES OF THE MOLECULES, 
 A CARD IN PROGRAM SEARCH MAY HAVE TO BE ALTERED:                               
                                                                                
    SEA00480   NUMBER OF LINES PER INCH ON THE LINE PRINTER                     
                                                                                
1                                                                       PAGE  18
                          ***************************                           
                          * ON CHANGING ARRAY SIZES *                           
                          ***************************                           
                                                                                
                                                                                
      TO ENABLE USERS TO ALTER STORAGE SPACE FOR REFLEXIONS AND PHASE           
 RELATIONSHIPS, ALL RELEVANT ARRAY SIZES ARE DEFINED BY PROGRAM PARAMETERS AT   
 THE BEGINNING OF MULTAN:                                                       
                                                                                
 PARAMETER   PRESENT VALUE                  FUNCTION                            
                                                                                
 KUSER1          8000       NUMBER OF SIGMA2 + PSIZRO RELATIONSHIPS             
                                                                                
 KUSER2          4500       NUMBER OF EQUIVALENT REFLEXIONS IN ONE HEMISPHERE   
                                                                                
 KUSER3           500       MAX. NUMBER OF STRONG REFLEXIONS                    
                                                                                
 KUSER4          9000       SIZE OF ARRAYS FOR SORTING RELATIONSHIPS            
                                                                                
 KUSER5           600       MAX. NUMBER OF STRONG + WEAK REFLEXIONS             
                                                                                
 KUSER6          2000       SIZE OF ARRAY FOR HOLDING ATOMIC GROUP INFORMATION  
                                                                                
         THERE ARE FOUR COMMON BLOCKS IN WHICH ALL REFLEXION AND RELATIONSHIP   
 ARRAYS ARE HELD.                                                               
                                                                                
 COMMON /B1/ HAS EITHER TWO ARRAYS OF DIMENSION KUSER2                          
             OR ONE ARRAY OF DIMENSION KUSER1 AND TWO OF DIMENSION KUSER3       
             OR ONE ARRAY OF DIMENSION KUSER4                                   
                                                                                
 COMMON /B2/ HAS THE SAME FORMAT AS /B1/                                        
                                                                                
 COMMON /B3/ HAS ONE ARRAY OF DIMENSION KUSER6                                  
             OR AT LEAST FOUR ARRAYS OF DIMENSION KUSER3                        
                                                                                
 COMMON /B4/ HAS 5 ARRAYS OF DIMENSION KUSER3,                                  
             ONE OF KUSER5+1 AND ONE OF KUSER3                                  
                                                                                
         THE CONSTRAINTS ARE THUS:                                              
         KUSER1 + 2 * KUSER3 = 2 * KUSER2 = KUSER4                              
         KUSER6 IS GREATER THAN OR EQUAL TO 4 * KUSER3                          
1                                                                       PAGE  19
                           *************************                            
                           * DESCRIPTION OF NORMAL *                            
                           *************************                            
                                                                                
                                                                                
      THE PROGRAM NORMAL CONVERTS F(OBS) VALUES TO E(OBS) ACCORDING TO THE      
 FORMULA                                                                        
                          E(OBS)**2 = F(OBS)**2 / <I>                           
 WHERE <I> IS THE EXPECTED INTENSITY OF THAT PARTICULAR REFLEXION.              
                                                                                
      FOR RANDOMLY POSITIONED ATOMS IN THE UNIT CELL, <I> IS GIVEN BY WILSON'S  
 STATISTICS AS                                                                  
              <I> = SUM OVER I (F(I)**2) * (DEBYE-WALLER FACTOR))               
 WHERE F(I) IS THE SCATTERING FACTOR OF THE ITH ATOM.                           
                                                                                
      THIS FORMULA IS MODIFIED SLIGHTLY FOR PARTICULAR REFLEXIONS BY SPACE GROUP
 SYMMETRY ELEMENTS AS INDICATED BY WILSON.  FOR EXAMPLE, IN P2(1) THE 0K0       
 REFLEXIONS ARE EXPECTED TO HAVE TWICE THE AVERAGE INTENSITY OF OTHER           
 REFLEXIONS BECAUSE OF THE TWO-FOLD SCREW AXIS.  THE ABOVE FORMULA IS THEN      
 MODIFIED TO                                                                    
              <I> = 2.0 * SUM OVER I (F(I)**2) * (DEBYE-WALLER FACTOR))         
 FOR THESE REFLEXIONS.  NORMAL AUTOMATICALLY USES THE CORRECT FORMULA FOR THE   
 SPACE GROUP.                                                                   
                                                                                
      IF SOMETHING IS KNOWN ABOUT THE STEREOCHEMISTRY OF THE STRUCTURE, THE     
 ASSUMPTION OF RANDOMLY DISTRIBUTED ATOMS NEED NOT BE MADE IN CALCULATING <I>.  
 INSTEAD, IT CAN BE ASSUMED THERE ARE RANDOMLY DISTRIBUTED GROUPS OF ATOMS IN   
 THE UNIT CELL.  IN THIS CASE, F(I) IN THE FORMULA FOR <I> IS REPLACED BY G(I), 
 THE SPHERICALLY AVERAGED SCATTERING FACTOR OF THE ITH GROUP.  G(I) IS          
 CALCULATED FROM THE DEBYE SCATTERING FORMULA                                   
        G(I)**2 = SUM OVER J & K (F(J) * F(K) * SIN(T*RJK) / (T * RJK))         
 WHERE        T = 4 * PI * SIN(THETA) / LAMBDA                                  
 AND        RJK = DISTANCE BETWEEN THE JTH AND KTH ATOMS (IN THE ITH GROUP)     
                                                                                
      IT IS RECOMMENDED THAT AS MUCH STEREOCHEMICAL KNOWLEDGE AS POSSIBLE IS    
 USED IN THIS WAY, THE LARGER THE ATOMIC GROUPS THE BETTER.  IDEALLY, THE       
 COMPLETE MOLECULE SHOULD BE INCLUDED AS A SINGLE GROUP, BUT OFTEN THE WHOLE OF 
 ITS STEREOCHEMISTRY IS NOT KNOWN.  HOWEVER, THE GEOMETRY OF FRAGMENTS OF THE   
 MOLECULE MAY WELL BE AVAILABLE AND THESE FRAGMENTS CAN BE INCLUDED AS SEPARATE 
 GROUPS IN THE DATA FOR NORMAL.  AS THE GROUP SCATTERING FACTOR IS SPHERICALLY  
 AVERAGED, THE ORIENTATION OF THE GROUP AS IT APPEARS IN THE DATA FOR NORMAL IS 
 ARBITRARY.                                                                     
                                                                                
      USE OF MOLECULAR SCATTERING FACTORS IN THE CALCULATION OF E-VALUES IS     
 ESPECIALLY VALUABLE FOR PLANAR MOLECULES CONSISTING OF FUSED SIX-MEMBERED RINGS
 THESE STRUCTURES CAN BE AWKWARD TO SOLVE AND THE E-MAP MAY REVEAL A HEXAGONAL  
 NET RATHER THAN A PICTURE OF A DISCRETE MOLECULE.  MAKING USE OF THE KNOWN     
 STEREOCHEMISTRY OF SUCH MOLECULES IN THE CALCULATION OF THE E'S HAS THE EFFECT 
 OF REDUCING THE HEIGHT OF THE SPURIOUS PEAKS AND SOMETIMES COMPLETELY REMOVING 
 THE CENTRAL PEAK IN EACH RING.                                                 
                                                                                
      THE WILSON PLOT IS PRINTED OUT WITH THE SYMBOLS WWWW FOLLOWING A SMOOTH   
 CURVE THROUGH THE POINTS.  THE SYMBOLS DDDD FOLLOW A SMOOTH CURVE THROUGH THE  
 'DEBYE' POINTS, I.E. THOSE OBTAINED USING MOLECULAR RATHER THAN ATOMIC         
 SCATTERING FACTORS.  IF NO ATOMIC GROUPS HAVE BEEN INPUT TO NORMAL, THE TWO    
 CURVES WWWW AND DDDD WILL COINCIDE.  IF THE CORRECT STEREOCHEMISTRY HAS BEEN   
 INPUT, THE DEBYE CURVE WILL BE CLOSER TO A STRAIGHT LINE THAN THE WILSON PLOT. 
 IF THE COMPLETE STEREOCHEMISTRY HAS BEEN INPUT, THE DEBYE CURVE SHOULD BE A    
 STRAIGHT LINE WITHIN EXPERIMENTAL ERROR.                                       
1                                                                       PAGE  20
                                                                                
      THE USER MAY CHOOSE ONE OF TWO METHODS OF SCALING THE F'S TO OBTAIN E'S.  
 THE PROGRAM ALWAYS CALCULATES THE LEAST SQUARES STRAIGHT LINE THROUGH THE      
 DEBYE POINTS TO OBTAIN THE DEBYE-WALLER FACTOR AND THE SCALE FACTOR NEEDED TO  
 PUT <I> AND F(OBS)**2 ON THE SAME SCALE.  THE LEAST SQUARES LINE MAY ALSO BE   
 USED TO ESTIMATE <I> FROM THE MOLECULAR SCATTERING FACTORS AS A FUNCTION OF    
 SIN(THETA) IN THE CALCULATION OF E'S. IF NO STEREOCHEMISTRY IS INPUT TO NORMAL,
 THE DEBYE CURVE BECOMES IDENTICAL TO THE WILSON PLOT.  THE RECOMMENDED METHOD, 
 HOWEVER, IS TO USE THE K-CURVE FOR SCALING. IN THIS METHOD, A NON-ANALYTICAL   
 CURVE IS FITTED TO THE DEBYE POINTS SO THAT IT GOES EXACTLY THROUGH EVERY POINT
 THE K-CURVE, INSTEAD OF THE LEAST SQUARES STRAIGHT LINE, IS THEN USED TO       
 ESTIMATE <I> IN THE CALCULATION OF E'S. THE K-CURVE IS EXTRAPOLATED AT LOW     
 ANGLES BY THE LEAST SQUARES STRAIGHT LINE, FROM THE POINT AT WHICH THE DEBYE   
 CURVE LAST CROSSES THE STRAIGHT LINE. EVEN IF THE K-CURVE IS USED FOR SCALING, 
 THE PROGRAM WILL BE HELPED BY THE INPUT OF STEREOCHEMICAL INFORMATION PROVIDED 
 THIS MAKES THE DEBYE CURVE CLOSER TO A STRAIGHT LINE THAN THE WILSON PLOT.  THE
 SUCCESS (OR OTHERWISE) OF THE STRUCTURE DETERMINATION DEPENDS TO A LARGE EXTENT
 UPON THE E'S WHICH ARE PRODUCED HERE AND A LITTLE CARE AND INTELLIGENT THOUGHT 
 IN THEIR CALCULATION IS ALWAYS HANDSOMELY REPAID.                              
                                                                                
      NORMAL INCLUDES A FACILITY FOR APPLYING A SEPARATE SCALE FACTOR TO        
 REFLEXIONS IN DIFFERENT INDEX GROUPS.  THE GROUPS USED DEPEND UPON THE SPACE   
 GROUP SYMMETRY AND ARE ASSIGNED AUTOMATICALLY BY THE PROGRAM.  SEE             
 'PREPARATION OF DATA FOR NORMAL' FOR MORE DETAILS OF THE INDEX GROUPS USED.    
 THE SCALE FACTORS ARE COMPUTED TO MAKE THE AVERAGE VALUE OF E**2 EQUAL TO UNITY
 FOR EACH GROUP SEPARATELY.  FROM PRACTICAL EXPERIENCE, THE USE OF THIS FACILITY
 IS ALWAYS RECOMMENDED UNLESS THERE IS GOOD REASON FOR NOT USING IT.  VERY      
 OFTEN, THE EXPECTED VALUE OF THE INTENSITY OF A REFLEXION, <I>, IS A FUNCTION  
 OF INDEX, E.G. WHETHER H, K OR L IS EVEN OR ODD, AS WELL AS OF SIN(THETA),     
 HENCE THIS FACILITY.  IN ADDITION, THE CONVERGENCE PROCEDURE USED TO FIND A    
 STARTING SET OF REFLEXIONS FOR THE TANGENT FORMULA IS GREATLY ASSISTED BY      
 HAVING THE SAME AVERAGE E**2 IN ALL MAJOR REFLEXION GROUPS.                    
                                                                                
      THE LINEPRINTER OUTPUT OF NORMAL INCLUDES INTENSITY DISTRIBUTIONS OF      
 REFLEXIONS IN PRINCIPAL ZONES AS WELL AS THE DISTRIBUTION FOR GENERAL          
 REFLEXIONS.  THIS IS NOT ONLY A CHECK ON THE SCALING OF THE E'S BUT ALSO A     
 VALUABLE AID TO SPACE GROUP DETERMINATION IF THE SYMMETRY IS NOT COMPLETELY    
 DETERMINED BY SYSTEMATIC ABSENCES.  FOR NORMAL TO PRODUCE CORRECT STATISTICS,  
 ALL UNIQUE REFLEXIONS TO A MAXIMUM VALUE OF SIN(THETA) SHOULD BE SUPPLIED,     
 LEAVING OUT SYSTEMATIC ABSENCES.                                               
                                                                                
      IT IS ALWAYS WISE TO CHECK THE DISTRIBUTION OF AVERAGE E**2 AS A FUNCTION 
 OF SIN(THETA).  IF THIS DISTRIBUTION INDICATES THAT THE E'S AT HIGH ANGLES ARE 
 GENERALLY TOO STRONG, I.E. AVERAGE E**2 MUCH GREATER THAN UNITY, THIS CAN GIVE 
 TROUBLE DURING PHASE DETERMINATION IN MULTAN.  IT WILL BE BETTER TO RESCALE THE
 E'S USING A LOWER TEMPERATURE FACTOR.                                          
                                                                                
      THE FILE WRITTEN BY NORMAL FOR INPUT TO MULTAN CONTAINS MUCH OF THE INPUT 
 DATA INCLUDING SYMMETRY INFORMATION AND UNIT CELL DIMENSIONS AND CONTENTS.  THE
 STRONGEST E'S ARE ALSO WRITTEN ON THE FILE, THE EXACT NUMBER BEING CHOSEN BY   
 THE PROGRAM UNLESS SPECIFIED BY THE USER. IN ADDITION, A NUMBER OF THE         
 WEAKEST E'S ARE OUTPUT (USUALLY 100, BUT CAN BE CHANGED BY THE USER) FOR USE IN
 THE PSI(ZERO) FIGURE OF MERIT IN MULTAN.                                       
1                                                                       PAGE  21
                           ************************                             
                           * DESCRIPTION OF FIRST *                             
                           ************************                             
                                                                                
                                                                                
      THE FIRST SECTION OF MULTAN SETS UP THE SYSTEM OF PHASE RELATIONSHIPS THAT
 IS SOLVED IN THE LAST SECTION. FIRST CONSISTS OF THREE LOGICAL UNITS, WHICH    
 MUST BE RUN TOGETHER. SIGMA2 SEARCHES FOR THE PHASE RELATIONSHIPS AND APPLIES  
 SPACE GROUP SYMMETRY TO DETERMINE PHASE RESTRICTIONS. CONVERGE CHOOSES THE     
 STARTING POINT FOR SOLUTION BY APPLICATION OF THE SIGMA1 FORMULA TO THE        
 STRUCTURE SEMINVARIANTS, DEFINING THE ORIGIN AND SELECTING OTHER REFLEXIONS FOR
 PHASE PERMUTATION. IT ALSO REJECTS THE MORE WEAKLY LINKED REFLEXIONS FROM THE  
 PHASING PROCESS. PSIZERO SETS UP THE PHASE RELATIONSHIPS THAT WILL BE USED TO  
 TEST SOLUTIONS PRODUCED BY THE TANGENT FORMULA.                                
                                                                                
                                                                                
      THE SIGMA2 SECTION OF FIRST SETS UP THE SIGMA2 PHASE RELATIONSHIPS WHICH  
 WILL BE USED LATER BY THE TANGENT FORMULA. THE DATA REQUIRED TO DO THIS CONSIST
 OF SPACE GROUP INFORMATION AND A NUMBER OF STRONG REFLEXIONS PASSED BY NORMAL. 
 ALL THE REFLEXIONS ARE LISTED IMMEDIATELY AFTER INPUT.  IT WILL BE FOUND       
 THAT EACH REFLEXION IS REFERRED TO BY A CODE NUMBER WHICH IS LISTED ALONG WITH 
 ITS INDICES AND, IN MUCH OF THE SUBSEQUENT OUTPUT, ONLY THE CODE NUMBER APPEARS
 IN ORDER TO CUT DOWN THE VOLUME OF PAPER GENERATED BY THE PROGRAM.  IN         
 ADDITION, THE INDICES ARE 'STANDARDISED' SO THAT ALL REFLEXIONS WILL LIE IN THE
 SAME PART OF THE RECIPROCAL LATTICE AND IT IS THE PHASE OF THE 'STANDARDISED'  
 REFLEXION WHICH IS EVENTUALLY COMPUTED BY THE TANGENT FORMULA.  SIGMA2 THEN    
 SETS UP ALL PHASE RELATIONSHIPS OF THE FORM                                    
                                                                                
              PHI(-H) + PHI(K) + PHI(H-K) = Q(H,K)                              
                                                                                
 WHERE Q(H,K) IS THE ESTIMATED PHASE OF THE SIGMA2 RELATIONSHIP WITH A WEIGHT   
 KA(H,K) GIVEN BY                                                               
              KA(H,K) = 2 * S3 * S2**(-1.5) * E(H) * E(K) * E(H-K)              
 WHERE             SN = SUM OVER J (Z(J)**N)                                    
                                                                                
 THE QUANTITY Q(H,K) WILL BE ZERO UNLESS GROUPS OF ATOMS OF KNOWN ORIENTATION OR
 POSITION HAVE BEEN INPUT TO NORMAL.  IN THIS CASE, Q(H,K) IS ESTIMATED AS      
 DESCRIBED BY MAIN (1976, CRYSTALLOGRAPHIC COMPUTING TECHNIQUES, ED. F.R. AHMED,
 PP. 97 - 105, MUNKSGAARD) AND THE VALUE OF KA(H,K) IS ALSO MODIFIED.           
                                                                                
      IN ORDER TO SAVE STORAGE SPACE AND COMPUTER TIME, ONLY THE STRONGEST      
 RELATIONSHIPS ARE RETAINED. ALL THOSE WITH A KA(H,K) LESS THAN 0.6 ARE REJECTED
 AND A MAXIMUM OF 8000 OTHERS RETAINED. THESE ARE USED IN CONVERGE UNLESS THE   
 PROGRAM IS BEING USED FOR KARLE RECYCLING, IN WHICH CASE CONVERGE AND PSIZERO  
 ARE SKIPPED AND ALL THE RELATIONSHIPS ARE USED IN PHASE DETERMINATION.         
                                                                                
      THE CONVERGE SECTION OF THE PROGRAM USES THE SPACE GROUP INFORMATION      
 PREVIOUSLY INPUT TO DETERMINE WHICH REFLEXIONS ARE STRUCTURE SEMINVARIANTS AND 
 HOW MANY REFLEXIONS ARE NEEDED TO DEFINE THE ORIGIN UNIQUELY. CONVERGE ALSO    
 DETERMINES THE 'BEST' REFLEXIONS FOR ORIGIN AND ENANTIOMORPH DEFINITION AND    
 FINDS A SMALL NUMBER OF OTHER REFLEXIONS WHICH APPEAR TO PROVIDE A GOOD        
 STARTING POINT FOR PHASE DETERMINATION. IT ALSO REJECTS THE REFLEXIONS LEAST   
 LIKELY TO BE DETERMINED ACCURATELY BY THE TANGENT FORMULA.                     
                                                                                
      THE SIGMA1 FORMULA IN CONVERGE IS OBTAINED AS A SPECIAL CASE OF THE SIGMA2
 RELATIONSHIP IN WHICH TWO OF THE REFLEXIONS ARE THE SAME.  AFTER               
 'STANDARDISATION' OF THE INDICES, SUCH A RELATIONSHIP MAY BE WRITTEN AS        
                    PHI(I) +- PHI(J) +- PHI(J) - DELTA = 0                      
 WHERE DELTA IS A PHASE SHIFT CAUSED BY TRANSLATIONAL SPACE GROUP SYMMETRY.     
1                                                                       PAGE  22
                                                                                
 IF PHI(I) IS THE PHASE OF A STRUCTURE SEMINVARIANT AND IS RESTRICTED IN VALUE, 
 THIS RELATIONSHIP MAY BE USED TO ESTIMATE IT.  FOR EXAMPLE, IF THE SIGNS OF THE
 TWO PHI(J)'S ARE DIFFERENT, WE CLEARLY HAVE THE INDICATION                     
                         PHI(I) = DELTA                                         
 WHILE IF THE SIGNS ARE THE SAME WE HAVE                                        
                         PHI(I) = -+ 2 * PHI(J) + DELTA                         
 THE VALUE OF 2 * PHI(J) WILL BE KNOWN IF PHI(J) IS RESTRICTED IN VALUE AND ONCE
 MORE WE HAVE AN INDICATION OF THE VALUE OF PHI(I).  THESE PHASE INDICATIONS FOR
 PHI(I) ARE ADDED VECTORIALLY, EACH WITH A WEIGHT OF  E(J)**2 - 1.0,  AND THE   
 RESULTANT VECTOR IS PROJECTED ON TO THE DIRECTION OF THE POSSIBLE PHASE VALUES 
 FOR PHI(I).  IF THE LENGTH OF THIS PROJECTION IS  S1,  THE PROBABILITY THAT IT 
 INDICATES THE CORRECT PHASE OF PHI(I) IS GIVEN BY                              
               P = 0.5 + 0.5 * TANH(E(I) * S1 / (2.0 * SQRT(N)))                
 WHERE N IS THE NUMBER OF ATOMS IN THE UNIT CELL.                               
                                                                                
      THE INDICATED PHASE OF EACH REFLEXION TO WHICH THE SIGMA1 FORMULA HAS BEEN
 APPLIED IS OUTPUT TOGETHER WITH ITS ASSOCIATED PROBABILITY.  THE NUMBER OF     
 REFLEXIONS CONTRIBUTING TO THE CALCULATION OF THE PROBABILITY IS ALSO OUTPUT   
 IN THE COLUMNS HEADED 'NC'.  THOSE REFLEXIONS WHOSE PROBABILITIES EXCEED A     
 THRESHOLD SET BY THE USER ARE INCLUDED IN THE STARTING POINT FOR THE TANGENT   
 FORMULA WHERE THEY ARE GIVEN AN INITIAL WEIGHT OF 2.0 * P - 1.0, PROVIDING THEY
 HAVE MORE THAN THREE CONTRIBUTORS.  BECAUSE OF THIS WEIGHTING, THE THRESHOLD   
 PROBABILITY MAY BE SET AS LOW AS 0.90 OR 0.85. HOWEVER, THE SIGMA1 FORMULA MUST
 ALWAYS BE USED WITH CARE AND IF THERE ARE ANY DOUBTS AT ALL ABOUT THE SCALING  
 OF THE E'S, THIS THRESHOLD SHOULD BE SET QUITE HIGH.  A PARTICULARLY BAD       
 SITUATION FOR SIGMA1 IS WHEN THE AVERAGE INTENSITY OF CERTAIN CLASSES OF       
 REFLEXIONS IS VERY MUCH GREATER THAN THE AVERAGE INTENSITY ELSEWHERE.  UNDER   
 THESE CIRCUMSTANCES, A PHASE MAY BE INDICATED WITH APROBABILITY OF UNITY AND   
 STILL BE INCORRECT.  IN GENERAL, A PROBABILITY VALUE WILL BE MORE RELIABLE THE 
 LARGER THE NUMBER OF CONTRIBUTING REFLEXIONS.                                  
                                                                                
      THE NEXT OPERATION OF CONVERGE IS TO FIND THE 'BEST' REFLEXIONS TO USE FOR
 ORIGIN DEFINITION AND TO LOOK FOR SEVERAL OTHER REFLEXIONS WHICH APPEAR TO     
 PROVIDE A GOOD STARTING POINT FOR PHASE DETERMINATION. THE EXACT NUMBER AND    
 TYPE OF THESE ADDITIONAL REFLEXIONS MAY BE SET BY THE USER. A GOOD STARTING    
 POINT WILL BE ONE WHICH USES THE STRONGEST PHASE RELATIONSHIPS AND LEADS       
 QUICKLY TO MULTIPLE INDICATIONS FOR UNKNOWN PHASES, THUS INCREASING THE        
 RELIABILITY OF PHASE DETERMINATION DURING THE INITIAL CRUCIAL STAGES. THE      
 ALGORITHM USED TO FIND SUCH A STARTING POINT IS DESCRIBED BY GERMAIN, MAIN &   
 WOOLFSON (ACTA CRYST., 1970, B26, 274) AND SO WILL NOT BE GIVEN IN DETAIL HERE.
                                                                                
      THE TABLE OF ESTIMATED ALPHA'S IS OUTPUT WITH THE CODES OF EACH REFLEXION.
 IN ADDITION, THE REFLEXION TYPE AND PHASE RESTRICTIONS ARE GIVEN IN THE COLUMNS
 HEADED 'MK'.  IF A PHASE VALUE IS UNRESTRICTED BY SPACE GROUP SYMMETRY, THE    
 VALUE OF MK IS 1.  ANY OTHER VALUE OF MK DENOTES A RESTRICTED PHASE, ONE OF    
 WHOSE POSSIBLE VALUES IS  15 * (MK - 1) DEGREES, THE OTHER BEING  15 * (MK - 1)
 + 180 DEGREES.  ALL REFLEXIONS MARKED WITH AN ASTERISK (*) ARE STRUCTURE       
 SEMINVARIANTS.                                                                 
                                                                                
      IF A CONVERGENCE MAPPING HAS BEEN REQUESTED, THIS IS PRINTED OUT NEXT.    
 EACH REFLEXION IS LISTED AS IT IS ELIMINATED IN THE CONVERGENCE PROCEDURE WITH 
 ITS ESTIMATED ALPHA COMPUTED FROM THE REFLEXIONS REMAINING.  ALSO LISTED ARE   
 ALL THE RELATIONSHIPS CONTRIBUTING TO THIS ESTIMATED ALPHA, PRINTED, FOR       
 EXAMPLE, AS    1 -97  12  1.88.   IF THE REFLEXION JUST ELIMINATED HAS A CODE  
 NUMBER OF 277, THIS RELATIONSHIP IS   PHI(277) = PHI(1) - PHI(97) + 12*(PI/12) 
 WITH A KA(H,K) VALUE OF 1.88.                                                  
1                                                                       PAGE  23
                                                                                
      AFTER THE FIRST PASS OF CONVERGENCE, THE PROGRAM TRIES TO FIND ORIGIN     
 FIXING REFLEXIONS AS LOW DOWN THE MAP AS POSSIBLE, AND IN ANY CASE BELOW THE   
 25'TH POSITION. IF THIS IS NOT POSSIBLE WITH THE RESTRICTIONS ON PHASE VALUES  
 (THE PROGRAM WILL TRY TO USE AS MANY SPECIALS AS POSSIBLE IN ORIGIN            
 DEFINITION), THESE RESTRICTIONS ARE RELAXED IF POSSIBLE UNTIL ALL REFLEXIONS   
 IN ORIGIN DEFINITION CAN BE GENERAL. IF THE PROGRAM STILL CANNOT DEFINE THE    
 ORIGIN, IT PRINTS OUT A WARNING MESSAGE AND ALLOWS ALL REFLEXIONS TO BE TESTED,
 NOT JUST THE BOTTOM 25. THE USUAL CAUSE OF THIS IS THAT A WHOLE CLASS OF       
 REFLEXIONS IS SYSTEMATICALLY WEAK AND SO IS COMPLETELY ELIMINATED WELL BEFORE  
 THE END OF CONVERGENCE.  IF ONE OF THESE REFLEXIONS IS REQUIRED FOR ORIGIN     
 DEFINITION, THE WARNING MESSAGE WILL BE PRINTED.  IF NO ACTION IS TAKEN BY THE 
 USER, MULTAN WILL CONTINUE WITH THE TANGENT FORMULA AND MAY WELL DETERMINE THE 
 STRUCTURE SUCCESSFULLY. HOWEVER, IF A SOLUTION IS NOT FOUND, A BETTER STARTING 
 POINT MAY BE FOUND BY RENORMALISING THE F'S SO THAT  <E**2> = 1  FOR EACH CLASS
 OF REFLEXIONS SEPARATELY, THUS ENHANCING THE EFFECT OF THE SYSTEMATICALLY WEAK 
 REFLEXIONS.                                                                    
                                                                                
      AFTER THE ORIGIN DEFINING REFLEXIONS HAVE BEEN FOUND, THE OTHER REFLEXIONS
 IN THE STARTING SET (REQUESTED BY KEYWORDS 'SPECIALS', 'GENERALS' AND 'ANY')   
 ARE CHOSEN. AS THE PHASES OF THESE ARE UNKNOWN, THEY ARE ASSIGNED A NUMBER OF  
 DIFFERENT VALUES AS DETERMINED BY THE APPROPRIATE 'MAGIC INTEGER' SEQUENCE     
 (MAIN, 1977, ACTA CRYST., A33, 750-757  AND  1978, ACTA CRYST., A34, 31-38),   
 OR GIVEN THE TWO VALUES ALLOWED BY SPACE GROUP SYMMETRY IF THE PHASE IS        
 RESTRICTED, THUS PRODUCING A MULTIPLE STARTING POINT FOR THE TANGENT FORMULA.  
 THE SETS OF PHASES ASSIGNED TO THE STARTING REFLEXIONS ARE EVENLY DISTRIBUTED  
 OVER THE WHOLE POSSIBLE RANGE OF PHASE SETS SO THAT AT LEAST ONE SHOULD BE     
 CLOSE TO THE CORRECT SET. THE NUMBER OF STARTING SETS IS GIVEN BY              
                 (NSETS)  *  (2**NS)  *  (EF)                                   
 WHERE NSETS IS THE NUMBER OF PHASE SETS PRODUCED BY THE MAGIC INTEGERS, NS IS  
 THE NUMBER OF REFLEXIONS WHOSE PHASES TAKE ON JUST TWO VALUES AND EF IS AN     
 ENANTIOMORPH FACTOR WHICH WILL HAVE ONE OF THE VALUES 1/2, 1, 2 OR 4. THE VALUE
 OF NSETS AS A FUNCTION OF NGEN, THE NUMBER OF GENERAL PHASES TO BE PERMUTED IN 
 THE STARTING SET, IS GIVEN IN THE FOLLOWING TABLE ALONG WITH THE R.M.S. ERROR  
 OF THE 'BEST' SET OF STARTING PHASES:                                          
                                                                                
        NGEN         0    1    2    3    4    5    6    7    8    9   10        
        NSETS        1    4   14   18   30   48   80  130  214  348  568        
        RMS ERROR    0   26   28   39   42   45   47   48   49   50   50        
                                                                                
 THE VALUE OF EF DEPENDS UPON HOW THE PROGRAM DECIDES TO FIX THE ORIGIN AND     
 ENANTIOMORPH FOR A PARTICULAR SPACE GROUP AND SET OF DATA, BUT IT WILL NORMALLY
 BE 1/2 OR 1.  THE VALUES OF 2 AND 4 OCCUR WHEN GENERAL REFLEXIONS ARE USED FOR 
 ORIGIN DEFINITION WHERE SPECIAL REFLEXIONS COULD HAVE BEEN USED, AS INDICATED  
 IN THE FOLLOWING TABLE:                                                        
                                                                                
 EF = 1/2 IF AN UNKNOWN PHASE IS USED TO DEFINE THE ENANTIOMORPH - THE RANGE OF 
          PERMUTATION IS RESTRICTED TO 1/2 THE PHASE CIRCLE.                    
    = 1   IF THE ENANTIOMORPH CAN BE DEFINED BY RESTRICTING THE ORIGIN-DEFINING 
          PHASES TO FIXED VALUES, OR                                            
          IF THE ENANTIOMORPH IS FIXED BY THE SPACE GROUP.                      
    = 2   IF THE ENANTIOMORPH IS DEFINED BY RESTRICTING THE ORIGIN-DEFINING     
          PHASES TO TWO SETS OF VALUES (ONE PHASE MUST TAKE ON TWO VALUES).     
    = 4   IF THE ENANTIOMORPH IS DEFINED BY RESTRICTING THE ORIGIN-DEFINING     
          PHASES TO FOUR SETS OF VALUES (TWO PHASES EACH TAKE ON TWO VALUES).   
1                                                                       PAGE  24
                                                                                
      THE REFLEXIONS WHICH ARE ELIMINATED LAST IN THE CONVERGENCE PROCEDURE WILL
 BE THE MOST IMPORTANT FOR PHASE DETERMINATION AND WILL APPEAR AT THE END OF THE
 CONVERGENCE MAP.  IT WILL BE SEEN THAT, STARTING FROM THE END OF THE           
 CONVERGENCE MAP AND WORKING UPWARDS, EACH PHASE MAY BE COMPUTED FROM THE       
 RELATIONSHIPS LISTED WITH IT, SINCE THESE RELATIONSHIPS USE ONLY THE STARTING  
 SET REFLEXIONS AND PHASES ALREADY DETERMINED.  THE PROGRAM THEREFORE           
 REMEMBERS THE ORDER IN WHICH REFLEXIONS APPEAR IN THE CONVERGENCE MAP AND TRIES
 TO DETERMINE THEIR PHASES IN REVERSE ORDER BY THE TANGENT FORMULA . IT FOLLOWS 
 THAT ANY REFLEXION NEAR THE BOTTOM OF THE CONVERGENCE MAP WITH A ZERO ESTIMATED
 ALPHA AND NO CONTRIBUTING RELATIONSHIPS REPRESENTS A WEAK LINK DURING PHASE    
 DETERMINATION AND SO CONVERGENCE ACTS TO MINIMISE SUCH WEAK LINKS.             
                                                                                
      AFTER CONVERGE HAS FIXED ON THE FINAL ORDER, IT REJECTS THE TOP 50        
 REFLEXIONS IN THE MAP FROM THE PHASE DETERMINATION PROCESS AND PRINTS THEM OUT 
 TOGETHER WITH THE NUMBER OF REMAINING PHASE RELATIONSHIPS. THESE REFLEXIONS    
 SHOULD BE CHECKED CAREFULLY TO SEE IF A CLASS OF REFLEXIONS HAS BEEN           
 SYSTEMATICALLY REJECTED. IF THIS IS SO, THEY CAN BE RETAINED BY USE OF THE     
 'DETERMINE' KEYWORD. IT WOULD BE BETTER, HOWEVER, TO RENORMALISE THE E'S TO    
 ENHANCE THE EFFECT OF THE SYSTEMATICALLY WEAK REFLEXIONS. IN ORDER TO MAKE ROOM
 FOR THE RELATIONSHIPS THAT ARE TO BE USED IN THE PSIZERO TEST, ONLY KUSER1-1000
 (7000) RELATIONSHIPS CAN BE RETAINED AT THIS TIME. HENCE SUFFICIENT REFLEXIONS 
 AT THE TOP OF THE CONVERGENCE MAP MAY BE REJECTED UNTIL THIS CONDITION CAN BE  
 MET.                                                                           
                                                                                
                                                                                
      THE FINAL LINEPRINTER OUTPUT FROM THIS SECTION OF THE PROGRAM IS A        
 COMPLETE LISTING OF ALL REFLEXIONS CHOSEN TO START PHASE DETERMINATION - THE   
 SIGMA1 REFLEXIONS, ORIGIN DEFINITION AND THOSE REFLEXIONS WHOSE PHASES ARE     
 PERMUTED.  AS FAR AS POSSIBLE, THE PROGRAM CHOOSES REFLEXIONS WITH RESTRICTED  
 PHASES FOR ORIGIN DEFINITION.  HOWEVER, THIS CRITERION MAY BE RELAXED IF       
 SUITABLE REFLEXIONS CAN NOT BE FOUND AND GENERAL REFLEXIONS MAY BE CHOSEN      
 INSTEAD.  UNDER THESE CIRCUMSTANCES, THE ORIGIN DEFINING REFLEXIONS WILL BE    
 USED TO DEFINE THE ENANTIOMORPH ALSO AND SOMETIMES ONE OR EVEN TWO OF THEM WILL
 BE GIVEN TWO POSSIBLE PHASE VALUES TO START THE PHASE DETERMINATION.  THIS     
 INFORMATION IS ALSO PRINTED OUT WITH THE ORIGIN DEFINING REFLEXIONS.           
                                                                                
      THE DEFINITIONS OF THE PERMUTED PHASES IN TERMS OF THE MAGIC INTEGER      
 SEQUENCE USED ARE ALSO PRINTED OUT.  EACH GENERAL PHASE IS DEFINED BY          
                                PHI(I) = M(I) * X                               
 WHERE M(I) IS THE MAGIC INTEGER AND X IS A VARIABLE WHICH TAKES ON DIFFERENT   
 VALUES AT EQUAL INTERVALS IN THE RANGE 0 TO 2*PI RADIANS.  THE INTERVAL OF X IS
 CHOSEN TO MAKE THE R.M.S. DIFFERENCE IN THE PHASES FROM ONE SET TO THE NEXT    
 EQUAL TO THE R.M.S. ERROR IN THE 'BEST' SET OF PHASES. THE PROGRAM ALSO        
 PRINTS OUT THE NUMBER OF PHASE SETS THAT THE TANGENT FORMULA WILL GENERATE.    
                                                                                
      PSIZERO USES THE SIGMA2 ROUTINE TO GENERATE PHASE RELATIONSHIPS BETWEEN   
 THE REFLEXIONS TO BE USED FOR PHASE DETERMINATION AND THE WEAK REFLEXIONS      
 PASSED FROM NORMAL. THESE WILL BE USED IN THE EARLY FIGURES OF MERIT AND IN THE
 PSI(ZERO) FINAL FIGURE OF MERIT (SEE THE SECTION ON 'FIGURES OF MERIT'). THE   
 FIRST EARLY FIGURE OF MERIT USES THOSE WEAK REFLEXIONS THAT HAVE MORE THAN 10  
 CONTRIBUTING RELATIONSHIPS FROM THE BOTTOM 100 REFLEXIONS IN THE CONVERGENCE   
 MAP. THE SECOND EARLY FIGURE OF MERIT AND THE FINAL PSI(ZERO) FIGURE OF MERIT  
 USE THE SAME WEAK REFLEXIONS AS THE FIRST EARLY FIGURE OF MERIT, PLUS ALL THOSE
 WEAK REFLEXIONS THAT HAVE MORE THAN 20 CONTRIBUTORS FROM ALL THE STRONG        
 REFLEXIONS IN THE PHASING PROCESS.                                             
1                                                                       PAGE  25
                           ***********************                              
                           * DESCRIPTION OF LAST *                              
                           ***********************                              
                                                                                
                                                                                
      THE TANGENT FORMULA SECTION OF THE PROGRAM GENERATES EACH STARTING SET    
 OF PHASES BY ASSIGNING PHASE VALUES GIVEN BY A 'MAGIC INTEGER' SEQUENCE TO     
 THOSE REFLEXIONS CHOSEN BY CONVERGE.  BY MEANS OF A TANGENT FORMULA, MULTAN    
 THEN DEVELOPS THEM INTO A COMPLETE SET OF PHASES USING THE PHASE RELATIONSHIPS 
 FOUND IN SIGMA2.  STARTING PHASES MAY BE INPUT FROM CARDS IF SO DESIRED.       
 TOGETHER WITH EACH SET OF PHASES ARE OUTPUT A NUMBER OF FIGURES OF MERIT TO    
 ENABLE THE PROGRAM (OR THE USER) TO DECIDE WHICH PHASES SHOULD BE USED IN THE  
 COMPUTATION OF E-MAPS.                                                         
                                                                                
      PHASES ARE DETERMINED AND REFINED USING ONE OF TWO WEIGHTED TANGENT       
 FORMULAE, BOTH OF THE FORM:                                                    
                                                                                
                 SUM OVER K (W(K)*W(H-K)*KA(H,K)*SIN(PHI(K)+PHI(H-K)))   T(H)   
   TAN(PHI(H)) = ----------------------------------------------------- = ----   
                 SUM OVER K (W(K)*W(H-K)*KA(H,K)*COS(PHI(K)+PHI(H-K)))   B(H)   
                                                                                
                 WHERE W(H) IS THE WEIGHT ASSOCIATED WITH THE PHASE PHI(H).     
                                                                                
      THE ORDINARY TANGENT FORMULA 'FASTAN' (THE DEFAULT IN THE PROGRAM)        
 USES WEIGHTS COMPUTED FROM                                                     
                         W(H) = AMIN1(1.0 , 0.2 * AA(H))                        
 WHERE              AA(H)**2  = T(H)**2 + B(H)**2                               
         (GERMAIN, MAIN & WOOLFSON, 1971, ACTA CRYST., A27, 368)                
                                                                                
      THE OTHER TANGENT FORMULA 'SWTR' USES STATISTICAL WEIGHTS BASED ON THE    
 EXPECTED VALUE OF AA(H). THIS GIVES A MORE STABLE DETERMINATION AND REFINEMENT 
 PROCESS IN CASES OF PSEUDOSYMMETRY AND WHERE FASTAN PRODUCES OVERCONSISTENT    
 PHASES. (HULL & IRWIN, 1978, ACTA. CRYST., A34, 863-870).                      
                                                                                
      WHEN GROUPS OF ATOMS OF KNOWN ORIENTATION OR POSITION HAVE BEEN INPUT,    
 THE TANGENT FORMULA IS MODIFIED AS DESCRIBED BY MAIN (1976, CRYSTALLOGRAPHIC   
 COMPUTING TECHNIQUES, ED. F. R. AHMED, PP. 97 - 105, MUNKSGAARD).              
                                                                                
      THE WEIGHTS OF REFLEXIONS WHOSE PHASES HAVE BEEN DETERMINED BY THE SIGMA1 
 FORMULA ARE INITIALLY SET AT  2.0 * P - 1.0,  WHERE P IS THE PROBABILITY OF THE
 SIGMA1 DETERMINATION.  THE WEIGHTS OF ALL OTHER REFLEXIONS IN THE STARTING SET 
 ARE UNITY WHILE REFLEXIONS WHOSE PHASES ARE UNDETERMINED ARE GIVEN A WEIGHT OF 
 ZERO.  THE PROGRAM DETERMINES INITIAL PHASES VALUES FOR THE BOTTOM 100 PHASES  
 FROM THE CONVERGENCE MAP AND REFINES THEM BEFORE GOING ON TO DETERMINE PHASES  
 FOR THE COMPLETE DATA SET.  THESE ARE DETERMINED IN THE ORDER INDICATED BY     
 CONVERGE AND ALSO REFINED IN THE SAME ORDER.  ALL SIGMA1 PHASES ARE KEPT       
 CONSTANT AND CONTRIBUTE TO THE PHASE DETERMINATION WITH THEIR INITIAL WEIGHT   
 UNTIL THEY ARE DETERMINED BY THE TANGENT FORMULA WITH A LARGER WEIGHT.         
 THEREAFTER THEY TAKE ON THE VALUE AND WEIGHT INDICATED BY THE TANGENT FORMULA. 
 THE OTHER REFLEXIONS IN THE STARTING SET ARE KEPT CONSTANT UNTIL THE TANGENT   
 FORMULA REFINEMENT HAS ESSENTIALLY CONVERGED; THEY ARE THEN ALLOWED TO REFINE  
 TO THEIR FINAL VALUES, IN ONE MORE CYCLE.                                      
1                                                                       PAGE  26
                                                                                
      SINCE THE TANGENT FORMULAE ARE WEIGHTED, ALL REFLEXIONS ARE INCLUDED THE  
 WHOLE OF THE TIME AND THERE IS NO REJECTION CRITERION FOR A PHASE OTHER THAN   
 THE WEIGHT BEING CALCULATED AS VERY SMALL OR ZERO.  THE FORM OF WEIGHTING      
 ENSURES THAT POORLY DETERMINED PHASES HAVE LITTLE EFFECT IN THE DETERMINATION  
 OF OTHER PHASES, WHILE THE FACT THAT ALL PHASES ARE INCLUDED IN THE PHASE      
 DETERMINATION PROCESS LEADS TO VERY EFFICIENT PROPAGATION OF PHASE KNOWLEDGE   
 THROUGHOUT THE DATA SET.                                                       
                                                                                
      IF 'FASTAN' IS USED, EARLY FIGURES OF MERIT MAY BE IMPLEMENTED TO REJECT  
 SETS THAT CANNOT REFINE TO THE CORRECT SOLUTION, THUS SAVING COMPUTING TME.    
 SEE THE SECTION ON 'EARLY FIGURES OF MERIT'.                                   
                                                                                
      IT HAS BEEN THE AUTHORS EXPERIENCE WITH THE PSI(ZERO) AND RESIDUAL FIGURES
 OF MERIT THAT SETS WITH SUFFICIENTLY GOOD FIGURES OF MERIT ALWAYS REVEAL THE   
 STRUCTURE. THE PROGRAM WILL THEREFORE CHECK THE FIGURES OF MERIT AND IF        
 PSI(ZERO) IS LESS THAN 1.25 AND THE RESIDUAL IS LESS THAN 20 PER CENT, NO      
 FURTHER SETS WILL BE INVESTIGATED. THE PROGRAM PRINTS OUT A MESSAGE AND STOPS, 
 SO THAT THE FOURIER PROCEDURE CAN BEGIN IMMEDIATELY.                           
                                                                                
      PROVISION IS MADE IN MULTAN FOR THE INPUT OF STARTING PHASES FROM CARDS.  
 THIS MAY BE USED TO INPUT ONE'S OWN STARTING REFLEXIONS IF THOSE CHOSEN BY THE 
 PROGRAM ARE UNSATISFACTORY IN SOME WAY.  IF THIS FACILITY IS USED IN A         
 RECYCLING PROCEDURE IN WHICH THE STARTING PHASES ARE GIVEN BY A PREVIOUSLY     
 OBTAINED PARTIAL STRUCTURE, IT IS ADVISABLE TO MAKE THE REFLEXION MARKERS      
 NEGATIVE.  THIS WILL FIX THE PHASES AT THEIR INPUT VALUES AND ENSURES THE NEW  
 PHASES DETERMINED CONFORM TO THE INPUT INFORMATION.  ALL PHASES ARE THEN       
 ALLOWED TO REFINE FOR THE LAST TWO OR THREE CYCLES OF TANGENT FORMULA          
 REFINEMENT.  IF THE INPUT PHASES ARE ALLOWED TO REFINE IMMEDIATELY, THEY MAY   
 CHANGE THEIR VALUES COMPLETELY AND SO BEAR NO RELATION TO THOSE INPUT.         
1                                                                       PAGE  27
                              ********************                              
                              * FIGURES OF MERIT *                              
                              ********************                              
                                                                                
                                                                                
      IN ORDER TO DETERMINE THE PHASE SETS WITH THE BEST PHASES, THREE BASIC    
 FIGURES OF MERIT, ABSFOM, PSIZERO AND RESID ARE COMPUTED. FIGURES OF MERIT     
 BASED ON THESE ARE USED TO DECIDE WHETHER TO REJECT A SET IF IT WILL NOT YIELD 
 A CORRECT SOLUTION, AND TO DECIDE IN WHICH ORDER TO COMPUTE THE E-MAPS.        
                                                                                
      THE 'ABSOLUTE FIGURE OF MERIT', ABSFOM, IS A MEASURE OF INTERNAL          
 CONSISTENCY AMONG THE SIGMA2 RELATIONSHIPS AND IS CALCULATED FROM              
       ABSFOM = SUM OVER H (AA(H) - AR(H)) / SUM OVER H (AE(H) - AR(H))         
 WHERE AA(H) IS DEFINED IN THE PREVIOUS SECTION, AE(H) IS THE ESTIMATED VALUE OF
 AA(H) CALCULATED DURING THE CONVERGENCE PROCEDURE AND AR(H) IS THE VALUE OF    
 AA(H) EXPECTED FROM RANDOM PHASES, I.E.                                        
                       AR(H)**2 = SUM OVER K (KA(H,K)**2)                       
 ABSFOM IS CLEARLY ZERO FOR RANDOM PHASES AND UNITY IF THE SUM OF ALL THE AA(H) 
 IS EQUAL TO ITS EXPECTATION VALUE. IN SPACE GROUPS WITH NO TRANSLATIONAL       
 SYMMETRY, THE SIGMA2 RELATIONSHIPS CAN BE PERFECTLY SATISFIED WHEN THE PHASES  
 ARE A LINEAR FUNCTION OF THE INDICES. THESE PHASES WILL NECESSARILY PRODUCE THE
 HIGHEST POSSIBLE VALUE OF ABSFOM AND WILL BE ALMOST INVARIABLY WRONG. IN       
 ADDITION, SETS WITH ABSFOMS GREATER THAN UNITY ARE COMMON, WHILE CORRECT       
 SOLUTIONS HAVE BEEN FOUND (RARELY]) WITH AN ABSFOM OF 0.7. THIS IS THE         
 LEAST RELIABLE OF THE FIGURES OF MERIT.                                        
                                                                                
      THE NEXT FIGURE OF MERIT, PSI(ZERO), WAS FIRST USED BY COCHRAN & DOUGLAS  
 (PROC. ROY. SOC., 1957, A243, 281) AND IS DEFINED AS                           
                                                                                
        PSI(ZERO) = SUM OVER H (PSI(H)) / PSI(RAND)                             
 WHERE     PSI(H) = MAGNITUDE OF SUM OVER K (E(K) * E(H-K))                     
 AND    PSI(RAND) = SUM OVER H (SQRT(SUM OVER K ((MAGNITUDE OF E(K)*E(H-K))**2))
                                                                                
 THE TERMS IN THE SUMMATION FOR PSI(H) ARE THOSE FOR WHICH PHASES ARE KNOWN AND 
 THE VALUES OF H IN THE FIRST SUMMATION ARE THOSE FOR WHICH THE CORRESPONDING   
 E-VALUE IS EITHER VERY SMALL OR ZERO, HENCE THE PSI(ZERO) REFLEXIONS INPUT TO  
 MULTAN.  SINCE PSI(H) IS ESSENTIALLY THE RIGHT HAND SIDE OF SAYRE'S EQUATION   
 FOR SMALL E(H), IT SHOULD HAVE A LOW VALUE FOR THE CORRECT PHASES.  THE VALUE  
 OF PSI(ZERO) SHOULD THEREFORE BE AS SMALL AS POSSIBLE.  PRACTICAL EXPERIENCE   
 SHOWS THIS TO BE A POWERFUL DISCRIMINATOR AGAINST INCORRECT SETS OF PHASES - IT
 IS VERY SENSITIVE TO MOLECULAR POSITION AND IS COMPLETELY INDEPENDENT OF THE   
 TANGENT FORMULA. THE WEAK REFLEXIONS USED ARE SELECTED FROM THE 100 WEAKEST    
 REFLEXIONS BY THE CRITERION OF THE NUMBER OF RELATIONSHIPS IN WHICH EACH WEAK  
 REFLEXION TAKES PART. IF A REFLEXION TAKES PART IN LESS THAN 20 RELATIONSHIPS, 
 IT IS NOT USED. THE VALUE OF PSI(ZERO) SHOULD BE SMALL FOR THE CORRECT SET.    
 HOWEVER IT WILL ALSO BE SMALL FOR RANDOM PHASE SETS, TYPIFIED BY LOW ABSFOM'S, 
 AND IT WILL TEND TO BE LARGE FOR A CORRECT SOLUTION WITH A HEAVY ATOM PRESENT, 
 TYPIFIED BY A HIGH ABSFOM. HENCE THE FINAL PSI(ZERO) IS CALCULATED AS          
       PSIZRO(FINAL) = PSI(ZERO) / MIN(ABSFOM,1.3)                              
                                                                                
      THE THIRD FIGURE OF MERIT, RESID, IS A MEASURE OF HOW WELL THE SIGMA2     
 RELATIONSHIPS HAVE FOLLOWED THE STATISTICAL EXPECTATIONS. IT IS CALCULATED AS  
         RESID = 100 * SUM OVER H ( ABS (SC*AE(H) - AA(H))                      
                       --------------------------------------                   
                        SUM OVER H (AE(H))                                      
 WHERE SC IS A SCALE FACTOR CALCULATED AS FOLLOWS                               
   IF THERE IS NO HEAVY ATOM IN THE STRUCTURE, THEN  SC = 1.0                   
   IF THERE IS A HEAVY ATOM PRESENT, THE EXPECTED ALPHAS AE(H) TEND TO BE TOO   
 LOW AND SO NEED SCALING UP. THEN SC = MIN(1.3,SQRT(MAX(ABSFOM,1.0)))           
1                                                                       PAGE  28
                                                                                
      THE FIRST EARLY FIGURE OF MERIT IS APPLIED TO THE BOTTOM 100 PHASES IN THE
 CONVERGENCE MAP AFTER 7 CYCLES OF TANGENT FORMULA REFINEMENT, IMMEDIATELY      
 BEFORE EXPANSION TO THE FULL NUMBER OF PHASES TAKES PLACE. THIS FIGURE OF MERIT
 IS A COMBINED FIGURE OF MERIT BETWEEN A PSI(ZERO) FIGURE OF MERIT AND A        
 WEIGHTED RESIDUAL ON ALPHA. THE PSI(ZERO) FIGURE OF MERIT IS COMPUTED USING    
 THOSE WEAK REFLEXIONS WITH MORE THAN 10 CONTRIBUTORS FROM THESE 100 PHASES.    
 THE WEIGHTED RESIDUAL IS CALCULATED AS                                         
                                                                                
       WTRESID = 100.0 * SUM OVER H(AE(H)*SQRT(AE(H)**2-AA(H)**2))              
                         -----------------------------------------              
                             SUM OVER H ( AE(H)**(3/2) )                        
                                                                                
 THE FIRST EARLY FIGURE OF MERIT IS THEN CALCULATED AS                          
                       PSI(ZER0) + WTRESID / 10.0                               
 AND SHOULD BE LARGE FOR A BAD SET OF PHASES. INITIALLY SETS ARE REJECTED WITH  
 VALUES GREATER THAN A LIMIT (DEFAULT 1.8). IF MORE THAN 1/3 OF THE TOTAL NUMBER
 OF SETS TO BE GENERATED HAVE BEEN ACCEPTED, THE LIMIT DROPS TO THE NEXT LARGEST
 VALUE THAT HAS BEEN ACCEPTED, WHENEVER ANOTHER SET IS ACCEPTED.                
                                                                                
      IF THE USER WHISHES TO USE THE EARLY FIGURES OF MERIT WITH AN EQUAL       
 ATOM PLANAR STRUCTURE, THE AUTHORS RECOMMEND THAT THE FIRST EARLY FIGURE OF    
 MERIT BE SWITCHED OFF WITH 'ACUT 0'. IN CASES LIKE THESE, THE SOLUTION IS      
 INVARIABLY INCORRECT IN THE EARLY STAGES OF PHASE DETERMINATION, AND WILL      
 PROBABLY BE REJECTED BY THE FIRST EARLY FIGURE OF MERIT.                       
                                                                                
      THE SECOND EARLY FIGURE OF MERIT IS SIMPLY A PSI(ZERO) FIGURE OF MERIT    
 APPLIED THREE CYCLES AFTER THE TANGENT FORMULA HAS BEEN EXPANDED TO ALL THE    
 PHASES. IT REJECTS SETS WHOSE FIGURES OF MERIT ARE ABOVE 1.6. IN THE CASE OF   
 PLANAR MOLECULES MENTIONED ABOVE, IT WILL BE WORTHWHILE RAISING THIS TO 1.7 OR 
 1.8.                                                                           
                                                                                
      THE EARLY FIGURES OF MERIT ARE NOT AVAILABLE WITH THE STATISTICALLY       
 WEIGHTED TANGENT FORMULA, AND THE AUTHORS DO NOT RECOMMEND THEIR USE WITH      
 HEAVY ATOM STRUCTURES.                                                         
                                                                                
      A CUTOFF OF 1.25 IN THE PSI(ZERO) FIGURE OF MERIT AND 20.0 IN THE RESIDUAL
 IS APPLIED SUCH THAT IF A SET HAS FIGURES OF MERIT BELOW BOTH VALUES, THE      
 PROGRAM WILL TAKE THIS TO BE A CORRECT SOLUTION AND STOP.                      
                                                                                
      AFTER ALL SETS OF PHASES HAVE BEEN GENERATED, MULTAN OUTPUTS A SUMMARY OF 
 THE FIGURES OF MERIT INCLUDING A 'COMBINED FIGURE OF MERIT', C, CALCULATED FROM
                AF - AF(MIN)           PS(MAX) - PS           R(MAX) - R        
      C = W1 * --------------- + W2 * --------------- + W3 * -------------      
               AF(MAX)-AF(MIN)        PS(MAX)-PS(MIN)        R(MAX)-R(MIN)      
 WHERE AF IS ABS FOM, PS IS PSI(ZERO) AND R IS RESID.  THE WEIGHTS W1, W2 AND W3
 GIVEN TO EACH TERM HAVE DEFAULT VALUES OF 0.6, 1.2, 1.2 RESPECTIVELY.          
 CLEARLY, C HAS A MAXIMUM VALUE OF  W1 + W2 + W3,  A MINIMUM OF ZERO            
 AND IS A MAXIMUM FOR THE 'BEST' SET OF PHASES.  THE COMBINED FIGURE OF MERIT   
 HAS BEEN FOUND TO BE A MORE RELIABLE INDICATOR OF THE CORRECT SET OF PHASES    
 THAN EITHER OF THE OTHER THREE FIGURES OF MERIT SEPARATELY.  THEREFORE, IT IS  
 USED BY EXFFT TO DECIDE ON THE ORDER OF COMPUTATION OF E-MAPS. IF THE USER     
 ALTERS THE WEIGHTS OF THE FIGURES OF MERIT, THE PROGRAM WILL STILL NORMALISE   
 THE WEIGHTS SO THAT W1 + W2 + W3 = 3.0. IN GENERAL, SETS WITH A CFOM GREATER   
 THAN 2 ARE WORTH EXAMINING. HOWEVER, THE CONVERSE, THAT SETS WITH A CFOM LESS  
 THAN 2.0 ARE NOT WORTH LOOKING AT, IS NOT AWAYS TRUE.                          
1                                                                       PAGE  29
                    ****************************************                    
                    * DESCRIPTION OF THE FOURIER PROCEDURE *                    
                    ****************************************                    
                                                                                
                                                                                
      THE REMAINING PROGRAMS IN THE MULTAN SYSTEM, EXFFT AND SEARCH, ARE        
 NORMALLY RUN CONSECUTIVELY TO CALCULATE AND INTERPRET E-MAPS AND WILL BE       
 DESCRIBED TOGETHER IN THIS SECTION.                                            
                                                                                
      USING DEFAULT VALUES, EXFFT WILL ALWAYS PRODUCE THE E-MAP WITH THE LARGEST
 COMBINED FIGURE OF MERIT WHICH HAS SO FAR NOT BEEN COMPUTED. ALTERNATIVELY, THE
 PARTICULAR SET OF PHASES WHICH IS TO BE USED IN THE E-MAP CALCULATION MAY BE   
 SPECIFIED.  THE E-MAP IS NOT NORMALLY OUTPUT, BUT IS IMMEDIATELY PASSED ON TO  
 THE PEAK SEARCH PROGRAM SEARCH.                                                
                                                                                
      SEARCH LOOKS FOR THE HIGHEST PEAKS IN THE MAP, NORMALLY ABOUT 22 PER      
 CENT MORE THAN THE NUMBER OF ATOMS TO BE LOCATED UNLESS THE ACTUAL NUMBER IS   
 SPECIFIED BY THE USER.  SEARCH THEN LOOKS FOR BONDED SEQUENCES OF PEAKS AMONG  
 THOSE LOCATED, TAKING A DEFAULT VALUE OF 1.95A AS THE MAXIMUM BONDING DISTANCE 
 ALLOWED. THESE SEQUENCES ARE SORTED INTO UNIQUELY NUMBERED MOLECULAR CLUSTERS. 
 PEAKS WHICH ARE NOT WITHIN BONDING DISTANCE OF ANY OTHER ARE GIVEN A CLUSTER   
 NUMBER OF ZERO.  IF TWO CLUSTERS CONTAINING AT LEAST FIVE PEAKS EACH ARE FOUND 
 TO BE WITHIN 2.8A OF EACH OTHER, SEARCH ASSUMES THEY ARE JOINED BY A WEAK PEAK 
 NOT YET FOUND.  IT THEN AUTOMATICALLY INCREASES THE NUMBER OF PEAKS TO 50 PER  
 CENT MORE THAN THE NUMBER OF ATOMS AND THIS INCREASED NUMBER OF PEAKS IS USED  
 THROUGHOUT THE REST OF THE PROGRAM.  THIS AUTOMATIC INCREASE IN THE NUMBER OF  
 PEAKS IS ONLY GIVEN IF THE DEFAULT NUMBER OF PEAKS HAS BEEN USED.              
                                                                                
      THE SIMPLE STEREOCHEMICAL CRITERIA OF MAXIMUM AND MINIMUM BOND LENGTHS    
 AND ANGLES ARE APPLIED TO EACH CLUSTER IN AN ATTEMPT TO IDENTIFY MOLECULAR     
 FRAGMENTS. IF TWO OR MORE SUCH FRAGMENTS APPEAR IN THE SAME CLUSTER, THE       
 PROGRAM CHECKS TO SEE IF THEY CAN BOND TOGETHER BY SYMMETRY, AND IF SO,        
 REBUILDS THIS CLUSTER AROUND THE LARGEST COMBINED FRAGMENT. THIS PREVENTS A    
 MOLECULE BECOMING SPLIT IN TWO BY WEAK CORRECT PEAKS AND STRONG SPURIOUS PEAKS.
 THE PROGRAM SEARCHES FOR DIFFERENT INTERPRETATIONS BY ASSUMING DIFFERENT       
 PEAKS ARE SPURIOUS, AND UP TO THREE SIGNIFICANTLY DIFFERENT INTERPRETATIONS OF 
 THE CLUSTER MAY BE PRINTED.                                                    
                                                                                
      FOR EACH CLUSTER CONTAINING MORE THAN 8 PEAKS, SEARCH PROJECTS THE PEAKS  
 ONTO THE LEAST SQUARES PLANE AND PLOTS THEIR POSITIONS ON THE LINEPRINTER.  UP 
 TO TWO MORE ORTHOGONAL PROJECTIONS CAN BE OUTPUT IF REQUESTED OR IF THE        
 PROGRAM DECIDES IT IS DESIRABLE.  THESE ARE ON THE PLANE ORTHOGONAL TO THE     
 LEAST AND MOST SQUARES PLANES AND ON THE MOST SQUARES PLANE, IN THAT ORDER.  IF
 THE DEFAULT OPTION IS USED SEARCH WILL ALWAYS GIVE THE FIRST PROJECTION AND    
 WILL OUTPUT THE SECOND IF THE CLUSTER IS CYLINDRICAL OR GLOBULAR. THE CRITERION
 USED TO OUTPUT THE SECOND PROJECTION IS THAT THE SUM OF THE SQUARES OF THE     
 DISTANCES OF ALL THE PEAKS FROM THE PLANE, SUMDSQ, SHOULD BE LESS THAN TWICE   
 THE VALUE OF SUMDSQ FOR THE LEAST SQUARES PLANE.  ALL THREE PROJECTIONS CAN BE 
 OUTPUT FOR ANY FRAGMENT BY USING 'PROJ 3'.                                     
                                                                                
      THE PROGRAM OUTPUTS THE INTERPRETATION(S) OF A CLUSTER IMMEDIATELY AFTER  
 THE PICTURE(S) OF THE CLUSTER HAVE BEEN PRINTED. AFTER ALL CLUSTERS HAVE BEEN  
 DEALT WITH, IT THEN PRINTS A LIST OF THE PEAK COORDINATES, TOGETHER WITH EACH  
 PEAK'S HEIGHT AND CLUSTER NUMBER. INTERPEAK DISTANCES ARE TABULATED AND OUTPUT 
 IN TWO TABLES, ONE FOR PEAKS RELATED BY THE IDENTITY OPERATION AND ONE FOR     
 PEAKS RELATED BY OTHER SYMMETRY OPERATIONS. BOND ANGLES ARE ALSO TABULATED.    
1                                                                       PAGE  30
                                                                                
      IF THE USER HAS INPUT THE BOND SEQUENCE OF THE MOLECULE, THIS IS COMPARED 
 WITH THE BOND SEQUENCE OF EACH INTERPRETATION AND CORRESPONDING ATOMS ARE      
 IDENTIFIED AS FAR AS POSSIBLE.  THE COMPARISON ROUTINES USED ARE DESCRIBED BY  
 MAIN & HULL (1978) ACTA CRYST., A34, 353.  THEY ARE COMPLETELY GENERAL AND ARE 
 CAPABLE OF MATCHING ANY TWO MOLECULES NO MATTER WHAT THEIR CONNECTIVITIES.  IN 
 THIS VERSION, THE INPUT MOLECULE PLAYS A PASSIVE ROLE AND IS USED ONLY AS A    
 CHECK ON THE MOLECULE FOUND IN THE MAP.  SEARCH IS BEING DEVELOPED FURTHER TO  
 ENABLE THE INPUT MOLECULE TO BE USED ACTIVELY IN THE E-MAP INTERPRETATION.     
                                                                                
      IT MAY SOMETIMES HAPPEN THAT THE PEAKS CORRESPONDING TO ONE OR TWO ATOMS  
 ARE QUITE SMALL AND SO ARE NOT PLOTTED.  THIS COULD HAVE THE EFFECT OF         
 SPLITTING THE MOLECULE INTO TWO DISCONNECTED FRAGMENTS MAKING IT ALMOST        
 UNRECOGNISABLE IN THE WAY IT IS PRESENTED BY SEARCH.  THE USER SHOULD BE AWARE 
 OF THIS AND, IF HE SUSPECTS IT IS HAPPENING, SHOULD REQUEST A LARGER NUMBER OF 
 PEAKS TO BE PLOTTED.  THIS ALSO HAS THE EFFECT, OF COURSE, OF PLOTTING MORE    
 SPURIOUS PEAKS AS WELL AS THE GENUINE ONES SOUGHT FOR.  AS A LAST RESORT, THE  
 COMPLETE MAP CAN BE OUTPUT DIRECTLY FROM EXFFT.  THIS SHOULD BE RARELY         
 NECESSARY, HOWEVER, AND IS USUALLY RESERVED FOR CASES WHERE THE DATA ARE POOR  
 AND THE ATOMS ARE NOT PROPERLY RESOLVED.                                       
1                                                                       PAGE  31
                    ***************************************                     
                    * CHECK-LIST FOR DIFFICULT STRUCTURES *                     
                    ***************************************                     
                                                                                
                                                                                
      IF MULTAN HAS FAILED TO SOLVE THE STRUCTURE AND THE DATA HAVE BEEN CHECKED
 FOR ERRORS, THE FOLLOWING POINTS MAY SUGGEST A POSSIBLE COURSE OF FURTHER      
 ACTION.                                                                        
                                                                                
      (1)  MAKE SURE THAT ALL AVAILABLE KNOWLEDGE OF THE STEREOCHEMISTRY OF THE 
 STRUCTURE HAS BEEN USED IN THE CALCULATION OF NORMALISED STRUCTURE FACTORS.    
 THE LARGER THE ATOMIC GROUPS INPUT TO NORMAL FOR THE CALCULATION OF MOLECULAR  
 SCATTERING FACTORS THE BETTER.                                                 
                                                                                
      (2)  AFTER NORMALISATION, CHECK THE DISTRIBUTION OF AVERAGE  E**2  WITH   
 SIN(THETA).  IF THE E'S AT HIGH ANGLES ARE TOO LARGE (AVERAGE E**2 > 1.0) IT   
 MAY BE NECESSARY TO RENORMALISE USING A SMALLER TEMPERATURE FACTOR.            
                                                                                
      (3)  IF THERE ARE TOO FEW PHASE RELATIONSHIPS PER REFLEXION AND THERE IS  
 ROOM FOR MORE RELATIONSHIPS IN THE COMPUTER, INCREASE THE NUMBER OF REFLEXIONS.
 THIS WILL RESULT IN MORE RELATIONSHIPS BEING SET UP AND WILL INCREASE THE      
 NUMBER OF RELATIONSHIPS PER REFLEXION.  IF THERE ARE ALREADY TOO MANY          
 RELATIONSHIPS FOR THE COMPUTER TO HOLD, DECREASE THE NUMBER OF REFLEXIONS TO   
 THE POINT WHERE MOST OF THE RELATIONSHIPS SET UP CAN BE HELD IN STORE.  THIS   
 WILL MAXIMISE THE NUMBER OF RELATIONSHIPS PER REFLEXION.                       
                                                                                
      (4) FOR DIFFICULT STRUCTURES WHERE THERE IS A PAUCITY OF RELATIONSHIPS,   
 IT MAY BE NECESSARY TO USE THE RELATIONSHIPS WITH A KA(H,K) VALUE LESS THAN    
 0.6. IN THIS CASE IT IS USUALLY BEST TO USE ALL THE RELATIONSHIPS,             
 I.E. SET 'KMIN 0'.                                                             
                                                                                
      (5)  LOOK CRITICALLY AT THE PHASES DETERMINED BY THE SIGMA1 FORMULA, IF   
 ANY.  NORMALLY THE THRESHOLD PROBABILITY FOR THE ACCEPTANCE OF THESE PHASES CAN
 BE SET QUITE LOW, BUT IF THERE ARE ANY DOUBTS ABOUT THE SCALING OF THE E'S,    
 THIS THRESHOLD SHOULD BE HIGH.  THE SIGMA1 FORMULA CAN NOT EASILY BE APPLIED   
 WHEN THE AVERAGE INTENSITY OF CERTAIN GROUPS OF REFLEXIONS IS VERY MUCH GREATER
 THAN THE AVERAGE INTENSITY OF THE REMAINDER.  IN THIS SITUATION, A PHASE MAY BE
 INDICATED WITH A PROBABILITY OF UNITY AND STILL BE INCORRECT.                  
                                                                                
      (6)  MAKE SURE THE STARTING POINT FOR THE TANGENT FORMULA IS A GOOD ONE.  
 ALL THE REFLEXIONS IN THE STARTING SET SHOULD BE USED DURING THE FIRST FEW     
 STAGES OF PHASE DETERMINATION.  THIS CAN BE CHECKED BY LOOKING AT THE BOTTOM OF
 THE CONVERGENCE MAP.  IF A STARTING SET REFLEXION (APART FROM SIGMA1'S) IS NOT 
 USED AT ALL DURING THE EARLY STAGES OF PHASE DETERMINATION, A BETTER STARTING  
 POINT CAN SOMETIMES BE OBTAINED BY INCLUDING AT LEAST ONE OTHER REFLEXION WHOSE
 PHASE DEPENDS UPON THAT OF THE 'LATE STARTER'.  HOWEVER, THE REMEDY FOR A POOR 
 STARTING POINT WILL DEPEND UPON THE PARTICULAR SITUATION AND GENERAL RULES CAN 
 NOT BE GIVEN.                                                                  
                                                                                
      (7)  IF THERE ARE 'GAPS' NEAR THE BOTTOM OF THE CONVERGENCE MAP, I.E.     
 REFLEXIONS ELIMINATED WITH A ZERO ESTIMATED ALPHA AND NO SIGMA2 CONTRIBUTORS,  
 IT MAY BE NECESSARY TO INCREASE THE NUMBER OF REFLEXIONS IN THE STARTING SET.  
 EVEN WITHOUT GAPS, AN EXTRA STARTING SET REFLEXION MAY HELP, BUT ONLY AT THE   
 EXPENSE OF INCREASED COMPUTING TIME.                                           
1                                                                       PAGE  32
                                                                                
      (8)  IF THE CONVERGENCE MAP IS VERY 'THIN' NEAR THE BOTTOM, I.E. MANY     
 PHASES ARE DETERMINED BY ONLY ONE OR TWO RELATIONSHIPS EACH AT THE VERY START  
 OF PHASE DETERMINATION, THIS MAY BE A CAUSE OF FAILURE TO SOLVE THE STRUCTURE. 
 THE REMEDY FOR THIS IS TO INCREASE THE NUMBER OF REFLEXIONS AND USE ALL THE    
 RELATIONSHIPS THE PROGRAM SETS UP.                                             
                                                                                
      (9)  CHECK TO SEE IF ALL THE REFLEXIONS AT THE BOTTOM OF THE CONVERGENCE  
 MAP HAVE SOMETHING OBVIOUS IN COMMON, I.E. DO THEY ALL HAVE THE L INDEX EVEN,  
 OR H DIVISIBLE BY 3 OR H+K EVEN, ETC.  IF SO, THEN MAKE SURE THAT THE AVERAGE  
 VALUE OF  E**2  IS EQUAL TO UNITY FOR ALL SUCH REFLEXION GROUPS SEPARATELY, BY 
 RENORMALISATION.                                                               
                                                                                
      (10)  IF THE EARLY FIGURES OF MERIT ARE REJECTING MOST OF THE SETS, IT MAY
 BE POSSIBLE THAT THEY ARE REJECTING THE CORRECT SET TOO.  IF YOU BELIEVE THAT  
 THIS IS HAPPENING, DO NOT USE THEM. FOR PLANAR RING STRUCTURES,                
 REMEMBER TO SWITCH OFF THE FIRST EFOM USING 'ACUT 0' AND RAISE THE             
 LIMIT ON THE SECOND EFOM, E.G. 'BCUT 1.7'.                                     
                                                                                
      (11)  IF THE E-MAPS FROM A RUN OF MULTAN USING FASTAN SHOW OBVIOUS        
 PSEUDOSYMMETRY, E.G. A MIRROR PLANE THROUGH A HEAVY ATOM IN A POLAR SPACE GROUP
 LIKE P2(1), OR IF MOST OF THE SETS GENERATED BY FASTAN HAVE HIGH ABSOLUTE      
 FIGURES OF MERIT, INDICATING OVERCONSISTENT SOLUTIONS, USE OF THE STATISTICALLY
 WEIGHTED TANGENT FORMULA 'SWTR' MAY GIVE BETTER RESULTS. HOWEVER, THE COMPUTING
 TIME FOR EACH SET IS LIKELY TO BE INCREASED BY UP TO A FACTOR OF TWO.          
                                                                                
      (12)  FOR A DIFFICULT STRUCTURE, THE COMBINED FIGURE OF MERIT MAY NOT     
 INDICATE THE 'CORRECT' SET OF PHASES VERY RELIABLY.  BE SURE TO EXAMINE E-MAPS 
 FURTHER DOWN THE RANKING ORDER THAN IS USUALLY NECESSARY.                      
                                                                                
      (13)  WHEN CERTAIN ATOMS ARE MISSING FROM AN E-MAP, THE MOLECULE QUICKLY  
 BECOMES UNRECOGNISABLE.  IT MAY HAPPEN THAT THESE KEY ATOMS ARE PRESENT AS     
 RATHER WEAK PEAKS AND SO ARE NOT PLOTTED BY SEARCH.  BY PLOTTING MORE PEAKS    
 (USING THE KEYWORD 'PEAKS' IN THE DATA FOR SEARCH), PARTS OF THE E-MAP MAY     
 BECOME MORE EASILY INTERPRETABLE.                                              
                                                                                
      (14)  A COMMON INCORRECT SOLUTION IS A CORRECTLY ORIENTED MOLECULAR       
 FRAGMENT MISPLACED WITH RESPECT TO THE SYMMETRY ELEMENTS.  SUCH FRAGMENTS CAN  
 BE USED TO HELP MULTAN DETERMINE THE STRUCTURE BY INCLUDING THEM IN THE        
 ATOMIC GROUPS IN THE DATA FOR NORMAL AND RERUNNING THE PROGRAM SYSTEM IN THE   
 USUAL WAY.                                                                     
                                                                                
      (15)  WHEN EVERYTHING ELSE HAS FAILED, THE AUTHORS ARE USUALLY WILLING    
 EITHER TO DISCUSS A PARTICULAR STRUCTURE OR TO ATTEMPT A SOLUTION OF THE       
 STRUCTURE THEMSELVES.  AS MULTAN CONTINUES TO DEVELOP, THE VERSION OF THE      
 PROGRAM AVAILABLE TO THE AUTHORS MAY BE MORE POWERFUL THAN THAT AVAILABLE TO   
 THE GENERAL USER.                                                              
                                                                                
1                                                                       PAGE  33
                 *****************************                                  
                 * DESCRIPTION OF DATA FILES *                                  
                 *****************************                                  
                                                                                
 THE MULTAN SYSTEM USES SEVERAL DATA FILES FOR STORING DATA AND COMMUNICATING   
 BETWEEN THE PROGRAMS. THE CONTENTS OF THESE FILES ARE OFTEN DIFFICULT TO       
 DISCOVER FROM THE SOURCE CODE, AND SO A BRIEF SUMMARY OF THE CONTENTS IS GIVEN 
 BELOW. ALL FILES ARE IN BINARY FORMAT UNLESS SPECIFIED.                        
                                                                                
 F(OBS) DATA FILE : CHANNEL 15                                                  
 -----------------------------                                                  
       THIS IS USED TO STORE THE EXPERIMENTAL F(OBS) FOR INPUT TO NORMAL.       
                                                                                
 RECORDS 1 TO N                                                                 
        IKL(60)         THE PACKED INDICES OF THE REFLEXIONS                    
                        PACKED AS 65536*H+256*(K+128)+(L+128)                   
        F(60)           FOBS                                                    
        E(60)           CALCULATED E'S                                          
        SIG(60)         SIGMAS                                                  
                                                                                
 THE FINAL RECORD CONTAINS A IKL = 32896 (== 0 0 0 REFLEXION)                   
                                                                                
 NORMAL TO MULTAN TRANSFER FILE : CHANNEL 9                                     
 ------------------------------------------                                     
        THIS FILE IS FORMATTED. (NOT IN BINARY)                                 
                                                                                
 RECORD 1       (20A4)                                                          
        ITLE(20)                TITLE                                           
                                                                                
 RECORD 2       (6F10.5)                                                        
        PARA(6)                 CELL CONSTANTS                                  
                                                                                
 RECORD 3       (16I5)                                                          
        JN(8)                   JN(I) HOLDS NUMBER OF ATOMS OF ATOMIC           
        JZ(8)                   NUMBER JZ(I) IN UNIT CELL.                      
                                                                                
 RECORD 4       (5I5)                                                           
        ICENT                   CENTRO = 1 / NONCENTRO = 0                      
        LATT                    LATTICE TYPE (STORED AS A NUMBER)               
                                (P=1,A=2,B=3,C=4,I=5,F=6,R=7)                   
        NSYM                    NUMBER OF SYMMETRY POSITIONS                    
        NGP                     NUMBER OF GROUPS INPUT                          
        NAT                     NUMBER OF ATOMS IN ASYMMETRIC UNIT              
                                                                                
 THE NEXT NSYM RECORDS  (3(F11.8,2I2))                                          
                                                                                
 (TS(I,J),(IS(K,I,J),K=1,2),I=1,3)      THE SYMMETRY OPERATORS (J=1,NSYM)       
                                                                                
 TS(3,24) CONTAINS THE 3 TRANSLATION COMPONENTS FOR THE OPERATORS.              
 IS(2,3,24) CONTAINS THE 3 TRANSFORMATION COMPONENTS FOR THE OPERATORS,         
 AND EACH COMPONENT IS COMPOSED OF ONE OR TWO PARTS, E.G.                       
        X , Y , Z IS STORED AS                                                  
                ( 1  2  3)                                                      
                ( 0  0  0)                                                      
 BUT    Y-X , -X , Z IS STORED AS                                               
                ( 2 -1  3)                                                      
                (-1  0  0)                                                      
1                                                                       PAGE  34
 THE NEXT NGP BLOCKS OF RECORDS                                                 
        GROUP INFORMATION (IF PRESENT)                                          
        FIRST RECORD: (2I5)                                                     
        NINF(I)         THE TYPE OF THE I'TH GROUP                              
                        2 = RANDOM *                                            
                        3 = ORIENTED                                            
                        4 = POSITIONED                                          
                        5 = KARLE *                                             
                        6 = WEIGHTED FOURIER *                                  
                        7 = DIFFERENCE FOURIER *                                
                        ( * SKIPPED OVER IF PRESENT)                            
        NAG(I)          THE NUMBER OF ATOMS IN THE GROUP                        
                                                                                
        THE NEXT NAG(I) RECORDS : (I5,3F10.6)                                   
        NZ(K)           ATOMIC NUMBER OF K'TH ATOM                              
        X(K)                                                                    
        Y(K)            COORDINATES                                             
        Z(K)                                                                    
                                                                                
 THE NEXT NUMB+1 RECORDS  (3I5,F10.3)                                           
        I1(3)           THE INDICES OF THE STRONG REFLEXIONS                    
        A               THE E-VALUES                                            
 THE RECORDS ARE TERMINATED WITH A    0    0    0    -1.000 RECORD              
                                                                                
 THE NEXT NZRO+1 RECORDS  (3I5,F10.3)                                           
        I1(3)           THE INDICES OF THE WEAK REFLEXIONS                      
        A               THE E-VALUES                                            
 AGAIN TERMINATED WITH A     0    0    0    -1.000 RECORD                       
                                                                                
 INTERMEDIATE DATA FILE : CHANNEL 11                                            
 -----------------------------------                                            
       THIS IS USED TO STORE THE RESULTS OF THE FIRST SECTION OF MULTAN         
                                                                                
 RECORD 1                                                                       
        IZRO            THE NUMBER OF WEAK REFLEXIONS                           
        NUMB            THE NUMBER OF STRONG REFLEXIONS                         
        NSRTOT          THE NUMBER OF SIGMA2 RELATIONSHIPS                      
        NSRPSI          THE NUMBER OF PSIZERO RELATIONSHIPS                     
        IPH(8000)       AN ARRAY CONTAINING THE CODES OF CONTRIBUTORS           
                        AND PHASE SHIFTS OF THE RELATIONSHIPS                   
                        PACKED AS 65536*(IL+1024)+32*(IR+1024)+IP               
                        WHERE IL IS CODE*SIGN OF FIRST PHASE                    
                              IR IS CODE*SIGN OF SECOND PHASE,                  
                          AND IP IS PHASE SHIFT IN 2PI/24 UNITS                 
        EEE(8000)       AN ARRAY CONTAINING THE KAPPAS OF THE RELATIONSHIPS     
        LIM(601)        THE ARRAY GIVING LIMITS ON THE POSITIONS OF THE         
                        RELATIONSHIPS INVOLVING SPECIFIC REFLEXIONS.            
                                                                                
 NOTE: IN CONTRAST TO THE MULTAN78 VERSION, THE RELATIONSHIPS ARE ONLY          
 STORED ONCE, AND BOTH WEAK AND STRONG RELATIONSHIPS ARE STORED IN THE          
 SAME ARRAY AT THE SAME TIME. THE SIGMA2 RELATIONSHIPS ARE STORED AS            
        PHI(H) = PHI(K) + PHI(H-K) + B                                          
 WHERE K AND H-K ARE BELOW H IN THE CONVERGENCE MAP.                            
                                                                                
 RECORD 2                                                                       
        ICENT           CENTRO/NONCENTRO SPACE GROUP                            
        ITLE(20)        TITLE OF STRUCTURE                                      
        LATT            LATTICE TYPE (STORED AS A NUMBER)                       
1                                                                       PAGE  35
        SIGMA           SIG(3)/SIG(2)**3/2  (==1/SQRT(N))                       
        MAXH(3)         THE MAXIMUM INDICES                                     
        PARA(6)         THE CELL CONSTANTS                                      
        NAT             NUMBER OF ATOMS IN ASYMMETRIC UNIT                      
        NDET            NUMBER OF PHASES TO BE DETERMINED                       
        IHVY            =1 IF THE STRUCTURE CONTAINS A HEAVY ATOM               
                                                                                
 RECORD 3                                                                       
        NSYM            THE NUMBER OF SYMMETRY OPERATORS                        
        TS(3,24)        THE TRANSLATIONAL PARTS                                 
        IS(2,3,24)      THE TRANSFORMATION MATRICES                             
                                                                                
 RECORD 4                                                                       
        NANT(4)         ENANTIOMORPH AND PERMUTABLE ORIGIN CODES                
        NREF            THE NUMBER OF WEAK REFLEXIONS TO BE USED                
                        IN THE FIRST EARLY FIGURE OF MERIT                      
        ISPZRO(100)     THE CODES OF THOSE REFLEXIONS                           
        ALFRAN          TOTAL RANDOM ALPHA                                      
        NRAL            NUMBER OF SETS TO BE GENERATED DUE TO GENERAL           
                        PHASES IN THE STARTING SET (EXCLUDING ENANTIOMORPH      
                        AND PERMUTING ORIGIN CONSIDERATIONS)                    
        IH(500)         PACKED INDICES OF THE STRONG REFLEXIONS                 
                        PACKED AS (262144*H+512*K+L)+131328                     
        E(500)          E-VALUES OF THE STRONG REFLEXIONS                       
        MKANG(500)      SPECIAL/GENERAL TYPE WITH POSSIBLE VALUES IF SPECIAL    
                        PHASE VALUE IS 15*(MKANG(I)-1)+(0 OR 180)               
        IZ(500)         STARTING SET ARRAY: ELEMENTS OF TYPE NNNTTT             
                        TTT=200 (ORIGIN) AND NNN=PHASE VALUE                    
                        TTT=1 TO 100 (WEIGHT OF KNOWN PHASE)                    
                        AND NNN = PHASE VALUE                                   
                        TTT<0 : MAGIC INTEGER REPRESENTATION OF                 
                        UNKNOWN GENERAL PHASE IN STARTING SET                   
                        TTT=0 : UNKNOWN PHASE (NOT IN STARTING SET)             
        IORDE(500)      CONVERGENCE MAP ORDER                                   
        NSX             TOTAL NUMBER OF SETS TO BE GENERATED                    
                                                                                
 INPUT FILE TO EXFFT (CHANNEL 10)                                               
 --------------------------------                                               
                                                                                
 THIS CAN HAVE TWO FORMATS, ONE FROM MULTAN OUTPUT AND ONE FROM                 
 NORMAL FROM FOURIER CALCULATIONS.                                              
                                                                                
 1) MULTAN OUTPUT                                                               
 ----------------                                                               
                                                                                
 RECORD 1                                                                       
        NDIFF           =0                                                      
                                                                                
 RECORD 2                                                                       
        ITLE(20)        TITLE                                                   
        NCENT           CENTRO = 1 / NONCENTRO = 0                              
        LATT            LATTICE TYPE (NUMBER)                                   
        NSYM            NUMBER OF GENERAL EQUIVALENT POSITIONS                  
 ((TS(I,J),(IS(K,I,J),K=1,2),I=1,3),J=1,NSYM)   : THOSE POSITIONS               
        MAXH(3)         THE MAXIMUM INDICES                                     
        PARA(6)         THE CELL CONSTANTS                                      
        NAT             THE NUMBER OF ATOMS                                     
        NUMB            THE NUMBER OF STRONG REFLEXIONS                         
 (IH(I),E(I),I=1,NUMB)  THE PACKED INDICES AND E'S OF THE STRONG REFLEXIONS     
1                                                                       PAGE  36
                                                                                
 RECORDS 3 TO N                                                                 
        NUMSET          SET NUMBER                                              
        ABSFOM          )                                                       
        PSIZRO          ) FIGURES OF MERIT                                      
        RESID           )                                                       
 (IPHAZ(I),WT(I),I=1,NUMB)      PHASES AND WEIGHTS OF THE REFLEXIONS            
                                                                                
 RECORD N+1                                                                     
        NIX             -1 (TERMINATOR OF PHASE SETS)                           
                                                                                
 RECORD N+2                                                                     
        NSETS           NUMBER OF SETS WRITTEN TO FILE                          
 (CFOM(I),I=1,NSETS)    COMBINED FIGURES OF MERIT                               
                                                                                
 OUTPUT FROM NORMAL                                                             
 ------------------                                                             
                                                                                
 RECORD 1                                                                       
        NDIFF           =1                                                      
                                                                                
 RECORD 2                                                                       
        AS FOR MULTAN OUTPUT EXCEPT NO NUMB,(IH(I),E(I),I=1,NUMB)               
                                                                                
 RECORDS 3 TO N                                                                 
        LH(60)          H INDEX OF REFLEXIONS (+/-)                             
                        <-999 IS TERMINATOR                                     
        LK(60)          K INDEX OF REFLEXIONS                                   
        LL(60)          L INDEX OF REFLEXIONS                                   
        EW(60)          REAL PART OF STRUCTURE FACTOR                           
        ED(60)          IMAGINARY PART OF STRUCTURE FACTOR                      
                                                                                
 INPUT TO SEARCH (CHANNEL = 13)                                                 
 ------------------------------                                                 
                                                                                
 RECORD 1                                                                       
        ITLE(20)        TITLE OF THE STRUCTURE                                  
        NUMSET          SET NUMBER                                              
                        =0  KARLE OR FOURIER RECYCLED                           
                        =-1 ERROR IN PROGRAMS; STOPS EXECUTION                  
        CELL(6)         CELL CONSTANTS                                          
        NEQV            NUMBER OF GENERAL EQUIVALENT POSITIONS                  
        NCENT           CENTRO/NONCENTRO                                        
        LATT            LATTICE TYPE (NUMBER)                                   
        NATM            NUMBER OF ATOMS IN ASYMMETRIC UNIT                      
        TS(3,24)        THE GENERAL EQUIVALENT POSITIONS                        
        IS(2,3,24)                                                              
                                                                                
 RECORD 2                                                                       
        NNX             THE NUMBER OF GRID POINTS ALONG THE X-AXIS              
        NNZ             THE NUMBER OF GRID POINTS ALONG THE Z-AXIS              
        NNY             THE NUMBER OF GRID POINTS ALONG THE Y-AXIS              
                                                                                
        PLEASE NOTE THE ORDER: NNX,NNZ,NNY                                      
                                   ---                                          
                                                                                
 RECORDS 3 TO N                                                                 
        THE Y-SECTIONS OF THE MAP,STORED BY ROWS                                
        I.E. NNZ X NNX WORDS                                                    
1                                                                       PAGE  37
                 ***********************************                            
                 * SUMMARY OF KEYWORD INSTRUCTIONS *                            
                 ***********************************                            
                                                                                
         ONLY THE FIRST THREE CHARACTERS OF THE KEYWORDS ARE SIGNIFICANT.       
         KEYWORDS (EXCEPT THOSE MARKED *) NEED ONLY BE GIVEN IF THE USER WISHES 
         TO CHANGE THE VALUES OF PARAMETERS OR TO USE FACILITIES NOT USED       
         AUTOMATICALLY BY THE PROGRAMS.                                         
                                                                                
 NORMAL                                                                         
 ------                                                                         
         CEN             CENTROSYMMETRIC SPACE GROUP                            
         NON             NONCENTROSYMMETRIC SPACE GROUP                         
         LAT C           LATTICE TYPE (P,A,B,C,I,F,R)                           
         LIN             NORMALISE USING L.S. STRAIGHT LINE                     
         NOS             DO NOT SCALE INDEX GROUPS INDIVIDUALLY                 
         EIN             E(OBS) SUPPLIED IN PLACE OF F(OBS)                     
         LIS             LIST ALL REFLEXION DATA                                
         NRE N           PASS N STRONG REFLEXIONS TO MULTAN                     
         RHO X           LIMIT OF RHO ON REFLEXIONS TO MULTAN                   
         NZR N           PASS N WEAK REFLEXIONS TO MULTAN                       
         BFA X           TEMPERATURE FACTOR                                     
         SCA X X X..     SCALE FACTOR(S)                                        
         CEL X X X X X X CELL DIMENSIONS       * NO DEFAULT EXISTS              
         SYM X,Y,Z ..    SYMMETRY OPERATIONS   * NO DEFAULT EXISTS              
         CON C1 N1 ..    UNIT CELL CONTENTS    * NO DEFAULT EXISTS              
         FAC X X X X X   SCATTERING FACTORS                                     
         RAN             RANDOMLY ORIENTED GROUP                                
         MUL X           MULTIPLICITY OF GROUP (RANDOM)                         
         CEL X X X X X X CELL TO WHICH COORDINATES REFER                        
         ORI             CORRECTLY ORIENTED GROUP                               
         POS             CORRECTLY POSITIONED GROUP                             
         KAR             GROUP FOR KARLE RECYCLING                              
         WFO             GROUP FOR WEIGHTED FOURIER RECYCLING                   
         DFO             GROUP FOR DIFFERENCE FOURIER RECYCLING                 
         CRE             CREATE A BINARY REFLEXION FILE                         
         CAR N           READ REFLEXIONS AT N PER CARD                          
         TAP             READ REFLEXIONS FROM BINARY FILE                       
                                                                                
 MULTAN                                                                         
 ------                                                                         
         FIR             RUN FIRST SECTION OF MULTAN ALONE                      
         LAS             RUN LAST SECTION OF MULTAN ALONE                       
         STO             STOP EXECUTION OF PROGRAM IMMEDIATELY                  
         KMI X           MINIMUM VALUE OF KA(H,K)                               
         DET N           DETERMINE N PHASES                                     
         LIS             LIST ALL CONVERGENCE MAP                               
         NOL             LIST NONE OF CONVERGENCE MAP                           
         MAX N           MAXIMUM NUMBER OF SETS TO GENERATE                     
         PRO X           MINIMUM SIGMA1 PROBABILITY                             
         SPE N           NUMBER OF SPECIALS REQUIRED IN STARTING SET            
         GEN N           NUMBER OF GENERALS REQUIRED IN STARTING SET            
         ANY N           NUMBER OF ANY TYPE REQUIRED IN STARTING SET            
         ORI N1 N2..     ORIGIN FIXING REFLEXIONS REQUIRED                      
         ENA N           ENANTIOMORPH FIXING REFLEXION REQUIRED                 
         PER N1 N2..     REFLEXIONS REQUIRED TO BE PERMUTED                     
         KNO N P W ..    CODE, PHASE, WEIGHT OF KNOWN PHASE                     
1                                                                       PAGE  38
                                                                                
         SWT             STATISTICALLY WEIGHTED TANGENT FORMULA                 
         SKI N           SKIP TO AFTER SET N ON CHANNEL 10                      
         ABS X           WEIGHT OF ABSFOM                                       
         PSI X           WEIGHT OF PSI(ZERO)                                    
         RES X           WEIGHT OF RESIDUAL                                     
         EFO             USE THE EARLY FIGURES OF MERIT                         
         ACU X           INITIAL CUTOFF FOR FIRST EFOM                          
         BCU X           CUTOFF FOR SECOND EFOM                                 
         PHA N           N PHASES INPUT FROM CARDS                              
         SET N           N SPECIFIED SETS TO BE GENERATED                       
         END             END OF FREE FORMAT READ                                
 EXFFT                                                                          
 -----                                                                          
         SET N           GENERATE AN E-MAP FROM PHASE SET N                     
         MAP             PRINT THE E-MAP ON THE LINEPRINTER                     
         LEV N           UNDERLINE ALL POINTS ABOVE N                           
         GRI X           SAMPLE UNIT CELL AT A GRID SPACING OF X                
         XMA X           PRINT FROM 0 TO X ALONG X                              
         YMA X           PRINT FROM 0 TO X ALONG Y                              
         ZMA X           PRINT FROM 0 TO X ALONG Z                              
 SEARCH                                                                         
 ------                                                                         
         PEA N           SEARCH FOR N PEAKS                                     
         ATO N           READ N ATOMIC POSITIONS                                
         NOJ             DO NOT INTERPRET PEAKS                                 
         PRO N           OUTPUT N PROJECTIONS OF EACH CLUSTER                   
         DOU X           PRINT INTERPEAK DISTANCES LESS THAN X                  
         DMI X           MINIMUM BOND LENGTH                                    
         DMA X           MAXIMUM BOND LENGTH                                    
         AMI X           MINIMUM BOND ANGLE                                     
         AMA X           MAXIMUM BOND ANGLE                                     
         MET N           N HEAVY ATOMS IN THE ASYMMETRIC UNIT                   
         MOL             MOLECULAR CONNECTIVITY TO BE INPUT                     
         END             END OF FREE FORMAT READ                                
                                                                                
         **** END  OF  MULTAN 80  WRITE-UP ****                                 
