C     * * * * * * * * * * * * * * * MULTAN * * * * * * * * * * * * * * *
C     PROGRAM  FOR  THE AUTOMATIC  SOLUTION OF CRYSTAL  STRUCTURES  FROM
C     X-RAY DIFFRACTION DATA BY MULTIPLE  STARTING POINT TANGENT FORMULA
C                       VERSION      JAN       1980
C           PETER   MAIN    -    UNIVERSITY   OF   YORK,   ENGLAND
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      COMMON /LOCAL/ SPACE(100)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ IEE(4500),IOR(4500)
      COMMON /B2/ IPH(4500),LOC(4500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ X(250),Y(250),Z(250),NZ(250),IZ(500),IH(500),E(500),
     1 LIM(601),MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     PRELIMINARY SECTION        DEFINE ALL NECESSARY PROGRAM PARAMETERS
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     SET LOGICAL NUMBERS FOR PERIPHERALS
C     LC = CARD READER
      LC = 5
C     LT = LINE PRINTER
      LT = 6
C     LIN = FILE FOR INPUT OF REFLEXION DATA FROM NORMAL
      LIN = 9
C     LOUT = FOURIER OUTPUT TAPE + SCRATCH IN SIGMA2 AND CONVERGE
      LOUT = 10
C     ITAPE STORES RESULTS OF SIGMA2 AND CONVERGE (ALWAYS USED)
      ITAPE = 11
      REWIND LOUT
      REWIND ITAPE
      DTOR = ATAN(1.0) / 45.0
      RTOD = 1.0 / DTOR
C     SET UP SIN/COS TABLE
      DO 100 I=1,450
      STABLE(I)=SIN(DTOR*FLOAT(I-1))
  100 CONTINUE
      STABLE(181)=0.0
      STABLE(361)=0.0
      LIM(1) = 0
C     PROGRAM DIMENSION PARAMETERS  -  SEE WRITE UP FOR EQUIVALENCES
C     KUSER1 = NUMBER OF SIGMA2 + PSI ZERO RELATIONSHIPS
      KUSER1 = 8000
C     KUSER2 = DIMENSION OF IOR, LOC  STORE HEMISPHERE OF REFLEXIONS
      KUSER2 = 4500
C     KUSER3 = MAXIMUM NUMBER OF INPUT REFLEXIONS
C     DIMENSION OF MKG, MKANG, PALF, IZ, IH, E, IPHAZ, WT, ALPHA, IORDE
C     TWICE DIMENSION OF KDSTOR,  WTSTOR,  X, Y ,Z, NZ
      KUSER3 = 500
C     KUSER4 = DIMENSION OF EEE,IEE AND IPH IN SORT2
      KUSER4 = KUSER1 + 2*KUSER3
C     DIMENSION OF LIM = KUSER5 + 1
      KUSER5 = 600
C     KUSER6 = DIMENSION OF KNOWN
C     * * * * *   KUSER6 .GE. NUMB * NSYM * NGP  * * * * *
      KUSER6 = 2000
      WRITE(LT,480)
  480 FORMAT(1H1)
C     READ PARAMETERS IN FREE FORMAT
      CALL FREED(NDET)
      PARA(1) = 0.0
      IF(IPATH.EQ.2) GO TO 1070
      CALL FIRST
      IF (IPATH.EQ.1) STOP
 1070 CALL LAST
      STOP
      END
C     ------------------------------------------------------------------
      SUBROUTINE UNPACK(INDEX,IH,IK,IL)
      IH = INDEX / 262144
      IS = INDEX - 262144 * IH
      IK = IS / 512 - 256
      IL = IS - 512 * (IK + 256) - 256
      RETURN
      END
C     ------------------------------------------------------------------
C     MARK TAPE TO HALT EXFFT
      SUBROUTINE ERROR
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      REWIND LOUT
      NIX = -1
      WRITE (LOUT) NIX
      STOP
      END
C     ------------------------------------------------------------------
C     FREE FORMAT READING OF INPUT TO MULTAN
      SUBROUTINE FREED(NDET)
      COMMON /LOCAL/  LINE(80),ITLE(20)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      DATA ISP/1H /
      I=1
      NEXT = 0
      READ (LC,100) ITLE
  100 FORMAT (20A4)
      READ (LC,200) LINE
  200 FORMAT (80A1)
C     SET ALL DEFAULT PARAMETERS
      KMIN = 60
      KARL = 0
      IPATH = 0
      NDET = 0
      MI = 2
      LIST = 0
      NSREQ = 0
      PROB = 0.95
      NSPEC = 0
      NGEN = 0
      NANY = 0
      NINPUT = 0
      IMK = 0
      IFOM = 0
      ITAN = 0
      IPUB = 0
      ISKIP = 0
      WTFOM(1) = 0.6
      WTFOM(2) = 1.2
      WTFOM(3) = 1.2
      CUT1 = 1.8
      CUT2 = 1.6
C     TEST FOR DEFAULT (BLANK CARD)
      DO 300 J=1,80
      IF (LINE(J).NE.ISP) GOTO 1000
  300 CONTINUE
      RETURN
C     READ NEXT KEYWORD
 1000 CALL GETKEY(I,KEY)
C     TEST ALL KEYWORDS WITHOUT PARAMETERS
C     TEST FOR END (END)
      IF (KEY.NE.51404) GOTO 1100
      RETURN
C     TEST FOR FIRST PART OF MULTAN (FIR)
 1100 IF (KEY.NE.60918) GOTO 1200
      IPATH = 1
      GOTO 1000
C     TEST FOR LAST PART OF MULTAN (LAS)
 1200 IF (KEY.NE.120119) GOTO 1300
      IPATH = 2
      GOTO 1000
C     TEST FOR NO MULTAN RUN (STO)
 1300 IF (KEY.NE.192015) GOTO 1400
      STOP
C     TEST FOR FULL LIST OF CONVERGENCE MAP (LIS)
 1400 IF (KEY.NE.120919) GOTO 1500
      LIST = 1
      GOTO 1000
C     TEST FOR NO LIST OF CONVERGENCE MAP (NOL)
 1500 IF (KEY.NE.141512) GOTO 1600
      LIST = -1
      GOTO 1000
C     TEST FOR STATISTICALLY WEIGHTED TANGENT FORMULA (SWT)
 1600 IF (KEY.NE.192320) GOTO 1700
      ITAN = 1
      GOTO 1000
C     TEST FOR EARLY FIGURE OF MERIT (EFO)
 1700 IF (KEY.NE.50615) GOTO 1720
      IFOM = 1
      GOTO 1000
C     TEST FOR STARTING PHASES INPUT BY USER (PHA)
 1720 IF (KEY.NE.160801) GOTO 1740
      NEXT = 2
      CALL GETNUM(I,NUM,NEXT)
      IMK = NUM/100
      IMKMAX = KUSER3/2
      IF (IMK .LE. IMKMAX) RETURN
      WRITE (LT,1730) IMK,IMKMAX
 1730 FORMAT(//53H NUMBER OF STARTING PHASES INPUT ON CARDS TO FASTAN =,
     1  I5//17X,36HMAXIMUM NUMBER ALLOWED IS KUSER3/2 =,I5)
      CALL ERROR
C     TEST FOR PHASE SETS CHOSEN BY THE USER (SET)
 1740 IF (KEY.NE.190520) GOTO 1800
      NEXT = 2
      CALL GETNUM(I,NUM,NEXT)
      IPUB = MIN0(NUM/100,KUSER3)
      RETURN
C     KEYWORD MUST HAVE A PARAMETER
 1800 CALL GETNUM(I,NUM,NEXT)
C     TEST FOR NUMBER OF PHASES TO BE DETERMINED (DET)
      IF (KEY.NE.40520) GOTO 1900
      NDET = NUM/100
      GOTO 1000
C     TEST FOR MAGIC INTEGER SEQUENCE (SEQ)
 1900 IF (KEY.NE.190517) GOTO 2000
      MI = MIN0(NUM/100,9)
      GOTO 1000
C     TEST FOR MAXIMUM NUMBER OF PHASE SETS (MAX)
 2000 IF (KEY.NE.130124) GOTO 2050
      NSREQ = MIN0(NUM/100,KUSER2/2)
      NSREQ = MAX0(NSREQ,25)
      GOTO 1000
C     TEST FOR MINIMUM VALUE OF KAPPA (KMI)
 2050 IF (KEY.NE.111309) GOTO 2100
      KMIN = NUM
      GOTO 1000
C     TEST FOR SIGMA-1 PROBABILITY (PRO)
 2100 IF (KEY.NE.161815) GOTO 2200
      PROB = FLOAT(NUM)/100.0
      GOTO 1000
C     TEST FOR NUMBER OF SPECIALS IN STARTING SET (SPE)
 2200 IF (KEY.NE.191605) GOTO 2300
      NSPEC = NUM/100
      GOTO 1000
C     TEST FOR NUMBER OF GENERALS IN STARTING SET (GEN)
 2300 IF (KEY.NE.70514) GOTO 2400
      NGEN = NUM/100
      GOTO 1000
C     TEST FOR NUMBER OF ANY TYPE IN STARTING SET (ANY)
 2400 IF (KEY.NE.11425) GOTO 2500
      NANY = NUM/100
      GOTO 1000
C     TEST FOR NUMBER OF SETS ON OUTPUT TAPE TO BE SKIPPED (SKI)
 2500 IF (KEY.NE.191109) GOTO 2600
      ISKIP = NUM/100
      GOTO 1000
C     TEST FOR ABSFOM WEIGHT (ABS)
 2600 IF (KEY.NE.10219) GOTO 2700
      WTFOM(1) = FLOAT(NUM)/100.0
      GOTO 1000
C     TEST FOR PSIZERO WEIGHT (PSI)
 2700 IF (KEY.NE.161909) GOTO 2800
      WTFOM(2) = FLOAT(NUM)/100.0
      GOTO 1000
C     TEST FOR RESIDUAL WEIGHT (RES)
 2800 IF (KEY.NE.180519) GOTO 2900
      WTFOM(3) = FLOAT(NUM)/100.0
      GOTO 1000
C     TEST FOR CUT ON FIRST EARLY FIGURE OF MERIT (ACU)
 2900 IF (KEY.NE.10321) GOTO 3000
      IFOM = 1
      CUT1 = FLOAT(NUM)/100.0
      GOTO 1000
C     TEST FOR CUT ON SECOND EARLY FIGURE OF MERIT (BCU)
 3000 IF (KEY.NE.20321) GOTO 3100
      IFOM = 1
      CUT2 = FLOAT(NUM)/100.0
      GOTO 1000
C     KEYWORD SPECIFIES REFLEXIONS INPUT TO CONVERGE, OR IS UNRECOGNISED
C     TEST FOR ORIGIN FIXING PHASES (ORI)
 3100 IF (KEY.NE.151809) GOTO 3300
 3200 NINPUT = NINPUT + 1
      IF (NINPUT.GT.80) GOTO 4000
      ICONV(NINPUT) = NUM * 10000 + 200
      IF (NEXT.EQ.1) GOTO 1000
      CALL GETNUM(I,NUM,NEXT)
      GOTO 3200
C     TEST FOR ENANTIOMORPH PHASE (ENA)
 3300 IF (KEY.NE.51401) GOTO 3400
      NINPUT = NINPUT + 1
      IF (NINPUT.GT.80) GOTO 4000
      ICONV(NINPUT) = NUM * 10000 + 300
      GOTO 1000
C     TEST FOR PERMUTED PHASES (PER)
 3400 IF (KEY.NE.160518) GOTO 3600
 3500 NINPUT = NINPUT + 1
      IF (NINPUT.GT.80) GOTO 4000
      ICONV(NINPUT) = NUM * 10000 + 400
      IF (NEXT.EQ.1) GOTO 1000
      CALL GETNUM(I,NUM,NEXT)
      GOTO 3500
C     TEST FOR KNOWN PHASES (KNO)
 3600 IF (KEY.NE.111415) GOTO 3800
 3700 NINPUT = NINPUT + 1
      IF (NINPUT.GT.80) GOTO 4000
      IPACK = NUM * 10000
C     READ PHASE
      CALL GETNUM(I,NUM,NEXT)
      IPACK = IPACK + NUM * 10
C     READ WEIGHT
      CALL GETNUM(I,NUM,NEXT)
      ICONV(NINPUT) = IPACK + NUM
      IF (NEXT.EQ.1) GOTO 1000
C     READ CODE OF NEXT KNOWN REFLEXION
      CALL GETNUM(I,NUM,NEXT)
      GOTO 3700
C     KEYWORD IS NOT RECOGNISED
 3800 WRITE (LT,3900)
 3900 FORMAT (//1X,42H** UNRECOGNISED KEYWORD IN COMMAND FILE **)
      CALL ERROR
 4000 WRITE (5,4100)
 4100 FORMAT (//1X,47H** MORE THAN 80 REFLEXIONS INPUT TO CONVERGE **)
      CALL ERROR
      STOP
      END
C     ------------------------------------------------------------------
C     READ A FREE FORMAT KEYWORD
      SUBROUTINE GETKEY(I,KEY)
      COMMON /LOCAL/ LINE(80)
      DIMENSION ICH(26)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      DATA ICH/1HA,1HB,1HC,1HD,1HE,1HF,1HG,1HH,1HI,1HJ,1HK,1HL,1HM,
     1 1HN,1HO,1HP,1HQ,1HR,1HS,1HT,1HU,1HV,1HW,1HX,1HY,1HZ/,ISP/1H /
      KEY = 0
      KNT = 0
C     LOOK FOR A NON-SPACE CHARACTER
  100 IF (LINE(I).NE.ISP) GOTO 300
      I=I+1
      IF (I.LE.80) GOTO 100
      I=1
      READ (LC,200) LINE
  200 FORMAT (80A1)
      GOTO 100
C     GET THREE LETTER KEYWORD
  300 DO 400 J=1,26
      IF (LINE(I).EQ.ICH(J)) GOTO 500
  400 CONTINUE
      WRITE (LT,450) LINE
  450 FORMAT (//1X,25HERROR IN KEYWORD IN LINE ,5X,80A1)
      CALL ERROR
  500 KNT=KNT+1
      KEY=KEY*100+J
      IF (KNT.EQ.3) GOTO 600
      I=I+1
      GOTO 300
C     READ REST OF WORD TO NEXT SPACE OR END OF LINE
  600 I=I+1
      IF (I.GT.80) GOTO 700
      IF (LINE(I).NE.ISP) GOTO 600
      RETURN
  700 I=1
      READ (LC,200) LINE
      RETURN
      END
C     ------------------------------------------------------------------
C     READ A FREE FORMAT NUMBER AND RETURN IT AS AN INTEGER, 100*VALUE
      SUBROUTINE GETNUM(I,NUM,NEXT)
      COMMON /LOCAL/ LINE(80)
      DIMENSION ICH(10)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      DATA ICH/1H0,1H1,1H2,1H3,1H4,1H5,1H6,1H7,1H8,1H9/,
     1 KD/1H./,ISP/1H /
      NUM = 0
      IDIV = 1
C     FIND A NON-SPACE CHARACTER
  100 IF (LINE(I).NE.ISP) GOTO 300
      I=I+1
      IF (I.LE.80) GOTO 100
      I=1
      READ (LC,200) LINE
  200 FORMAT (80A1)
      GOTO 100
C     IDENTIFY DIGIT AND BUILD UP PARAMETER IN NUM
  300 DO 400 J=1,10
      IF (LINE(I).EQ.ICH(J)) GOTO 500
  400 CONTINUE
      IF (LINE(I).EQ.ISP) GOTO 550
      IF (LINE(I).EQ.KD) GOTO 460
      WRITE (LT,450) LINE
  450 FORMAT (//1X,27HERROR IN PARAMETER IN LINE ,5X,80A1)
      CALL ERROR
  460 IDIV = 0
      GOTO 530
  500 NUM=NUM*10+J-1
      IF (IDIV.LE.0) IDIV=IDIV-1
  530 I=I+1
      IF(I.LE.80) GOTO 300
C     EXIT IF KEYWORD IS PHASES OR SETS (NEXT = 2)
  550 IF (NEXT.EQ.2) GOTO 900
      NEXT = 0
C     READ UNTIL NEXT NON-SPACE CHARACTER FOUND
  600 IF (I.LT.80) GOTO 700
      I=0
      READ (LC,200) LINE
  700 I=I+1
      IF (LINE(I).EQ.ISP) GOTO 600
C     SET NEXT = 1 IF CHAR IS NOT A DIGIT
      DO 800 J=1,10
      IF (LINE(I).EQ.ICH(J)) GOTO 900
  800 CONTINUE
      NEXT = 1
C     MULTIPLY NUMBER BY 100 AND ROUND
  900 IDIV = 2+MIN0(IDIV,0)
      NUM=FLOAT(NUM)*10.0**IDIV+0.5
      RETURN
      END
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     FIRST  SECTION   ***   SET   UP   SIGMA2    PHASE    RELATIONSHIPS
C                      ***   SIGMA1 AND ORIGIN DEFINITION BY CONVERGENCE
C                      ***   SET   UP   PSI ZERO  PHASE    RELATIONSHIPS
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      SUBROUTINE FIRST
      DIMENSION NAG(10)
      COMMON /LOCAL/ JN(8), JZ(8)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ IEE(4500),IOR(4500)
      COMMON /B2/ IPH(4500),LOC(4500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ X(250),Y(250),Z(250),NZ(250),IZ(500),IH(500),E(500),
     1 LIM(601),MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      WRITE (LT,500)
  500 FORMAT(15H MULTAN  PART 1,31X,27HSET UP SIGMA2 RELATIONSHIPS,
     1  21X,26HVERSION       JAN     1980)
C     INPUT CELL, GROUP AND SYMMETRY INFORMATION FROM NORMAL
      CALL INPUT0(NAG)
C     INPUT REFLEXION DATA  AND  GENERATE  SYMMETRY  RELATED  REFLEXIONS
  800 CALL INPUT1(NIOR)
      IF(NUMB * NGP * NSYM .LE. KUSER6) GO TO 820
      WRITE(LT,810) NUMB,NGP,NSYM,KUSER6
  810 FORMAT(1H0,38HNUMB * NGP * NSYM .GT. KUSER6,  NUMB =,I5,3X,
     1 5HNGP =,I5,3X,6HNSYM =,I5,3X,8HKUSER6 =,I6)
      CALL ERROR
C     GROUP TRANSFORM
  820 IF(NGP.GT.0) CALL FORM(NAG)
C     SORT PACKED INDICES KEEPING TRACK OF ADDRESS IN LOC
      CALL SORT1(IOR,LOC,NIOR)
C     SET UP SIGMA2 RELATIONSHIPS
      CALL SIGMA2(NIOR,1,NSRTOT)
      WRITE (LT,900) NSRTOT
  900 FORMAT(/35X,42HTHE TOTAL NUMBER OF PHASE RELATIONSHIPS IS,I7)
      SIGMA=0.005*SIGMA
      SIGMAQ=-FLOAT(ICENT)
      ICENT=MAX0(ICENT,0)
C     STORE IOR,LOC FOR PSIZERO RELATIONSHIPS LATER
      IF(KARL.EQ.0) WRITE (LOUT) IOR,LOC
      DO 1000 I=1,4
      NANT(I) = 0
 1000 CONTINUE
C     READ BACK STRONG RELATIONSHIPS AND SORT THEM
      CALL SORT2(NSRTOT)
      WRITE (LT,1050) NSRTOT,E3MIN
 1050 FORMAT(1H0,34X,42HTHE NUMBER OF PHASE RELATIONSHIPS SAVED IS,
     1  I7//42X,29HTHE MINIMUM VALUE OF KAPPA IS,F7.2)
C     DETERMINE STRUCTURE SEMINVARIANTS FOR ORIGIN DEFINITION AND SIGMA1
C     DETERMINE ALSO ALL PHASE RESTRICTIONS
      CALL GROUP
C     SKIP CONVERGENCE IF KARLE RECYCLING
      IF (KARL.EQ.1) GOTO 1800
C     SET CONVERGE PARAMETERS
      IF (ICENT .EQ. 1) NANY = NANY + NGEN
      IF (ICENT .EQ. 1) NGEN = 0
      WRITE (LT,1080) ITLE,NSPEC,NGEN,NANY
 1080 FORMAT(//1H ,119(1H+)///6X,20A4, 4X,30HSIGMA1 FORMULA AND CONVERGE
     1NCE///11X,41HREFLEXIONS REQUESTED FOR STARTING SET ARE,
     2 10X,7HNSPEC =,I3,10X,6HNGEN =,I3,10X,6HNANY =,I3)
C     IS ENANTIOMORPH DEFINED BY THE INVARIANTS
      IF(SIGMAQ .GE. 0.25) ICENT = -1
C     APPLY SIGMA1 FORMULA
      CALL SIGMA1(PROB)
C     INPUT USER CHOSEN REFLEXIONS TO THE CONVERGENCE PROCEDURE
      NORIN = 0
      IF(NINPUT.GT.0) CALL INPUT2(NORIN)
C     NANY = -1 DEFINES DEFAULT PARAMETERS
      IF(NINPUT + NSPEC + NGEN + NANY .EQ. 0) NANY = -1
      IF(NANY .EQ. (-1) .AND. NSREQ .EQ. 0) NSREQ = 65
      IF(NSREQ .GT. 0) WRITE(LT,1090) NSREQ
 1090 FORMAT(1H0,41X,33HMAXIMUM NUMBER OF SETS REQUIRED =,I5)
C     CONVERGENCE METHOD FOR ORIGIN  AND  STARTING  POINT  DETERMINATION
      CALL CONVEG(NORIN)
C     OUTPUT CONVERGENCE RESULTS AND STORE SIGMA2S
      NSRTOT=LIM(NUMB+1)
      CALL OUTPT1(NSRTOT,MI)
C     READ BACK IOR,LOC AND SET UP PSI-ZEROS
      SIGMA=200.0*SIGMA
      READ (LOUT) IOR,LOC
      CALL SIGMA2(NIOR,2,NSRPSI)
      IF (NSRPSI.GT.0) WRITE (LT,1700) ITLE,IZRO,NSRPSI
 1700 FORMAT (//1X,119(1H+)//6X,20A4,5X,29HSET UP PSI ZERO RELATIONSHIPS
     1///32X,4HTHE ,I4,32H WEAKEST REFLEXIONS TAKE PART IN,I5,
     2 14H RELATIONSHIPS)
      IF (NSRPSI.GT.0) CALL SORT2(NSRPSI)
C     SET UP RELATIONSHIP ARRAYS AND WRITE ITAPE
      SIGMA=0.005*SIGMA
 1800 CALL OUTPT2(NSRTOT,NSRPSI)
      RETURN
      END
C     ------------------------------------------------------------------
C     READ CELL, GROUP AND SYMMETRY INFORMATION FROM NORMAL
      SUBROUTINE INPUT0(NAG)
      DIMENSION NAG(10)
      COMMON /LOCAL/ JN(8), JZ(8)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ IEE(4500),IOR(4500)
      COMMON /B2/ IPH(4500),LOC(4500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ X(250),Y(250),Z(250),NZ(250),IZ(500),IH(500),E(500),
     1 LIM(601),MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     INPUT INFORMATION FROM FILE LIN
      READ(LIN,420) ITLE,PARA,JN,JZ,ICENT,LATT,NSYM,NGP,NAT
  420 FORMAT(20A4/6F10.5/16I5/5I5)
      READ(LIN,430) ((TS(I,J),(IS(K,I,J),K=1,2),I=1,3),J=1,NSYM)
  430 FORMAT(F11.0,2I2,F11.0,2I2,F11.0,2I2)
      NN=2
      IF(LATT.EQ.1) NN=1
      IF(LATT.EQ.6) NN=4
      IF(LATT.EQ.7) NN=3
C     INPUT GROUPS
      IF(NGP.EQ.0) GO TO 575
      NS=1
      NGX=1
      DO 570 I=1,NGP
      READ(LIN,565) NINF(NGX),NAG(NGX)
  565 FORMAT(2I5)
C     SET FLAG FOR KARLE RECYCLING
      IF (NINF(NGX).EQ.5) KARL = 1
      NF=NS+NAG(NGX)-1
      IF(NINF(NGX).EQ.2.OR.NINF(NGX).GE.5) GO TO 569
      READ(LIN,568) (NZ(K),X(K),Y(K),Z(K),K=NS,NF)
  568 FORMAT(I5,3F10.6)
      NGX=NGX+1
      NS=NF+1
      GO TO 570
  569 READ(LIN,568) (J,TEMP,TEMP,TEMP,K=NS,NF)
  570 CONTINUE
      NGP=NGX-1
  575 SUM1 = 0.0
      SUM2 = 0.0
      IHVY = 0
      DO 580 I=1,8
      TEMP=(JN(I)*JZ(I)**2)/NN
C     SET FLAG IF THE STRUCTURE CONTAINS A HEAVY ATOM
      IF (JZ(I).GE.10) IHVY = 1
      SUM1 = SUM1 + TEMP
      SUM2 = SUM2 + TEMP * FLOAT(JZ(I))
  580 CONTINUE
      SIGMA=SUM2/(SUM1**1.5)
      SUMZ=SUM1
      SUMX=SUM1
      IF(NGP.EQ.0) GO TO 610
C     SUBTRACT GROUP ATOMS FROM RANDOM SUMS
      NF = 0
      DO 600 I=1,NGP
      NS = NF + 1
      NF = NF + NAG(I)
      DO 590 J=NS,NF
      NZJ=NZ(J)
      TEMP=NSYM*(ICENT+1)*JZ(NZJ)*JZ(NZJ)
      IF(IABS(NINF(I)) .EQ. 3) SUM1=SUM1-TEMP
      IF(NINF(I) .LT. 0) SUMZ=SUMZ-TEMP
      SUMX=SUMX-TEMP
      SUM2=SUM2-TEMP*FLOAT(JZ(NZJ))
      NZ(J)=JZ(NZJ)
  590 CONTINUE
  600 CONTINUE
  610 WRITE(LT,640) ITLE,SIGMA
  640 FORMAT(1H ///20X,20A4///47X,16HSIG3/SIG2**1.5 =,F9.5)
      IF(NGP.EQ.0) GO TO 750
      NF=0
      DO 740 I=1,NGP
      NS=NF+1
      NF=NF+NAG(I)
      IF(NINF(I).EQ.3) WRITE (LT,710)
  710 FORMAT (//51X,18HCORRECTLY ORIENTED)
      IF (NINF(I).EQ.4) WRITE (LT,720)
  720 FORMAT (//50X,20HCORRECTLY POSITIONED)
      WRITE(LT,730) I,NAG(I),(X(J),Y(J),Z(J),NZ(J),J=NS,NF)
  730 FORMAT(1H+,22X,19HATOMIC GROUP NUMBER,I5,25X,
     1 17HNUMBER OF ATOMS =,I5/1H ,48X,1HX,9X,1HY,9X,1HZ,7X,4HTYPE/
     2 (1H ,42X,3F10.5,I6))
  740 CONTINUE
  750 SIGMA = 200.0 * SIGMA
      RETURN
      END
C     ------------------------------------------------------------------
C     INPUT REFLEXION DATA  AND  GENERATE  SYMMETRY  RELATED  REFLEXIONS
      SUBROUTINE INPUT1(NIOR)
C     DIMENSION STATEMENT PARTICULAR TO SUBROUTINE INPUT1
      DIMENSION LINE(6,4), ENIL(6)
      COMMON /LOCAL/ KL1(24), KL2(24), KL3(24), I1(3), I2(3)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ IEE(4500),IOR(4500)
      COMMON /B2/ IPH(4500),LOC(4500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ X(250),Y(250),Z(250),NZ(250),IZ(500),IH(500),E(500),
     1 LIM(601),MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     EQUIVALENCE STATEMENT PARTICULAR TO SUBROUTINE INPUT1
      EQUIVALENCE (KL1(1),LINE(1,1)), (KL2(1),ENIL(1))
      DO 52 I=1,3
      MAXH(I) = - 999
   52 CONTINUE
      NUMB=0
      NIOR=0
C     LIMITE = MAXIMUM NUMBER OF REFLEXIONS  (LIMITED BY PACKING)
      LIMITE = MIN0(KUSER3 , 1023)
C     READ REFLEXION DATA  H K L E
C     CODE NUMBERS ARE ASSIGNED TO REFLEXIONS IN ORDER OF INPUT
   63 READ (LIN,65) I1,A
   65 FORMAT(3I5,F10.3)
      IF (A .LT. 0.0) GO TO 500
      IF(NUMB.LE.LIMITE .AND. NIOR .LE. KUSER2-NSYM) GO TO 100
      WRITE(LT,70) NUMB
   70 FORMAT(//53X,13H* ** *** ** *//27X,19HTHERE ARE MORE THAN,I4,42H I
     1NPUT REFLEXIONS   -   PROGRAM TERMINATED//53X,13H* ** *** ** *//)
      CALL ERROR
C     GENERATE SYMMETRY RELATED REFLEXIONS
  100 NUMB = NUMB+1
      MAXI=1
      DO 250 J=1,NSYM
      KL1(J)=2400
      DO 200 I=1,3
      I2(I)=0
      KL1(J)=KL1(J)-I1(I)*INT(TS(I,J)*24.0+0.1)
  200 CONTINUE
      KL1(J)=MOD(KL1(J),24)
      DO 220 I=1,3
      DO 210 K=1,2
      M=IABS(IS(K,I,J))
      IF(M.GT.0) I2(M)=I2(M)+I1(I)*ISIGN(1,IS(K,I,J))
  210 CONTINUE
  220 CONTINUE
      IND=262144*I2(1)+512*I2(2)+I2(3)
      KL2(J)=ISIGN(1,IND)
      KL1(J)=KL1(J)*ISIGN(1,IND)
      KL3(J)=131328+IABS(IND)
      DO 230 I=1,3
      IF(IABS(I2(I)).GT.MAXH(I)) MAXH(I)=IABS(I2(I))
  230 CONTINUE
      IF(J.EQ.1) GO TO 250
      JM1=J-1
      DO 240 I=1,JM1
      IF(KL3(I).EQ.KL3(J)) KL3(J)=0
  240 CONTINUE
      IF(KL3(J).GT.KL3(MAXI)) MAXI=J
  250 CONTINUE
C     EXPRESS GENERATED REFLEXIONS IN TERMS OF STANDARD REFLEXION
      KLS = KL2(MAXI)
      L = KL1(MAXI) * KLS
C     STORE STANDARD REFLEXIONS
      IH(NUMB)=KL3(MAXI)
      E(NUMB)=A
      DO 450 J=1,NSYM
      IF(KL3(J).EQ.0) GO TO 450
      KL1(J) = MOD(KL1(J) - KL2(J) * L,24)
      IF(KL1(J).LT.0) KL1(J)=24+KL1(J)
      KL2(J)=KL2(J) * KLS
      IF(KL2(J).EQ.(-1)) KL2(J)=0
C     STORE PACKED INDICES IN IOR AND CODE IN LOC
      NIOR=NIOR+1
      IOR(NIOR)=KL3(J)
      LOC(NIOR)=48*NUMB+2*KL1(J)+KL2(J)
  450 CONTINUE
      GO TO 63
  500 WRITE (LT,720) NUMB
  720 FORMAT (// /30X,I5,53H STANDARD REFLEXIONS   ** NOT NECESSARILY AS
     1 INPUT **//6(1X,4HCODE,9H  H  K  L,3X,1HE,2X))
C     PRINT STANDARD REFLEXIONS IN ORDER OF SORTED INDICES
C     SORT REFLEXIONS ON INDICES KEEPING TRACK OF CODE NUMBERS IN LIM
      DO 730 I=1,NUMB
      LIM(I) = I
  730 CONTINUE
      CALL SORT1(IH,LIM,NUMB)
      K = 0
      DO 800 J=1,NUMB
      K = K + 1
      I = NUMB + 1 - J
      LINE(K,1) = LIM(I)
      CALL UNPACK(IH(I),LINE(K,2),LINE(K,3),LINE(K,4))
      IF(I.NE.1.AND.IH(I).EQ.IH(I-1)) WRITE(LT,750) (LINE(K,L),L=2,4)
  750 FORMAT(20H0WARNING - REFLEXION,3I5,3X,
     1 26HOCCURS TWICE IN INPUT DATA/)
      LIM(I) = -LIM(I)
      I = -LIM(I)
      ENIL(K) = E(I)
      IF(K.LT.6) GO TO 800
      WRITE (LT,760) ((LINE(L,M),M=1,4),ENIL(L),L=1,6)
  760 FORMAT (6(I5,3I3,F6.3))
      K = 0
  800 CONTINUE
      IF (K .NE. 0) WRITE (LT,760) ((LINE(L,M),M=1,4),ENIL(L),L=1,K)
C     RESORT REFLEXIONS TO INITIAL ORDER
      CALL SORT1(LIM,IH,NUMB)
      RETURN
      END
C     ------------------------------------------------------------------
C     CALCULATE GROUP TRANSFORMS
      SUBROUTINE FORM(NAG)
C     DIMENSION STATEMENT PARTICULAR TO SUBROUTINE FORM
      DIMENSION CTABLE(360),NAG(10)
      COMMON /LOCAL/ ITS(3,24),I1(3),I2(3),A2(3)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ IEE(4500),IOR(4500)
      COMMON /B2/ IPH(4500),LOC(4500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ X(250),Y(250),Z(250),NZ(250),IZ(500),IH(500),E(500),
     1 LIM(601),MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     EQUIVALENCE STATEMENT PARTICULAR TO SUBROUTINE FORM
      EQUIVALENCE (STABLE(91),CTABLE(1))
      DO 30 I=1,NSYM
      DO 20 J=1,3
      ITS(J,I)=360.0*TS(J,I)+0.5
   20 CONTINUE
   30 CONTINUE
      IND=0
      NS=1
C     LOOP OVER ALL GROUPS
      DO 1000 IGP=1,NGP
      NF=NS+NAG(IGP)-1
      NGA=IABS(NINF(IGP))
C     REFLEXION LOOP
      DO 900 I=1,NUMB
      SUMR=0.0
      SUMI=0.0
      CALL UNPACK(IH(I),I1(1),I1(2),I1(3))
C     TRANSFORM FOR EACH SYMMETRY ELEMENT
      DO 800 ISYM=1,NSYM
      IARGA=0
      DO 110 L=1,3
      I2(L)=0
      IARGA=IARGA+I1(L)*ITS(L,ISYM)
  110 CONTINUE
      DO 140 L=1,3
      DO 130 K=1,2
      M=IABS(IS(K,L,ISYM))
      IF(M.GT.0) I2(M)=I2(M)+I1(L)*ISIGN(1,IS(K,L,ISYM))
  130 CONTINUE
  140 CONTINUE
      DO 170 L=1,3
      A2(L)=360.0*FLOAT(I2(L))
  170 CONTINUE
      IF(NGA.EQ.3) IARGA=0
C     LOOP OVER ATOMS IN GROUP
      DO 200 J=NS,NF
      ARG=AMOD(A2(1)*X(J)+A2(2)*Y(J)+A2(3)*Z(J)+FLOAT(IARGA),360.0)
      IF(ARG.LT.(-0.5)) ARG=ARG+360.0
      IARG=INT(ARG+1.5)
      SUMR=SUMR+FLOAT(NZ(J))*CTABLE(IARG)
      IF(ICENT .EQ. 0) SUMI=SUMI+FLOAT(NZ(J))*STABLE(IARG)
  200 CONTINUE
      IF(NGA.EQ.4) GO TO 800
C     STORE STRUCTURE FACTORS FOR SYMMETRY RELATED GROUPS
      IF(ICENT .EQ. 1) SUMR = 2.0 * SUMR
      IA=RTOD*ATAN2(SUMI,SUMR)+360.5
      IR=INT(10.0*SQRT(SUMI*SUMI+SUMR*SUMR)+0.5)
      IND=IND+1
      KNOWN(IND)=360*IR+MOD(IA,360)
      SUMI=0.0
      SUMR=0.0
  800 CONTINUE
      IF(NGA.EQ.3) GO TO 900
C     STORE STRUCTURE FACTORS FOR EQUIVALENT REFLEXIONS
      IF(ICENT .EQ. 1) SUMR = 2.0 * SUMR
      IA=RTOD*ATAN2(SUMI,SUMR)+360.5
      IR=360*INT(10.0*SQRT(SUMI*SUMI+SUMR*SUMR)+0.5)
      DO 880 ISYM=1,NSYM
      IARGA=0
      DO 850 L=1,3
      IARGA=IARGA+I1(L)*ITS(L,ISYM)
  850 CONTINUE
      IX=MOD(IA-IARGA,360)+360
      IND=IND+1
      KNOWN(IND)=IR+MOD(IX,360)
  880 CONTINUE
  900 CONTINUE
  950 NS=NF+1
 1000 CONTINUE
      RETURN
      END
C     ------------------------------------------------------------------
C     GENERAL PURPOSE SORT ON TWO INTEGER ARRAYS
      SUBROUTINE SORT1(IOR,LOC,MOST)
      DIMENSION IOR(MOST), LOC(MOST)
      INT = 2
 1000 INT = 2*INT
      IF (INT .LT. MOST) GO TO 1000
      INT = MIN0(MOST,(3*INT)/4-1)
 1020 INT = INT/2
      IFIN = MOST - INT
      DO 1120 II=1,IFIN
      I = II
      J = I + INT
      IF(IOR(I).GE.IOR(J)) GO TO 1120
      L = IOR(J)
      M = LOC(J)
 1060 IOR(J) = IOR(I)
      LOC(J) = LOC(I)
      J = I
      I = I - INT
      IF(I.LE.0) GO TO 1100
      IF(IOR(I).LT.L) GO TO 1060
 1100 IOR(J) = L
      LOC(J) = M
 1120 CONTINUE
      IF (INT .GT. 1) GO TO 1020
      RETURN
      END
C     ------------------------------------------------------------------
C     SET UP PHASE RELATIONSHIPS
C     JUMP=2 : PSI ZERO'S ;  JUMP=1 : SIGMA2'S
      SUBROUTINE SIGMA2(NIOR,JUMP,NSR)
C     DIMENSION STATEMENT PARTICULAR TO SUBROUTINE SIGMA2
      DIMENSION NKEY(500)
      COMMON/LOCAL/I1(3),I2(3),I3(3),I4(3),I5(3)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ IEE(4500),IOR(4500)
      COMMON /B2/ IPH(4500),LOC(4500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ X(250),Y(250),Z(250),NZ(250),IZ(500),IH(500),E(500),
     1 LIM(601),MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     EQUIVALENCE STATEMENT PARTICULAR TO SUBROUTINE SIGMA2
      EQUIVALENCE (NKEY(1),KNOWN(1))
C     ARRAY LIM CONTAINS ADDRESS OF H-H' IN ARRAY IOR
      REWIND LOUT
      KENAN = 0
      LIMIT=KUSER4-KUSER1
      KONST=512*(256-MAXH(2))
      KONH=KUSER5/(MAXH(1)+1)
      KONK=512*(2*MAXH(2)+1)/KONH+1
      DO 500 I=1,KUSER5
      LIM(I+1) = 0
  500 CONTINUE
      N=KONH*MAXH(1)
      M=262144*MAXH(1)
      DO 540 I=1,NIOR
  510 IF(IOR(I).GT.M) GO TO 520
      M=M-262144
      N=N-KONH
      GO TO 510
  520 J=(IOR(I)-M-KONST)/KONK+N
      LIM(J+1)=I
  540 CONTINUE
      KU5M1=KUSER5-1
      DO 570 I=1,KU5M1
      J = KUSER5 - I
      IF (LIM(J).EQ.0) LIM(J) = LIM(J+1)
  570 CONTINUE
      IP = 47
      NSRT=0
      NSR = 0
      I = 1
      IF (JUMP .EQ. 2) GO TO 600
      NREC=0
  580 IF (I .LE. NUMB) GO TO 590
      IF(4*KENAN.GT.NSR) ICENT=-1
      GO TO 800
C     I1 CONTAINS INDICES OF VECTOR H
  590 CALL UNPACK(IH(I),I1(1),I1(2),I1(3))
      IP = IP+48
      EVAL = E(I)
      GO TO 610
C     INPUT REFLEXIONS FOR PSI ZERO
  600 IF (NUMB+I.GT.KUSER5) GOTO 603
      READ (LIN,601) I1,EVAL
  601 FORMAT(3I5,F10.3)
      IP=100000
      IF (EVAL .GE. 0.0) GO TO 605
  603 IZRO = I - 1
      IF(NSR.EQ.0) IZRO=0
      IF(IZRO.NE.0) GO TO 800
      RETURN
  605 EVAL = 1.0
  610 NP=0
      DO 740 K=1,NIOR
      IF(LOC(K).GT.IP) GO TO 740
      CALL UNPACK(IOR(K),I2(1),I2(2),I2(3))
      J=LOC(K)/48
      IF (JUMP.EQ.2.AND.NKEY(J).GT.NDET) GOTO 740
      IFAZ2=LOC(K)-48*J
      ISI2=(2*MOD(IFAZ2,2)-1)*J
      IFAZ2=IFAZ2/2
      DO 730 M=1,3,2
      L=M-2
      DO 620 N=1,3
      I2(N) = - I2(N)
  620 CONTINUE
C     I3 CONTAINS INDICES OF VECTOR H-H'
      DO 640 N=1,3
      I3(N)=I1(N) + I2(N)
      IF (IABS(I3(N)).GT.MAXH(N)) GO TO 730
  640 CONTINUE
      INDEX=262144*I3(1)+512*I3(2)+I3(3)
      MARK=-ISIGN(1,INDEX)
      INDEX=131328+IABS(INDEX)
      II1=IABS(I3(1))
      KUT=(INDEX-262144*II1-KONST)/KONK+II1*KONH+1
      LIM1=LIM(KUT+1)
      LIM2=LIM(KUT)
      IF(LIM1.GE.LIM2.OR.INDEX.LT.IOR(NIOR)) GO TO 730
C     LOOK FOR H-H' IN ARRAY IOR BETWEEN LIMITS LIM1 AND LIM2
      N=LIM2-LIM1+1
  690 N=(N+1)/2
      IR=LIM1+N
      IF(IOR(IR)-INDEX) 696,700,692
  692 LIM1=IR
  696 IF(N.LE.1) GO TO 730
      GO TO 690
  700 K3=LOC(IR)/48
      IF (JUMP.EQ.2.AND.NKEY(K3).GT.NDET) GOTO 730
      IF(I.EQ.J.AND.JUMP.EQ.1) GO TO 710
      IF(K3.GE.J) GO TO 730
  710 IFAZ3=LOC(IR)-48*K3
      ISI3=2*MOD(IFAZ3,2)-1
      IFAZ3=IFAZ3/2
C     ELIMINATE DUPLICATIONS
      IND=1024*J+K3
      IF(NP.LE.0) GO TO 718
      DO 715 IR=1,NP
      IF(IND.EQ.MKANG(IR)) GO TO 730
  715 CONTINUE
  718 IF (I .NE. J .OR. JUMP .EQ. 2) GO TO 720
C     POSSIBLE SIGMA1 RELATIONSHIP  -  STORE IN SEPARATE ARRAY
      NREC = NREC + 1
      IF(NREC.GT.KUSER3) GO TO 725
      ISI = ISIGN(1,MARK * ISI3)
      IFAZE = MOD(-L * IFAZ2 * ISI - ISI3*IFAZ3+240, 24)
      IZ(NREC)=ISIGN(65536*K3+32*(I*ISI+1024)+IFAZE,L*ISI2*ISI)
      GO TO 725
  720 NSR = NSR + 1
      IFAZQ=0
      SIGMAQ=SIGMA
C     CALCULATE SIGMA AND PHASE OF INVARIANT FROM KNOWN STRUCTURE
      IF(NGP.GT.0.AND.JUMP.EQ.1) CALL SINV(I,J,K3)
      IF(MOD(IFAZQ,12).NE.0) KENAN=KENAN+1
      E3=SIGMAQ*EVAL*E(J)*E(K3)
      NSRT=NSRT+1
      IF (NSRT.LE. LIMIT) GO TO 722
C     STORE ON TAPE FOR USE IN SORT2
      WRITE(LOUT) (IPH(II),IEE(II),II=1,LIMIT)
      NSRT=1
C     PACK RELATIONSHIPS INTO IPH AND IEE
  722 IFAZE=MOD(-IFAZ2*L-MARK*IFAZ3+240+IFAZQ,24)
      IF (IFAZE .LT. 0) IFAZE = IFAZE + 24
      IPH(NSRT)=65536*(1024-L*ISI2)+32*(1024-ISIGN(K3,ISI3)*MARK)+IFAZE
      IEE(NSRT)=2048*INT(E3+0.5)+1024-I
  725 NP = NP + 1
      MKANG(NP) = IND
  730 CONTINUE
  740 CONTINUE
      I = I + 1
      GOTO (580,600), JUMP
  800 WRITE(LOUT) (IPH(II),IEE(II),II=1,LIMIT)
      RETURN
      END
C     ------------------------------------------------------------------
C     CALCULATE SIGMA AND PHASE OF INVARIANT FROM KNOWN STRUCTURE
      SUBROUTINE SINV(I,J,K)
      COMMON /LOCAL/ I1(3), I2(3),I3(3),I4(3),I5(3)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ IEE(4500),IOR(4500)
      COMMON /B2/ IPH(4500),LOC(4500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ X(250),Y(250),Z(250),NZ(250),IZ(500),IH(500),E(500),
     1 LIM(601),MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      CALL UNPACK(IH(J),I4(1),I4(2),I4(3))
      CALL UNPACK(IH(K),I5(1),I5(2),I5(3))
C     RANDOM PART OF DENOMINATOR SUMS
      FDI=SUM1
      FDJ=SUM1
      FDK=SUM1
      XDI=SUMX
      XDJ=SUMX
      XDK=SUMX
C     RANDOM PART OF NUMERATOR SUMS
      FNI=SUMZ
      FNJ=SUMZ
      FNK=SUMZ
C     SET POINTERS FOR EACH REFLEXION IN ARRAY KNOWN
      INDI=NSYM*(I-1)
      INDJ=NSYM*(J-1)
      INDK=NSYM*(K-1)
      SUMR=SUM2
      SUMI=0.0
C     LOOP OVER ATOMIC GROUPS
      DO 1000 IGP=1,NGP
      N=1
      NNG=NINF(IGP)
      NNA=IABS(NNG)
      NX=7-2*NNA
      IF(NNA .EQ. 3) N=NSYM
C     ONE TABLE LOOK-UP FOR TYPE 4 GROUP, NSYM FOR TYPE 3 GROUP
      DO 400 ISYM=1,N
C     FIRST REFLEXION
      ITEMP = INDI+ISYM
      KD=KNOWN(ITEMP)
      ISF=KD/360
      T=(0.1*FLOAT(ISF))**2
      IF(NNA .EQ. 3) FDI=FDI+T
      IF(NNG .LT. 0) FNI=FNI+T
      XDI=XDI+T
      IAI=KD-360*ISF
C     SECOND REFLEXION
      JSY=-KCOMP(I4,I2,ISYM)
      INC=IABS(JSY)
      ITEMP=INDJ+INC
      KD=KNOWN(ITEMP)
      JSF=KD/360
      T=(0.1*FLOAT(JSF))**2
      IF(NNA .EQ. 3) FDJ=FDJ+T
      IF(NNG .LT. 0) FNJ=FNJ+T
      XDJ=XDJ+T
      IAJ=KD-360*JSF
C     THIRD REFLEXION
      KSY=KCOMP(I5,I3,ISYM)
      INC=IABS(KSY)
      ITEMP=INDK+INC
      KD=KNOWN(ITEMP)
      KSF=KD/360
      T=(0.1*FLOAT(KSF))**2
      IF(NNA .EQ. 3) FDK=FDK+T
      IF(NNG .LT. 0) FNK=FNK+T
      XDK=XDK+T
      IAK=KD-360*KSF
      FACT=0.001*FLOAT(ISF)*FLOAT(JSF)*FLOAT(KSF)
      IARG=MOD(NX*(ISIGN(1,JSY)*IAJ+ISIGN(1,KSY)*IAK-IAI)+3600,360)+1
C     CONTRIBUTIONS TO REAL AND IMAGINARY PARTS FOR ELEMENT ISYM
      SUMR=SUMR+FACT*STABLE(IARG+90)
      SUMI=SUMI+FACT*STABLE(IARG)
  400 CONTINUE
C     INCREMENT POINTERS FOR NEXT GROUP
      INDI=INDI+NSYM*NUMB
      INDJ=INDJ+NSYM*NUMB
      INDK=INDK+NSYM*NUMB
 1000 CONTINUE
      SIGMAQ=FNI*FNJ*FNK*(SUMR*SUMR+SUMI*SUMI)
      SIGMAQ=200.0*SQRT(SIGMAQ/(FDI*FDJ*FDK*XDI*XDJ*XDK))
      IFAZQ=INT(AMOD(RTOD*ATAN2(SUMI,SUMR)/15.0+24.5,24.0))
      RETURN
      END
C     ------------------------------------------------------------------
C     FIND THE SYMMETRY ELEMENT RELATING TWO EQUIVALENT REFLEXIONS
      FUNCTION KCOMP(IB,IA,J)
      COMMON/SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      DIMENSION IA(3),IB(3),IC(3),ID(3)
      DO 100 L=1,3
      IC(L)=0
  100 CONTINUE
C     GENERATE THE J'TH SYMMETRY RELATED REFLEXION FOR IA
      DO 130 L=1,3
      DO 120 K=1,2
      M=IABS(IS(K,L,J))
      IF(M.GT.0) IC(M)=IC(M)+IA(L)*ISIGN(1,IS(K,L,J))
  120 CONTINUE
  130 CONTINUE
C     COMPARE WITH ALL SYMMETRY RELATED REFLEXIONS FOR IB
      DO 200 I=1,NSYM
      KCOMP=I
      DO 150 L=1,3
      ID(L)=0
  150 CONTINUE
      DO 180 L=1,3
      DO 170 K=1,2
      M=IABS(IS(K,L,I))
      IF(M.GT.0) ID(M)=ID(M)+IB(L)*ISIGN(1,IS(K,L,I))
  170 CONTINUE
  180 CONTINUE
      DO 190 L=1,3
      IF(ID(L).NE.IC(L)) GO TO 195
  190 CONTINUE
      GO TO 250
  195 KCOMP = -KCOMP
C     COMPARE WITH FRIEDEL OPPOSITE
      DO 197 L=1,3
      IF(ID(L).NE.(-IC(L))) GO TO 200
  197 CONTINUE
      GO TO 250
  200 CONTINUE
      CALL ERROR
  250 RETURN
      END
C     ------------------------------------------------------------------
C     READ BACK RELATIONSHIPS AND SORT FOR CONVERGE
      SUBROUTINE SORT2(NSR)
C     DIMENSION STATEMENT PARTICULAR TO SUBROUTINE SORT2
      DIMENSION IEE(9000)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(9000)
      COMMON /B2/ IPH(9000)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     EQUIVALENCE STATEMENT PARTICULAR TO SUBROUTINE SORT2
      EQUIVALENCE (EEE(1),IEE(1))
      REWIND LOUT
      DO 50 I=1,KUSER5
      LIM(I+1)=0
   50 CONTINUE
      LIMIT=KUSER4-KUSER1
      MAX=KUSER1/LIMIT
      MAX=MAX*LIMIT
      LF=0
      L=0
C     READ BACK AND SORT RELATIONSHIPS
  100 LS=LF+1
      LF=LF+LIMIT
      L=L+LIMIT
      IF(L.GT.NSR) LF=LF-L+NSR
      READ(LOUT) (IPH(I),IEE(I),I=LS,LF)
      IF(L.LT.NSR.AND.LF.LE.MAX-LIMIT) GO TO 100
      CALL SORT1(IEE,IPH,LF)
      IF(NSR.LT.KUSER1) GO TO 130
      LF=KUSER1
      IF(L.LT.NSR) GO TO 100
      NSR=LF
C     GET MINIMUM KAPPA AND SORT RELATIONSHIPS IN FORM
C     SUITABLE FOR CONVERGE
  130 DO 140 I=1,NSR
      IE3=IEE(I)/2048
      IF (IE3.LT.KMIN) GOTO 150
      J=IEE(I)-2048*IE3
      IEE(I)=262144*J+IE3
  140 CONTINUE
      I = NSR + 1
  150 NSR = I - 1
      IE3 = IEE(NSR)-262144*(IEE(NSR)/262144)
      E3MIN = 0.01 * IE3
      CALL SORT1(IEE,IPH,NSR)
      LIM(1)=0
      DO 200 I=1,NSR
      J=IEE(I)/262144
      EEE(I)=0.01*FLOAT(IEE(I)-262144*J)
      J=1024-J
      LIM(J+1)=I
  200 CONTINUE
      DO 250 I=1,KUSER5
      LIM(I+1)=MAX0(LIM(I+1),LIM(I))
  250 CONTINUE
C     SET KMIN = 0 FOR PSIZROS ON SECOND CALL OF SORT2
      KMIN = 0
      RETURN
      END
C     ------------------------------------------------------------------
C     DETERMINE SPACE GROUP TYPE ACCORDING TO THE CATEGORIES OF HAUPTMAN
C     & KARLE,  ACTA CRYST. (1956) 9, 45  AND  ACTA CRYST. (1959) 12, 93
C     AND KARLE & HAUPTMAN,  ACTA CRYST. (1961) 14, 217,  GIVEN ONLY THE
C     GENERAL EQUIVALENT POSITIONS AND LATTICE TYPE  -  GIVES  NECESSARY
C     INFORMATION ON NUMBER AND  TYPE  OF  REFLEXIONS  USED  FOR  ORIGIN
C     DEFINITION, SEMINVARIANT MODULUS & REDUCED INDICES FOR  REFLEXIONS
C     ROUTINE WILL HANDLE 230 SPACE GROUPS IN THE STANDARD  ORIENTATIONS
C     INCLUDING ALTERNATIVE SETTINGS AS IN INTERNATIONAL TABLES VOLUME 1
C     DETERMINE  ALSO  THE  PHASE   RESTRICTIONS  FOR   ALL   REFLEXIONS
C     TEST  WHETHER  THE  ENANTIOMORPH  IS  FIXED  BY  THE  SPACE  GROUP
      SUBROUTINE GROUP
      COMMON/LOCAL/ IND(3),KHL(4)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     INITIALIZE PARAMETERS
      NRAL = 0
      DO 1000 I=1,3
      MODUL(I) = 2
 1000 CONTINUE
C     IT = 3  TESTS FOR Z IN 1ST COORD. OF GENERAL EQUIVALENT  POSITIONS
C     -  GIVES RHOMBOHEDRAL OR CUBIC
C     IT = 2  TESTS FOR Y IN 1ST COORD. - GIVES TETRAGONAL, HEXAGONAL OR
C     TRIGONAL
      DO 1060 II=1,2
      IT = 4 - II
      DO 1040 J=1,NSYM
      IF (IABS(IS(1,1,J)) - IT) 1020,1500,1020
 1020 IF (IABS(IS(2,1,J)) - IT) 1040,1500,1040
 1040 CONTINUE
 1060 CONTINUE
C     SPACE GROUP MUST BE TRICLINIC,  MONOCLINIC  OR  ORTHORHOMBIC
C     THREE REFLEXIONS ARE NORMALLY REQUIRED FOR ORIGIN DEFINITION
      NORI = 3
      IF (ICENT) 1080,1080,1160
C     DETERMINE  SEMINVARIANT  MODULUS VECTOR (MODUL) AND NUMBER OF AXES
C     ALONG  WHICH THE  ORIGIN  POSITION IS INFINITELY  VARIABLE  (NRAL)
 1080 NRAL = 3
      DO 1140 I=1,3
      MODUL(I) = 1000
      DO 1100 J=1,NSYM
      IF (IS(1,I,J)) 1120,1100,1100
 1100 CONTINUE
      GO TO 1140
 1120 MODUL(I) = 2
      NRAL = NRAL - 1
 1140 CONTINUE
C     CHECK FOR CENTRED LATTICE
 1160 GO TO (1380,1260,1180,1220,1380,1320,1380), LATT
C     B CENTRED LATTICE  -  TEST FOR B2  OR  BM, BB
 1180 IF (NRAL.LE.1) GOTO 1380
 1200 II= 2
      MODUL(3) = 1000
      GO TO 1280
C     C CENTRED LATTICE  -  TEST FOR C2  OR  CM, CC
 1220 IF(NRAL.LE.1) GOTO 1380
 1240 MODUL(2) = 1000
 1260 II = 3
C     A CENTRED LATTICES, BM, BB, CM, CC
C     DETERMINE REDUCED INDICES FOR ALL REFLEXIONS
 1280 DO 1300 I=1,NUMB
      CALL UNPACK(IH(I),IND(1),IND(2),IND(3))
      MKG(I)=512*(MOD(IND(1),MODUL(2))+256)+MOD(IND(II),MODUL(3))+256
 1300 CONTINUE
      GO TO 2000
C     F CENTRED LATTICE - TEST POINT GROUP SYMMETRY AROUND (1/4,1/4,1/4)
C     TO DETECT F222 IF SPACE GROUP IS NON-CENTROSYMMETRIC
 1320 IF (ICENT.GT.0) GOTO 1980
      CALL TEST(1,1,1,4,MM)
      IF (MM.EQ.0) GOTO 1960
C     TRICLINIC, MONOCLINIC & ORTHORHOMBIC EXCEPT A CENTRED, BM,BB,CM,CC
C     DETERMINE REDUCED INDICES FOR ALL REFLEXIONS
 1380 DO 1400 I=1,NUMB
      CALL UNPACK(IH(I),IND(1),IND(2),IND(3))
      MKG(I)=262144*MOD(IND(1),MODUL(1))+512*(MOD(IND(2),MODUL(2)
     1  ) + 256) + MOD(IND(3),MODUL(3)) + 256
 1400 CONTINUE
      GO TO 2000
C     SPACE GROUP MUST BE TETRAGONAL, TRIGONAL, HEXAGONAL OR CUBIC
 1500 IF (ICENT) 1520,1520,1640
 1520 IF (LATT - 1) 1600,1540,1600
C     TEST WHETHER ENANTIOMORPH IS FIXED BY THE SPACE GROUP
 1540 DO 1560 I=1,NSYM
      IT = 24.0 * TS(3,I) + 0.1
      IF (MOD(IT,12)) 1580,1560,1580
 1560 CONTINUE
      GO TO 1600
C     ENANTIOMORPH FIXED BY SPACE GROUP  -  SET FLAG
 1580 ICENT = -1
C     IS ORIGIN POSITION INFINITELY VARIABLE ALONG Z
C     SET FLAG (NRAL) AND 3RD COMPONENT OF SEMINVARIANT  MODULUS  VECTOR
 1600 DO 1620 I=1,NSYM
      IF (IS(1,3,I)) 1640,1620,1620
 1620 CONTINUE
C     SPACE GROUP MUST BE 2P20, 3P30, 3P(1)0 OR 3P(2)0
      NRAL = 1
      MODUL(3) = 1000
C     BRANCH FOR RHOMBOHEDRAL AND CUBIC
 1640 GO TO (1940,1660), II
C     TEST POINT GROUP SYMMETRY AROUND (1/2,1/2,0) TO DETECT  TETRAGONAL
 1660 CALL TEST(1,1,0,2,MM)
      IF (MM) 1820,1680,1820
C     SPACE GROUP MUST BE TETRAGONAL
C     TWO REFLEXIONS ARE NORMALLY REQUIRED FOR ORIGIN DEFINITION
 1680 NORI = 2
      IF (LATT.NE.5) GOTO 1780
C     I CENTRED  TETRAGONAL    -    TEST  POINT  GROUP  SYMMETRY  AROUND
C     (0,1/2,1/4)  TO  DETECT  BAR 4  AXIS
      CALL TEST(0,2,1,4,MM)
      IF (MM.NE.0) GOTO 1780
C     SPACE GROUP MUST BE 3P(3)4
      MODUL(3) = 4
C     DETERMINE REDUCED INDICES FOR ALL REFLEXIONS
      DO 1740 I=1,NUMB
      CALL UNPACK(IH(I),IND(1),IND(2),IND(3))
      MKG(I) = MOD(2 * IND(2) + IND(3), MODUL(3)) + 131328
 1740 CONTINUE
      GO TO 2000
C     SPACE GROUP MUST BE 3P(3)0 OR 3P(3)2
C     ENTER HERE FOR PRIMITIVE TETRAGONAL
C     DETERMINE REDUCED INDICES FOR ALL REFLEXIONS
 1780 DO 1800 I=1,NUMB
      CALL UNPACK(IH(I),IND(1),IND(2),IND(3))
      MKG(I) = 512*(MOD(IND(1) + IND(2), MODUL(2)) + 256) + MOD(IND(3),
     1  MODUL(3)) + 256
 1800 CONTINUE
      GO TO 2000
C     SPACE GROUP MUST BE TRIGONAL OR HEXAGONAL
 1820 IF (ICENT) 1840,1840,1900
C     TEST POINT GROUP SYMMETRY AROUND (1/3,2/3,0) TO DETECT 3P30 & 3P32
 1840 IF (LATT - 7) 1850,1900,1900
 1850 CALL TEST(1,2,0,3,MM)
      IF (MM) 1900,1860,1900
C     SPACE GROUP MUST BE 3P30 OR 3P32
 1860 MODUL(2) = 3
C     DETECT 6P6
      IF (MODUL(3).EQ.2) GOTO 1890
C     TWO REFLEXIONS ARE NORMALLY REQUIRED FOR ORIGIN DEFINITION
      NORI = 2
C     DETERMINE REDUCED INDICES FOR ALL REFLEXIONS
      DO 1880 I=1,NUMB
      CALL UNPACK(IH(I),IND(1),IND(2),IND(3))
      MKG(I) = 512*(MOD(IND(1) - IND(2), MODUL(2)) + 256) + MOD(IND(3),
     1  MODUL(3)) + 256
 1880 CONTINUE
      GO TO 2000
C     ONE REFLEXION NORMALLY REQUIRED FOR ORIGIN DEFINITION
 1890 NORI=1
      MODUL(3)=6
C     DETERMINE REDUCED REFLEXIONS FOR ALL REFLEXIONS
      DO 1895 I=1,NUMB
      CALL UNPACK(IH(I),IND(1),IND(2),IND(3))
      MKG(I)=MOD(2*IND(1)+4*IND(2)+3*IND(3),MODUL(3))
 1895 CONTINUE
      GOTO 2000
C     SPACE GROUP MUST BE 3P(1)0, 3P(1)2 OR RHOMBOHEDRAL USING HEXAGONAL
C     AXES
C     ONE REFLEXION IS NORMALLY REQUIRED FOR ORIGIN DEFINITION
 1900 NORI = 1
C     DETERMINE REDUCED INDICES FOR ALL REFLEXIONS
      DO 1920 I=1,NUMB
      CALL UNPACK(IH(I),IND(1),IND(2),IND(3))
      MKG(I) = MOD(IND(3),MODUL(3)) + 131328
 1920 CONTINUE
      GO TO 2000
C     SPACE GROUP MUST BE 3P(2)0, 3P(2)2, 3P(2)4 OR 4P111
C     TEST POINT GROUP SYMMETRY AROUND  (1/4,1/4,1/4)  TO DETECT  3P(2)4
 1940 IF (ICENT) 1950,1950,1980
 1950 IF (LATT - 7) 1960,1980,1980
 1960 CALL TEST(1,1,1,4,MM)
      IF (MM) 1980,1970,1980
 1970 MODUL(3) = 4
C     ONE REFLEXION IS NORMALLY REQUIRED FOR ORIGIN DEFINITION
 1980 NORI = 1
C     DETERMINE REDUCED INDICES FOR ALL REFLEXIONS
      DO 1990 I=1,NUMB
      CALL UNPACK(IH(I),IND(1),IND(2),IND(3))
      MKG(I) = MOD(IND(1) + IND(2) + IND(3), MODUL(3)) + 131328
 1990 CONTINUE
C     CALCULATE PHASE RESTRICTIONS ON ALL REFLEXIONS
 2000 DO 2040 I=1,NUMB
      MKANG(I) = 13
      ALPHA(I) = 0.0
      PALF(I) = 0.0
 2040 CONTINUE
      IF(ICENT .GT . 0) GO TO 2240
      DO 2200 I=1,NUMB
      MKANG(I) = 1
      CALL UNPACK(IH(I),IND(1),IND(2),IND(3))
C     GENERATE SYMMETRY RELATED REFLEXIONS
      DO 2180 J=1,NSYM
      DO 2080 K=1,4
      KHL(K) = 0
 2080 CONTINUE
      DO 2140 K=1,3
      KHL(4) = KHL(4) + IND(K) * INT(TS(K,J) * 12.0 + 0.1)
      DO 2120 L=1,2
      M = IABS(IS(L,K,J))
      IF (M .NE. 0) KHL(M) = KHL(M) + IND(K) * ISIGN(1,IS(L,K,J))
 2120 CONTINUE
 2140 CONTINUE
C     HAS FRIEDEL OPPOSITE BEEN GENERATED
      DO 2160 K=1,3
      IF (IND(K) + KHL(K)) 2180,2160,2180
 2160 CONTINUE
C     YES - PHASE MUST BE RESTRICTED TO  PI*KHL(4)/24 OR PI*KHL(4)/24+PI
      MKANG(I) = MOD(KHL(4), 12) + 1
      IF (MKANG(I) .LE. 1) MKANG(I) = MKANG(I) + 12
      GO TO 2200
 2180 CONTINUE
 2200 CONTINUE
      DO 2220 I=1,3
      MODUL(I) = MOD(MODUL(I),1000)
 2220 CONTINUE
C     ADJUST NUMBER OF ORIGIN  DEFINING  REFLEXIONS FOR CENTRED LATTICES
 2240 GO TO (2280,2260,2260,2260,2260,2300,2280), LATT
C     A, B, C AND I CENTRED LATTICES
 2260 NORI = NORI - 1
 2280 RETURN
C     F CENTRED LATTICES
 2300 NORI = IABS(NORI - 2)
      RETURN
      END
C     ------------------------------------------------------------------
C     TEST TO SEE IF THE POINT (M1/M4,M2/M4,M3/M4) IS A POSSIBLE  ORIGIN
C     POSITION     MM .EQ. 0  IF YES     MM .NE. 0  IF NO
C     THIS ROUTINE IS WRITTEN TO TEST  NON-CENTROSYMMETRIC  SPACE GROUPS
C     WITH P, I AND F LATTICES ONLY
      SUBROUTINE TEST(M1,M2,M3,M4,KNT)
      DIMENSION MATRIX(3,3)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      DO 1220 I=1,NSYM
      DO 1020 J=1,3
      DO 1000 K=1,3
      MATRIX(J,K) = 0
 1000 CONTINUE
      MATRIX(J,J) = -1
 1020 CONTINUE
      DO 1080 J=1,2
      DO 1060 K=1,3
      M = IABS(IS(J,K,I))
      IF (M) 1060,1060,1040
 1040 MATRIX(K,M) = MATRIX(K,M) + ISIGN(1,IS(J,K,I))
 1060 CONTINUE
 1080 CONTINUE
      KNT = 0
      DO 1140 J=1,3
      MM = IABS(MOD(MATRIX(J,1) * M1 + MATRIX(J,2) * M2 + MATRIX(J,3) *
     1  M3, M4))
      IF (MM) 1140,1140,1100
 1100 IF (2 * MM - M4) 1260,1120,1260
 1120 KNT = KNT + 1
 1140 CONTINUE
      IF (KNT) 1220,1220,1160
 1160 GO TO (1240,1240,1240,1240,1180,1200,1240), LATT
 1180 IF (KNT - 3) 1240,1220,1240
 1200 IF (KNT - 2) 1240,1220,1240
 1220 CONTINUE
      KNT = 0
 1240 RETURN
 1260 KNT = 1
      RETURN
      END
C     ------------------------------------------------------------------
      SUBROUTINE SIGMA1(PROB)
      COMMON /LOCAL/ LINE(3,6), ENIL(3,2)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),ZR(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),ZI(500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      NXSIG = 0
      DO 1000 I=1,NUMB
      ZI(I) = 0.0
      ZR(I) = 0.0
      IPHAZ(I) = 0
      IF(I.GT.NREC) IZ(I)=0
 1000 CONTINUE
      IF (NREC .EQ. 0) GO TO 1150
      DO 1120 J=1,NREC
      IZJ=IZ(J)
      IZ(J)=0
      ISAVE = IABS(IZJ)
      IND1 = ISAVE / 65536
C     TEST FOR STRUCTURE INVARIANT WITH RESTRICTED PHASE
      IF(MKG(IND1).NE.131328.OR.MKANG(IND1).EQ.1) GO TO 1120
      NXSIG = 1
C     UNPACK SIGMA1 RELATIONSHIP
      ISAVE = ISAVE - 65536 * IND1
      IND2 = ISAVE / 32 - 1024
      IFAZ = (ISAVE - 32 * (IND2 + 1024)) * 15
      IND2A = IABS(IND2)
      IF (ISIGN(1,IND2) .NE. ISIGN(1,IZJ)) GO TO 1100
      IF (MKANG(IND2A) .EQ. 1) GO TO 1120
      IFAZ = IFAZ + ISIGN(30 * (MKANG(IND2A) - 1), IND2)
C     ACCUMULATE REAL AND IMAGINARY PARTS
 1100 ZI(IND1) = ZI(IND1) - (E(IND2A)**2 - 1.0) * SIN(DTOR *FLOAT(IFAZ))
      ZR(IND1) = ZR(IND1) + (E(IND2A)**2 - 1.0) * COS(DTOR *FLOAT(IFAZ))
C     ACCUMULATE NUMBER OF CONTRIBUTORS TO EACH SIGMA1 INDICATION
      IPHAZ(IND1) = IPHAZ(IND1) + 1
 1120 CONTINUE
      IF(NXSIG .EQ. 1) GO TO 1200
 1150 WRITE(LT,1160)
 1160 FORMAT(//43X,34H* * *  NO SIGMA1 REFLEXIONS  * * *)
      RETURN
 1200 WRITE (LT,1220) PROB
 1220 FORMAT(//44X,31H* * *   SIGMA1  RESULTS   * * *//15X,42HPHASE ACCE
     1PTED IF PROBABILITY GREATER THAN,F5.2, 45H AND NUMBER OF CONTRIBUT
     2ORS IS GREATER THAN 3//
     3 3(40H   CODE   H   K   L   E  PHI  PROB NC   ))
      K = 0
      DO 1320 I=1,NUMB
      IF(MKANG(I).EQ.1.OR.MKG(I).NE.131328) GO TO 1320
      ARG = 15 * MKANG(I) - 14
      T2 = 0.5 * SIGMA*E(I)* (ZI(I)*SIN(DTOR*ARG) + ZR(I)*COS(DTOR*ARG))
      K = K + 1
      LINE(K,1) = I
      CALL UNPACK(IH(I),LINE(K,2),LINE(K,3),LINE(K,4))
      ENIL(K,1) = E(I)
      LINE(K,5) = 15 * (MKANG(I) - 1)
      IF (T2 .LT. 0.0) LINE(K,5) = LINE(K,5) + 180
      ENIL(K,2) = 0.5 + 0.5 * TANH(ABS(T2))
      LINE(K,6) = IPHAZ(I)
      IF (ENIL(K,2).LT.PROB.OR.IPHAZ(I).LE.3) GO TO 1240
C     SIGMA1 PHASE ACCEPTED
      IZ(I) = 1000 * LINE(K,5) + INT(200.0 * ENIL(K,2) - 100.0)
 1240 IF (K .LT. 3) GO TO 1320
      WRITE (LT,1300) ((LINE(L,J),J=1,4),ENIL(L,1),LINE(L,5),ENIL(L,2),
     1  LINE(L,6), L=1,3)
 1300 FORMAT (3(I7,3I4,F5.2,I4,F6.3,I3,3X))
      K = 0
 1320 CONTINUE
      IF (K .NE. 0) WRITE (LT,1300) ((LINE(L,J),J=1,4),ENIL(L,1),
     1  LINE(L,5),ENIL(L,2),LINE(L,6), L=1,K)
      RETURN
      END
C     ------------------------------------------------------------------
      SUBROUTINE INPUT2(NORIN)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      KNT = 0
      WRITE(LT,1200) NINPUT
 1200 FORMAT(///29X,53HNUMBER OF REFLEXIONS SPECIFIED AS INPUT TO CONVER
     1GE =,I5//40H CODE   H   K   L  PHASE   TYPE   WEIGHT)
      DO 1580 I=1,NINPUT
      J=ICONV(I)/1000000
      IFAZ = (ICONV(I)-J*1000000)/1000
      IF (IFAZ .EQ. 0) IFAZ = 360
      IWATE = MOD(ICONV(I),1000)
      WATE = 0.01*FLOAT(IWATE)
C     OUTPUT INDICES AND REFLEXION TYPE
      CALL UNPACK(IH(J),LH,LK,LL)
      IF(IWATE.EQ.200) WRITE(LT,1342) J,LH,LK,LL
 1342 FORMAT(I5,3I4,9X,6HORIGIN)
      IF(IWATE.LE.100) WRITE(LT,1344)J,LH,LK,LL,IFAZ,WATE
 1344 FORMAT(I5,3I4,I6,3X,5HKNOWN,F8.2)
      IF(IWATE.EQ.400) WRITE(LT,1346) J,LH,LK,LL
 1346 FORMAT(I5,3I4,8X,8HPERMUTED)
      IF(IWATE.EQ.300) WRITE(LT,1348) J,LH,LK,LL
 1348 FORMAT(I5,3I4,6X,12HENANTIOMORPH)
      IF(IWATE.LE.200) GO TO 1440
      IF(IWATE.EQ.400) GO TO 1420
C     ENANTIOMORPH FIXING REFLEXION
      NANT(1) = J
C     ENTER HERE FOR STARTING SET REFLEXION
 1420 IZ(J) = -1
      KNT = KNT + 1
      GO TO 1580
 1440 IF(IWATE.NE.200) GO TO 1560
C     ORIGIN  DEFINING  REFLEXION   -   CHECK  FOR  STRUCTURE  INVARIANT
 1460 IF (MKG(J) .NE. 131328) GO TO 1470
C     OUTPUT ERROR MESSAGE
      WRITE (LT,1465) J
 1465 FORMAT(//53X,13H* ** *** ** *//19X,31HINPUT ORIGIN DEFINING REFLEX
     1ION,I5,45H IS A STRUCTURE INVARIANT - REFLEXION IGNORED//53X,
     1 13H* ** *** ** *//)
      GO TO 1580
C     CHECK ON NUMBER OF ORIGIN DEFINING REFLEXIONS INPUT
 1470 NORIN = NORIN + 1
      IF (NORIN - NORI -1) 1560,1475,1485
C     OUTPUT ERROR MESSAGE   -   TOO  MANY  ORIGIN  DEFINING  REFLEXIONS
 1475 WRITE (LT,1480) NORI
 1480 FORMAT(//53X,13H* ** *** ** *//17X,74HTOO MANY ORIGIN DEFINING REF
     1LEXIONS HAVE BEEN INPUT - SPACE GROUP REQUIRES,I2,11H REFLEXIONS//
     2  53X,13H* ** *** ** *//)
 1485 WRITE (LT,1490) J
 1490 FORMAT(40H0EXTRA ORIGIN DEFINING REFLEXION IGNORED,
     1 10X,6HCODE =,I5)
      GO TO 1580
 1560 IZ(J) = 1000 * IFAZ + IWATE
 1580 CONTINUE
      NINPUT = KNT
      RETURN
      END
C     ------------------------------------------------------------------
C     CONVERGENCE METHOD FOR ORIGIN  AND  STARTING  POINT  DETERMINATION
      SUBROUTINE CONVEG(NORIN)
C     DIMENSION STATEMENT PARTICULAR TO SUBROUTINE CONVEG
      DIMENSION IEE(8000),ICH(6),LINE(5,6)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),BUFR(100),IBUFR(4,100)
      COMMON /B2/ IPH(8000),ALFST(500),IORDE(500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     EQUIVALENCE STATEMENT PARTICULAR TO SUBROUTINE CONVEG
      EQUIVALENCE (EEE(1),IEE(1))
      DATA ISK/1H*/, NOT/1H /
C     I1/I0 (BESSEL FUNCTION)
      VEC(U)=U*(U+0.4807)/((U+0.8636)*U+1.3943)
C     SET DEFAULTS
      ILIST = -1
      NSR = 0
      NGR = 0
      MARK = -1
      IF(NANY .EQ. (-1)) NSPEC = 10
      IF(NANY .EQ. (-1)) NGEN = 10
      IF(NSREQ.EQ.0) NSREQ=KUSER2/2
      NSMIN=0
      IF(NANY.LT.0) NSMIN=MIN0(2*NAT/3,NSREQ/2-1)
      IF (NSMIN.NE.0) NSMIN = MAX0(NSMIN,12)
C     ALL ORIGIN FIXING REFLEXIONS MUST APPEAR IN THE BOTTOM  25  PLACES
C     OF THE CONVERGENCE MAP
      LKGIN = NORI + NSPEC + NGEN + NANY + 25
      IF(NANY .EQ. (-1)) LKGIN = LKGIN-12
C     REFLEXIONS IN BOTTOM 1/3 OF CONVERGENCE MAP MAY GO IN STARTING SET
      LKSTA = NUMB / 3
      CALL CALPHA(LARN,NORIN,LIST,LKGIN,NSPEC)
      NSRTOT=LIM(NUMB+1)
C     CALCULATE NUMBER OF PHASES TO BE DETERMINED
      NDET = MIN0(NDET,NUMB)
      IF (NDET.EQ.0) NDET=NUMB-MIN0(KUSER3-NUMB,50)
C     INITIALISE COUNTER OF SPACE FOR PSIZERO RELATIONSHIPS
      NREJ=KUSER1-NSRTOT
      IF(NSPEC+NGEN+NANY.EQ.0) GO TO 1770
C     INITIALISE ARRAYS FOR NEXT PASS OF CONVERGE
 1200 KNT = NUMB
      DO 1210 I=1,NUMB
      IF (IZ(I) .LT. (-10)) IZ(I) = 0
      ALPHA(I) = PALF(I)
 1210 CONTINUE
 1220 DO 1230 I=1,NSRTOT
      IF(KNT.LT.NUMB.AND.EEE(I).LT.0.0) GO TO 1230
      IF(IPH(I).LT.0) IPH(I)=-IPH(I)
      IF(EEE(I).LT.0.0) EEE(I)=-EEE(I)
 1230 CONTINUE
C     LOOK FOR SMALLEST ESTIMATED ALPHA
 1240 ALFMIN=1.0E10
      DO 1270 I=1,NUMB
      IF(IZ(I).NE.0.OR.ALPHA(I).GE.ALFMIN) GO TO 1270
      MIN=I
      ALFMIN=ALPHA(I)
 1270 CONTINUE
      IF(ALFMIN.GT.0.9E10) GO TO 1560
      IZ(MIN)=-100
      IF (ALFMIN .LT. 0.3) ALPHA(MIN) = 0.0
C     THIS REFLEXION IS ELIMINATED
      IF (KNT.GT.ILIST) GO TO 1435
      IF (KNT.EQ.ILIST) WRITE (LT,1400)
 1400 FORMAT (/5H CODE,10H   H  K  L,8H  ALFEST,38X,12HCONTRIBUTORS/)
      CALL UNPACK(IH(MIN),IJ,IK,IL)
      WRITE (LT,1405) MIN,IJ,IK,IL,ALFMIN
 1405 FORMAT(1H ,2I4,2I3,F6.2)
 1435 LAST = MIN
C     RECORD ORDER OF PHASE DETERMINATION
      IORDE(KNT) = MIN
      IF(KNT.NE.LKSTA.OR.ILIST.GE.0) GO TO 1445
      DO 1440 I=1,NUMB
      ALFST(I)=ALPHA(I)
 1440 CONTINUE
C     REDUCE STRONG REFS TO MAKE SPACE FOR PSI-ZEROS IF NECESSARY
 1445 IF (ILIST.GE.0.AND.KNT.EQ.NDET.AND.NREJ.LT.1000) NDET=NDET-1
C     UPDATE ESTIMATED ALPHAS
      N=0
      DO 1500 IL=MIN,NUMB
      IF(IL.NE.MIN.AND.IZ(IL).LT.(-10)) GO TO 1500
      LI=LIM(IL)+1
      LS=LIM(IL+1)
      IF(LI.GT.LS) GO TO 1500
      DO 1480 I=LI,LS
      IF(IPH(I).LT.0) GO TO 1480
      IJ=IPH(I)/65536-1024
      IJA=IABS(IJ)
      IF(IL.NE.MIN.AND.IJA.LT.MIN) GO TO 1480
      IK=(IPH(I)-65536*(IJ+1024))/32-1024
      IKA=IABS(IK)
      IF(IL.NE.MIN.AND.IJA.NE.MIN.AND.IKA.NE.MIN) GO TO 1480
      VVEC=EEE(I)*VEC(EEE(I))
      IF(IZ(IL).EQ.0) ALPHA(IL)=ALPHA(IL)-VVEC
      IF(IZ(IJA).EQ.0) ALPHA(IJA)=ALPHA(IJA)-VVEC
      IF(IZ(IKA).EQ.0) ALPHA(IKA)=ALPHA(IKA)-VVEC
      IPH(I)=-IPH(I)
      IF(KNT.GT.LKSTA) EEE(I)=-EEE(I)
      IF(ILIST.LT.0.OR.N.GE.100) GO TO 1480
      N=N+1
      B = ABS(EEE(I))
      IB3 = -IPH(I)-65536*(IJ+1024)-32*(IK+1024)
      IF(IL.NE.MIN) GO TO 1450
      IB1 = IJ
      IB2 = IK
      GO TO 1470
 1450 IX=ISIGN(1,IJ)
      IF(MIN.EQ.IKA) IX=ISIGN(1,IK)
      IB1 = IL*IX
      IB2 = -IK*IX
      IF(MIN.EQ.IKA) IB2 = -IJ*IX
      IF(IX.EQ.1) IB3 = MOD(24-IB3,24)
 1470 IPH(I)=-65536*(1024+IB1)-32*(1024+IB2)-IB3
      IEE(I)=262144*(1024-MIN)+INT(100.0*B+0.5)
      IF (KNT.GT.ILIST) GOTO 1475
      BUFR(N) = B
      IBUFR(1,N) = IB1
      IBUFR(2,N) = IB2
      IBUFR(3,N) = IB3
 1475 IF (KNT.LE.NDET) GOTO 1480
C     MARK REJECTED RELATIONSHIPS
      IEE(I)=0
      NREJ=NREJ+1
 1480 CONTINUE
 1500 CONTINUE
C     OUTPUT WARNING IF WEAK LINK OCCURS ABOVE LISTING OF MAP
      IF (ILIST.GT.0.AND.KNT.GT.ILIST.AND.N.EQ.0) WRITE(LT,1510) KNT,MIN
 1510 FORMAT (27X,36H**** WARNING - WEAK LINK IN POSITION,I5,
     1 15H WITH REFLEXION,I5,5H ****)
      KNT = KNT - 1
      IF (KNT.GE.ILIST) GOTO 1240
      IF(N.EQ.0) WRITE(LT,1520)
 1520 FORMAT(1H+,30X,76H**** WARNING  -  WEAK LINK  -  PLEASE EXAMINE CO
     1NVERGENCE MAP CAREFULLY ****)
      M=0
 1530 IF(M.GE.N) GO TO 1240
      MP=M+1
      M=MIN0(N,M+5)
      IF(MP.GE.6) WRITE(LT,1540)
 1540 FORMAT(1H )
      WRITE(LT,1550) ((IBUFR(J,I),J=1,3),BUFR(I),I=MP,M)
 1550 FORMAT(1H+,19X,5(3X,2I4,I3,F6.2))
      GO TO 1530
C     THIS PASS OF CONVERGENCE IS NOW FINISHED
 1560 KNT=KNT+1
      MARK = MARK + 1
C     AFTER THE FIRST PASS OF CONVERGENCE, DEFINE THE ORIGIN
C     AND PICK A GENERAL REFLEXION (IF DEFAULTS)
      IF (MARK.NE.0) GO TO 1625
C     FIND SUITABLE ORIGIN FIXING REFLEXIONS
C     ASCEND CONVERGENCE MAP UNTIL THE ORIGIN CAN BE DEFINED
      IF (NORIN.EQ.NORI) GOTO 1610
 1570 DO 1580 I=KNT,LKGIN
      MIN=IORDE(I)
      IZ(MIN)=0
      CALL ORIGIN(JUMP,NORIN,0,LARN,MIN)
      IF(JUMP.NE.0) GOTO 1580
      IF(ALPHA(MIN).GT.0.3.OR.I.EQ.NUMB) GOTO 1610
      LAST=IORDE(I+1)
C     PREFER REFLEXION WITH HIGHEST ESTIMATED ALPHA
      IF (PALF(LAST).LE.PALF(MIN)) GOTO 1610
C     ALWAYS USE A SPECIAL REFLEXION IF POSSIBLE
      IF(MKANG(MIN).GT.1.AND.MKANG(LAST).EQ.1) GOTO 1610
      IZ(LAST)=0
      IZ(MIN)=-100
      CALL ORIGIN(JUMP,NORIN,0,LARN,LAST)
      IF(JUMP.EQ.0) GOTO 1610
      IZ(LAST)=-100
      IZ(MIN)=0
      GOTO 1610
 1580 CONTINUE
      IF (NRAL.EQ.NORI.OR.ICENT.EQ.1) GOTO 1590
C     ALLOW EXTRA GENERAL REFLEXIONS IN ORIGIN DEFINITION
      NRAL=NRAL+1
      GOTO 1570
C     ORIGIN CANNOT BE DEFINED FROM BOTTOM LKGIN REFLEXIONS
C     ALLOW ALL REFLEXIONS TO BE CONSIDERED
 1590 LKGIN=NUMB
      WRITE(LT,1600)
 1600 FORMAT(  //53X,13H* ** *** ** *//119H MULTAN HAS DIFFICULTY IN FIN
     1DING GOOD ORIGIN DEFINING REFLEXIONS  -  PLEASE LOOK CRITICALLY AT
     2 THE CONVERGENCE RESULTS//53X,13H* ** *** ** *//)
      GOTO 1570
C     ALLOCATE PHASES TO ORIGIN DEFINING REFLEXIONS
 1610 CALL ORIGIN(JUMP,NORIN,1,LARN,0)
      DO 1615 I=1,NUMB
      IF(IZ(I).EQ.0) IZ(I)=-100
 1615 CONTINUE
C     ENSURE A GENERAL REFLEXION IS IN THE STARTING SET IF POSSIBLE
      IF (ILIST.GE.0) GOTO 1820
      IF (ICENT.NE.0.OR.NANY.GE.0) GOTO 1725
      ALFMIN = 1.0E10
      IREC = 0
      DO 1620 I=KNT,LKSTA
      MIN = IORDE(I)
      IF (IZ(MIN).NE.(-100).OR.ALPHA(MIN).GT.ALFMIN) GOTO 1620
      IF (MKANG(MIN).NE.1) GOTO 1620
      IREC = MIN
 1620 CONTINUE
      IF (IREC.EQ.0) GOTO 1725
      IZ(IREC) = -1
      NGR = 1
      GOTO 1725
C     PUT REFLEXIONS THAT WERE UNDEFINED (ZERO ESTIMATED ALPHA)
C     ON ELIMINATION INTO STARTING SET IF POSSIBLE. IF NOT,
C     USE REFLEXION WITH LOWEST ESTIMATED ALPHA.
 1625 IF (ILIST.GE.0) GOTO 1820
 1627 ALFMIN=1.0E10
      IREC=0
      DO 1680 I=KNT,LKSTA
      MIN=IORDE(I)
      IF(IZ(MIN).GE.(-10)) GO TO 1680
      IAL=1
C     LOOK FOR LOWEST ESTIMATED ALPHA
      IF(ALPHA(MIN).GT.ALFMIN) GO TO 1680
      IF(ALPHA(MIN).GT.0.3) GO TO 1630
      IAL=0
      LAST=IORDE(I+1)
      IF(IZ(LAST).GE.(-10)) GO TO 1680
      IF(PALF(LAST).LE.PALF(MIN).OR.ALPHA(LAST).LT.0.3) GO TO 1630
      ALPHA(MIN)=ALPHA(LAST)
      MIN=LAST
 1630 IF(MKANG(MIN).LE.1) GO TO 1640
      IF(NSPEC.LE.0) GO TO 1650
      IF(NSET(NSR+LARN+1,NGR,ICENT,MI).GT.NSREQ) GO TO 1680
      IF(IAL.EQ.0) NSPEC=NSPEC-1
      GO TO 1660
 1640 IF(NGEN.LE.0) GO TO 1650
      IF(NSET(NSR+LARN,NGR+1,ICENT,MI).GT.NSREQ) GO TO 1680
      IF(IAL.EQ.0) NGEN=NGEN-1
      GO TO 1660
 1650 IF(NANY.LE.0) GO TO 1680
      IF(IAL.EQ.0) NANY=NANY-1
 1660 IF(IAL.EQ.0) GO TO 1670
      ALFMIN=ALPHA(MIN)
      IREC=MIN
      GO TO 1680
 1670 IF(MKANG(MIN).EQ.1) NGR=NGR+1
      IF(MKANG(MIN).NE.1) NSR=NSR+1
      IZ(MIN)=-1
 1680 CONTINUE
      MARK=MARK+1
      IF (MARK.EQ.2) GOTO 1627
      IF(IREC.LE.0) GO TO 1760
C     WORST REFLEXION AT END OF CONVERGENCE GOES INTO STARTING SET
      IZ(IREC) = -1
      IF(MKANG(IREC).LE.1) GO TO 1690
      NSR = NSR+1
      IF(NSPEC.LE.0) GO TO 1700
      NSPEC = NSPEC - 1
      GO TO 1720
 1690 NGR = NGR+1
      IF(NGEN.LE.0) GO TO 1700
      NGEN = NGEN - 1
      GO TO 1720
 1700 NANY = NANY - 1
 1720 IF(NANY.LT.0) GO TO 1760
C     REPEAT CONVERGENCE FROM LKSTA
 1725 DO 1730 I=KNT,LKSTA
      J=IORDE(I)
      ALPHA(J)=ALFST(J)
      IF(IZ(J).LT.(-10)) IZ(J)=0
 1730 CONTINUE
      KNT=LKSTA
C     ARE ANY MORE REFLEXIONS TO BE CHOSEN
      IF(NSPEC+NGEN+NANY.GT.0) GO TO 1220
 1760 IF(NSET(NSR+LARN,NGR,ICENT,MI).LT.NSMIN) GO TO 1220
C     IS LISTING OF CONVERGENCE MAP REQUIRED
 1770 IF(LIST) 1780,1790,1800
C     NO LIST
 1780 ILIST = 0
      GO TO 1200
C     PARTIAL LIST
 1790 ILIST=MIN0(60,NUMB)
      IF(ILIST .LT. NUMB) WRITE(LT,1795) ILIST
 1795 FORMAT(/28X,49HPARTIAL CONVERGENCE LISTING - FINAL STAGES ONLY -,
     1 I5,11H REFLEXIONS/)
      GO TO 1200
C     COMPLETE LIST
 1800 ILIST = NUMB
      GO TO 1200
 1820 KNT = 0
C     FIND RELATIONSHIPS AMONGST THE STARTING SET REFLEXIONS
      DO 1860 I=1,NUMB
      IF(IZ(I).LT.(-10)) GO TO 1860
      KNT = KNT + 1
      IORDE(KNT) = I
      LI=LIM(I)+1
      LS=LIM(I+1)
      IF(LI.GT.LS) GO TO 1860
      DO 1840 J=LI,LS
      IF(IPH(J).LE.0) GO TO 1840
      IL=IPH(J)/65536-1024
      IJ=(IPH(J)-65536*(IL+1024))/32-1024
      IK=IPH(J)-65536*(IL+1024)-32*(IJ+1024)
      IPH(J)=-65536*(1024+IL)-32*(1024-IJ)-IK
      IEE(J)=262144*(1024-I)+INT(100.0*EEE(J)+0.5)
 1840 CONTINUE
 1860 CONTINUE
C     SORT RELATIONSHIPS IN CONVERGENCE MAP ORDER FOR FASTAN
      CALL SORT1(IEE,IPH,NSRTOT)
      DO 1880 I=1,KUSER5
      LIM(I+1)=0
 1880 CONTINUE
      DO 1900 I=1,NSRTOT
      IPH(I)=-IPH(I)
      J=IEE(I)/262144
      IF (J.EQ.0) GOTO 1910
      EEE(I)=0.01*FLOAT(IEE(I)-262144*J)
      J=1024-J
      LIM(J+1)=I
 1900 CONTINUE
 1910 DO 1950 I=1,KUSER5
      LIM(I+1)=MAX0(LIM(I+1),LIM(I))
 1950 CONTINUE
C     FIX ENANTIOMORPH
      CALL START
      NREJ=NUMB-NDET
      IF (NREJ.EQ.0) RETURN
C     OUTPUT REJECTED REFLEXIONS
      WRITE (LT,2000) NREJ
 2000 FORMAT(/15X,38HCONVERGENCE HAS REJECTED THE FOLLOWING,
     1 I4,48H REFLEXIONS FROM THE PHASE DETERMINATION PROCESS//
     2 6(20H  CODE   H  K  L MK ))
      K=0
      NDETP1=NDET+1
      DO 2200 II=NDETP1,NUMB
      LL=IORDE(II)
      K=K+1
      LINE(1,K)=LL
      CALL UNPACK(IH(LL),LINE(2,K),LINE(3,K),LINE(4,K))
      LINE(5,K)=MKANG(LL)
      ICH(K)=NOT
      IF (MKG(LL).EQ.131328) ICH(K)=ISK
      IF (K.LT.6) GOTO 2200
      WRITE (LT,2100)((LINE(I,L),I=1,5),ICH(L),L=1,6)
 2100 FORMAT(6(I6,I4,3I3,A1))
      K=0
 2200 CONTINUE
      IF (K.NE.0) WRITE (LT,2100)((LINE(I,L),I=1,5),ICH(L),L=1,K)
      NSRTOT=LIM(NUMB+1)
      WRITE (LT,2300) NSRTOT
 2300 FORMAT(/38X,39HTHE NUMBER OF RELATIONSHIPS ACCEPTED IS,I5)
      RETURN
      END
C     ------------------------------------------------------------------
C     GENERATE NTH MEMBER OF MI'TH FIBONACCI SERIES
      FUNCTION IU(N,MI)
      COMMON /LOCAL/ IS(50)
      IU=1
      NC=MI
      DO 10 I=1,NC
   10 IS(I)=1
   20 IF(NC.GE.N) RETURN
      ITEMP = NC-MI+1
      IU=IU+IS(ITEMP)
      NC=NC+1
      IS(NC)=IU
      GO TO 20
      END
C     ------------------------------------------------------------------
C     CALCULATE THE GAMMA FUNCTION FOR N/2
      FUNCTION GAMMFN(N)
      GAMMFN=1.0
      IF(MOD(N,2).GE.1) GAMMFN=2.0*SQRT(ATAN(1.0))
      IF(N.LE.2) RETURN
      NS=4
      IF(GAMMFN.GT.1.0) NS=3
      DO 10 I=NS,N,2
      GAMMFN=0.5*FLOAT(I-2)*GAMMFN
   10 CONTINUE
      RETURN
      END
C     ------------------------------------------------------------------
C     CALCULATE NUMBER OF STARTING SETS
      FUNCTION NSET(NS,NG,ICENT,MI)
      NSET=1
      IF (NG.EQ.1) NSET=4
      IF (NG.LE.1) GOTO 200
      MAX=2*IU(NG+MI-1,MI)
      XSUM=0.0
      DO 100 I=1,NG
      M=MAX-IU(I+MI-1,MI)
      XSUM=XSUM+FLOAT(M*M)
  100 CONTINUE
      DELX=1.128379*EXP((ALOG(GAMMFN(NG+1))-ALOG(XSUM)
     1  *FLOAT(NG)*0.5)/FLOAT(NG-1))
      NSET=INT(1.0/DELX)+1
      IF (MOD(NSET,2).NE.0) NSET=NSET+1
  200 NSET=NSET*2**NS
      IF(ICENT.EQ.0) NSET=NSET/2
      RETURN
      END
C     ------------------------------------------------------------------
C     SUM ALPHA'S AND CHECK ORIGIN DEFINITION
      SUBROUTINE CALPHA(LARN,NORIN,LIST,LKGIN,NSPEC)
      COMMON /LOCAL/ ICH(8), LNE(2,8), ENL(8)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      DATA ISK/1H*/, NOT/1H /
C     I1/I0 (BESSEL FUNCTION)
      VEC(U)=U*(U+0.4807)/((U+0.8636)*U+1.3943)
      ALFRAN = 0.0
      NUMS = 0
      K = 0
      WRITE(LT,1000)
 1000 FORMAT(//47X,26HTABLE OF ESTIMATED ALPHA'S//
     1 8(15H CODE ALPHA MK ))
      DO 1042 I=1,NUMB
      LI = LIM(I) + 1
      LS = LIM(I+1)
      IF(LI.GT.LS) GO TO 1042
      IF(MKANG(I).GT.1) NUMS=NUMS+1
      DO 1040 J=LI,LS
C     COMPUTE QUANTITIES FOR ESTIMATED AND RANDOM ALPHA
      IL=IPH(J)/65536-1024
      IR=(IPH(J)-65536*(IL+1024))/32-1024
      IL=IABS(IL)
      IR=IABS(IR)
      EX=EEE(J)*VEC(EEE(J))
      PALF(I)=PALF(I)+EX
      PALF(IL)=PALF(IL)+EX
      PALF(IR)=PALF(IR)+EX
      EX=EEE(J)*EEE(J)
      ALPHA(I)=ALPHA(I)+EX
      ALPHA(IL)=ALPHA(IL)+EX
      ALPHA(IR)=ALPHA(IR)+EX
 1040 CONTINUE
 1042 CONTINUE
      DO 1100 I=1,NUMB
C     COMPUTE TOTAL RANDOM ALPHA
      ALFRAN = ALFRAN + SQRT(ALPHA(I))
C     IS THIS PHASE ALREADY DETERMINED BY SIGMA1
      IF(IZ(I).NE.0) LKGIN=LKGIN+1
      K = K + 1
      LNE(1,K)=I
      LNE(2,K)=MKANG(I)
      ENL(K)=PALF(I)
      ICH(K)=NOT
      IF(MKG(I).EQ.131328) ICH(K)=ISK
      IF(K.LT.8) GO TO 1100
      WRITE(LT,1055) (LNE(1,L),ENL(L),LNE(2,L),ICH(L),L=1,8)
 1055 FORMAT(8(I5,F6.1,I3,A1))
      K = 0
 1100 CONTINUE
      NSPEC = MIN0(NSPEC, NUMS)
      IF(K.GT.0) WRITE(LT,1055) (LNE(1,L),ENL(L),LNE(2,L),ICH(L),L=1,K)
C     CHECK THAT ORIGIN MAY BE DEFINED AT OUTSET
      LARN = -NRAL
 1200 CALL ORIGIN(JUMP,NORIN,0,LARN,0)
      IF(JUMP.EQ.0) GO TO 1230
      IF(NRAL.GE.NORI) GO TO 1220
      NRAL = NRAL + 1
      GO TO 1200
 1220 IF (NORIN .LE. 0) WRITE (LT,1225)
      IF (NORIN .GT. 0) WRITE (LT,1227)
      CALL ERROR
 1225 FORMAT (////53X,13H* ** *** ** *//42X,35H ORIGIN CAN NOT BE PROPER
     1LY DEFINED//53X,13H* ** *** ** *)
 1227 FORMAT (////53X,13H* ** *** ** *//26X,68H ORIGIN FIXING REFLEXIONS
     1 CHOSEN BY THE USER WILL NOT FIX THE ORIGIN//53X,13H* ** *** ** *)
 1230 IF(LIST .GE. 0) WRITE(LT,1235) ITLE
 1235 FORMAT(/1X,119(1H+)//6X,20A4,15X,19HCONVERGENCE MAPPING/)
      RETURN
      END
C     ------------------------------------------------------------------
C     FIND ANY NORI REFLEXIONS FROM THOSE AVAILABLE TO DEFINE THE ORIGIN
C     ROUTINE WILL HANDLE 230 SPACE GROUPS IN THE STANDARD  ORIENTATIONS
C     INCLUDING ALTERNATIVE SETTINGS AS IN INTERNATIONAL TABLES VOLUME 1
      SUBROUTINE ORIGIN(JUMP,NORIN,IAL,LARN,MIN)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      JUMP=0
C     ORIGIN IS DEFINED BY SPACE GROUP
      IF(NORI.EQ.0) RETURN
C     REFLEXION MIN MUST BE INCLUDED IN ORIGIN
      MUST=0
      IF(MIN.EQ.0) MUST=-1
      DO 900 I=1,NUMB
C     TEST IF REFLEXION MIN IS IN ORIGIN DEFINING SET
      IF(MUST.EQ.1) GO TO 950
      IF(I.EQ.MIN) MUST=1
C     ELIMINATED REFLEXION
      IF(IZ(I).LT.0) GO TO 900
C     REFLEXION WITH NO SIGMA-2 CONTRIBUTORS
      IF(PALF(I).LT.0.2) GO TO 900
C     SEMINVARIANT REFLEXION
      IF(MKG(I).EQ.131328) GO TO 900
      NRAL1=0
C     COUNT GENERAL REFLEXIONS
      IF(MKANG(I).EQ.1) NRAL1=1
      IF(NRAL1.GT.NRAL) GO TO 900
      N1=0
C     COUNT USER REFLEXIONS REQUESTED
      IF(MOD(IZ(I),1000).EQ.200) N1=1
      IF(NORIN-N1.GE.3) GO TO 900
      CALL UNPACK(MKG(I),J1,K1,L1)
      IF(NORI.GT.1) GO TO 100
C     IS MIN INCLUDED
      IF(MUST.EQ.0) GO TO 900
C     TEST WITH ORIGIN RULES IF ONE REFLEXION IS NEEDED TO DEFINE ORIGIN
C     MODULUS = (2), (3), (4), (6) OR (0)
      IF(L1.EQ.1) GO TO 1000
      IF(L1.EQ.MODUL(3)-1) GO TO 1000
      GO TO 900
  100 IPO=I+1
      IF(IPO.GT.NUMB) GO TO 900
      DO 800 J=IPO,NUMB
      IF(MUST.EQ.2) GO TO 900
      IF(J.EQ.MIN) MUST=2
      IF(IZ(J).LT.0) GO TO 800
      IF(PALF(J).LT.0.2) GO TO 800
      IF(MKG(J).EQ.131328) GO TO 800
      NRAL2=NRAL1
      IF(MKANG(J).EQ.1) NRAL2=NRAL2+1
      IF(NRAL2.GT.NRAL) GO TO 800
      N2=N1
      IF(MOD(IZ(J),1000).EQ.200) N2=N2+1
      IF(NORIN-N2.GE.2) GO TO 800
      CALL UNPACK(MKG(J),J2,K2,L2)
      IF(NORI.GT.2) GO TO 200
      IF(MUST.EQ.0) GO TO 800
C     TEST WITH ORIGIN RULES IF TWO REFLEXIONS ARE NEEDED
      MDET=K1*L2-K2*L1
      MAXM=MAX0(MODUL(2),MODUL(3))
C     MODULUS = (0,0) OR (2,2)
      IF(IABS(MDET).EQ.1) GO TO 1000
      IF(MAXM.EQ.0) GO TO 800
C     MODULUS = (0,2), (2,0) OR (3,0)
      IF(MOD(MDET,MAXM).EQ.0) GO TO 800
C     MODULUS = (0,2)
      IF(MODUL(2).EQ.0.AND.JFAC(K1,K2,-1000).NE.1) GO TO 800
C     MODULUS = (2,0) OR (3,0)
      IF(MODUL(3).EQ.0.AND.JFAC(L1,L2,-1000).NE.1) GO TO 800
      GO TO 1000
  200 JPO=J+1
      IF(JPO.GT.NUMB) GO TO 800
      DO 700 K=JPO,NUMB
      IF(MUST.EQ.3) GO TO 800
      IF(K.EQ.MIN) MUST=3
      IF(IZ(K).LT.0) GO TO 700
      IF(PALF(K).LT.0.2) GO TO 700
      IF(MKG(K).EQ.131328) GO TO 700
      NRAL3=NRAL2
      IF(MKANG(K).EQ.1) NRAL3=NRAL3+1
      IF(NRAL3.GT.NRAL) GO TO 700
      N3=N2
      IF(MOD(IZ(K),1000).EQ.200) N3=N3+1
      IF(NORIN-N3.GE.1) GO TO 700
      CALL UNPACK(MKG(K),J3,K3,L3)
      IF(MUST.EQ.0) GO TO 700
C     TEST WITH ORIGIN RULES IF THREE REFLEXIONS ARE NEEDED
      MDET=J1*(K2*L3-K3*L2)-J2*(K1*L3-K3*L1)+J3*(K1*L2-K2*L1)
      MAXM=MODUL(1)+MODUL(2)+MODUL(3)
C     MODULUS = (0,0,0) OR (2,2,2)
      IF(IABS(MDET).EQ.1) GO TO 1000
      IF(MAXM.EQ.0) GO TO 700
      IF(MAXM.EQ.2) GO TO 600
C     MODULUS = (0,2,2), (2,0,2) OR (2,2,0)
      IF(MOD(MDET,2).EQ.0) GO TO 700
C     MODULUS = (0,2,2)
      IF(MODUL(1).EQ.0.AND.JFAC(J1,J2,J3).NE.1) GO TO 700
C     MODULUS = (2,0,2)
      IF(MODUL(2).EQ.0.AND.JFAC(K1,K2,K3).NE.1) GO TO 700
C     MODULUS = (2,2,0)
      IF(MODUL(3).EQ.0.AND.JFAC(L1,L2,L3).NE.1) GO TO 700
      GO TO 1000
  600 IF(MODUL(2).NE.2) GO TO 650
C     MODULUS = (0,2,0)
      IF(K1.EQ.1.AND.IABS(J2*L3-J3*L2).EQ.1) GO TO 1000
      IF(K2.EQ.1.AND.IABS(J3*L1-J1*L3).EQ.1) GO TO 1000
      IF(K3.EQ.1.AND.IABS(J1*L2-J2*L1).EQ.1) GO TO 1000
      GO TO 700
C     MODULUS = (0,0,2)
  650 IF(L1.EQ.1.AND.IABS(J2*K3-J3*K2).EQ.1) GO TO 1000
      IF(L2.EQ.1.AND.IABS(J3*K1-J1*K3).EQ.1) GO TO 1000
      IF(L3.EQ.1.AND.IABS(J1*K2-J2*K1).EQ.1) GO TO 1000
  700 CONTINUE
  800 CONTINUE
  900 CONTINUE
  950 JUMP=-1
      RETURN
 1000 IF(IAL.EQ.0) RETURN
      L=0
C     COUNT GENERAL REFLEXIONS AND ASSIGN PHASES
 1050 IF(MKANG(I).GT.1) GO TO 1100
      LARN=LARN+1
C     IS THIS A POSSIBLE ENANTIOMORPH DEFINING REFLEXION
      IF(LARN.LE.0) GO TO 1100
      IF(NANT(LARN).GT.0) LARN=LARN+1
      NANT(LARN)=I
      IZ(I)=45200
      GO TO 1200
 1100 M=MKANG(I)-1
      IF(MOD(M,12).EQ.0) M=24
      IZ(I)=15000*M+200
 1200 L=L+1
      IF(L.EQ.NORI) RETURN
      IF(L.EQ.1) I=J
      IF(L.EQ.2) I=K
      GO TO 1050
      END
C     ------------------------------------------------------------------
C     TEST FOR COMMON FACTOR (.GT.1) AMONGST K,L,N
      FUNCTION JFAC(K,L,N)
      JFAC=1
      M=MIN0(K,L,IABS(N))
      IF(M.EQ.1) RETURN
      DO 10 I=2,M
      IF(MOD(K,I).NE.0) GO TO 10
      IF(MOD(L,I).NE.0) GO TO 10
      IF(N.GT.0.AND.MOD(N,I).NE.0) GO TO 10
      JFAC=I
      GO TO 20
   10 CONTINUE
   20 RETURN
      END
C     ------------------------------------------------------------------
C     DETERMINE   THE   ENANTIOMORPH   FIXING   REFLEXION
      SUBROUTINE START
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     HAS ENANTIOMORPH BEEN FIXED     NANT(1) .EQ. 0 IF NOT
 1580 IF (NANT(1)) 2160,1590,1584
C     DOES THE ENANTIOMORPH  FIXING  REFLEXION  ALSO  DEFINE  THE ORIGIN
 1584 MAX = NANT(1)
      ALFMAX = ABS(PALF(MAX))
      IF (IZ(MAX).GE.0) GOTO 2160
C     DOES THE  ENANTIOMORPH  NEED TO BE FIXED   -  ICENT .NE. 0  IF NOT
      IF (ICENT) 2105,1595,2105
 1590 IF (ICENT.NE.0) GOTO 2160
C     ENANTIOMORPH TO BE FIXED  -  INITIALISE PALF
 1595 DO 1597 I=1,NUMB
      PALF(I) = ABS(PALF(I))
 1597 CONTINUE
      JUMP = 0
      NAN = 1
C     TEST FOR PRIMITIVE SPACE GROUP WITH SEMINVARIANT  MODULUS  (2,2,2)
      IF (LATT.NE.1) GOTO 1605
      J = 4 - NORI
      DO 1603 I=J,3
      IF (MODUL(I).NE.2) GOTO 1605
 1603 CONTINUE
      JUMP = 1
 1605 IF (NANT(1).NE.0) GOTO 1625
C     SELECT ENANTIOMORPH REFLEXION FROM BOTTOM OF THE CONVERGENCE MAP
C     IS THERE A PERMUTABLE REFLEXION IN THE STARTING SET?
      DO 1607 I=1,NUMB
      IF (IZ(I).EQ.(-1)) GOTO 1608
 1607 CONTINUE
      GOTO 2120
C     SELECT LOWEST REFLEXION USED IN CONVERGENCE MAP
 1608 MAX = 0
      ALFMAX = 0.0
      DO 1615 I=1,NUMB
      MIN = IORDE(I)
      IF (IZ(MIN).NE.(-100)) GOTO 1615
      LI = LIM(MIN)+1
      LF = LIM(MIN+1)
      IF (LI.GT.LF) GOTO 1615
      DO 1610 JJ=LI,LF
      IL = IPH(JJ)/65536-1024
      ILA = IABS(IL)
      IF (IZ(ILA).NE.(-1)) GOTO 1609
      IF (PALF(ILA).LE.ALFMAX) GOTO 1609
      ALFMAX = PALF(ILA)
      MAX = ILA
 1609 IR = (IPH(JJ)-65536*(IL+1024))/32-1024
      IRA = IABS(IR)
      IF (IZ(IRA).NE.(-1)) GOTO 1610
      IF (PALF(IRA).LE.ALFMAX) GOTO 1610
      ALFMAX = PALF(IRA)
      MAX = IRA
 1610 CONTINUE
      IF (MAX.NE.0) GOTO 1625
 1615 CONTINUE
      GOTO 2120
 1625 IF (JUMP.LE.0) GOTO 1860
C     TO DETERMINE  WHETHER  ENANTIOMORPH  FIXING  REFLEXION  MUST  HAVE
C     POSITIVE REAL (NAN = -1) OR IMAGINARY (NAN = 1) PART,  FIND LINEAR
C     DEPENDENCE OF ENANTIOMORPH FIXING REFLEXION ON  ORIGIN  REFLEXIONS
 1635 LOG1 = 0
      CALL UNPACK(MKG(MAX),M1,M2,M3)
      CALL UNPACK(MKG(MAX),L1,L2,L3)
      NORF=0
      DO 1800 J=1,NUMB
      IF(MOD(IZ(J),1000).NE.200) GOTO 1800
      NORF=NORF+1
      CALL UNPACK(MKG(J),J1,J2,J3)
      LOG2 = MOD(M1 + J1, 2) + MOD(M2 + J2, 2) + MOD(M3 + J3, 2)
      IF (LOG2.GT.0) GOTO 1660
C     REFLEXION IS LINEARLY DEPENDENT ON ONE ORIGIN REFLEXION
      IF (IABS(MKANG(J) - 7) - 3) 1840,1820,1820
 1660 JP=J+1
      IF(NORF.EQ.NORI) JP=1
      DO 1670 K=JP,NUMB
      IF(MOD(IZ(K),1000).EQ.200) GOTO 1675
 1670 CONTINUE
 1675 CALL UNPACK(MKG(K),K1,K2,K3)
      LOG2 = MOD(M1+J1+K1,2) + MOD(M2+J2+K2,2) + MOD(M3+J3+K3,2)
      IF (LOG2.GT.0) GOTO 1700
C     REFLEXION IS LINEARLY DEPENDENT ON TWO ORIGIN REFLEXIONS
      IF (IABS(MOD(MKANG(J) + MKANG(K) - 2, 12) - 6) - 3) 1840,1820,1820
C     DETERMINE LINEAR DEPENDENCE ON ALL THREE ORIGIN REFLEXIONS
 1700 LOG1 = LOG1 + MKANG(J) - 1
      L1 = L1 + J1
      L2 = L2 + J2
      L3 = L3 + J3
 1800 CONTINUE
      IF (MOD(L1,2) + MOD(L2,2) + MOD(L3,2)) 2100,1810,1820
C     REFLEXION IS LINEARLY DEPENDENT ON THREE ORIGIN REFLEXIONS
 1810 IF (IABS(MOD(LOG1, 12) - 6) - 3) 1840,1820,1820
C     IMAGINARY PART MUST BE POSITIVE TO FIX ENANTIOMORPH
 1820 NAN = 1
      GO TO 1860
C     REAL PART MUST BE POSITIVE TO FIX ENANTIOMORPH
 1840 NAN = -1
 1860 IF (MKANG(MAX).LE.1) GOTO 2060
      IF (IABS(MKANG(MAX) - 7) - 3) 2020,2040,2040
 2020 IF (NAN) 2100,2100,2080
 2040 IF (NAN) 2080,2100,2100
 2060 IF (NAN) 2080,2100,2080
 2080 NANT(1) = NAN * MAX
      GO TO 2160
 2100 PALF(MAX) = -PALF(MAX)
      IF (NANT(1).EQ.0) GOTO 1605
C     OUTPUT ERROR MESSAGE
 2105 WRITE (LT,2110)
 2110 FORMAT(//53X,13H* ** *** ** *//21X,78HENANTIOMORPH FIXING REFLEXIO
     1N CHOSEN BY THE USER DOES NOT FIX THE ENANTIOMORPH//53X,13H* ** **
     2* ** *//)
C     REMOVE REFLEXION AND TRY AGAIN
      DO 2115 I=1,3
      NANT(I) = NANT(I+1)
 2115 CONTINUE
      GO TO 1580
 2120 WRITE (LT,2140)
 2140 FORMAT(  //53X,13H* ** *** ** *//26X,67HTHE REFLEXIONS IN THE STAR
     1TING SET WILL NOT DEFINE THE ENANTIOMORPH//53X,13H* ** *** ** *//)
 2160 DO 2180 I=1,NUMB
      PALF(I) = ABS(PALF(I))
 2180 CONTINUE
      RETURN
      END
C     ------------------------------------------------------------------
C     OUTPUT CONVERGENCE RESULTS
      SUBROUTINE OUTPT1(NSRTOT,MI)
      COMMON /LOCAL/ LINE1(3,6)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),LINE3(125,8)
      COMMON /B2/ IPH(8000),LINE2(100,5),IORDE(500)
      COMMON /B3/ NKEY(500),MKSTOR(500),KNOWN(1000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      NS=0
      INAN=1
      WRITE (LT,480) ITLE, NORI
  480 FORMAT(//1H ,119(1H+)///6X,20A4,14X,20HCONVERGENCE  RESULTS
     1 ///35X,43HTHE NUMBER OF ORIGIN DEFINING REFLEXIONS IS,I6)
      IF (ICENT .LT. 0 .AND. SIGMAQ .LT. 0.25) WRITE (LT,620)
  620 FORMAT(/38X,44HTHE ENANTIOMORPH IS FIXED BY THE SPACE GROUP)
      IF(SIGMAQ .GE. 0.25) WRITE(LT,630)
  630 FORMAT(/1H ,35X,43HTHE ENANTIOMORPH IS FIXED BY THE INVARIANTS)
  700 J = 0
      K = 0
      L = 0
      MARK = 0
C     ACCUMULATE NUMBER OF UNKNOWN GENERAL REFLEXIONS IN STARTING SET
      NRAL = 0
      DO 1200 I=1,NUMB
      IF(IZ(I)+1) 1000,1080,1020
C     ELIMINATED REFLEXION
 1000 IZ(I) = 0
      GO TO 1200
 1020 IWT=IZ(I)-1000*(IZ(I)/1000)
      IF(IWT-100) 1120,1120,1040
C     ORIGIN FIXING REFLEXION
 1040 J = J + 1
      LINE1(J,1) = I
      CALL UNPACK(IH(I),LINE1(J,2),LINE1(J,3),LINE1(J,4))
      LINE1(J,5)=IZ(I)/1000
      LINE1(J,6) = MKANG(I)
C     DOES REFLEXION ALSO FIX ENANTIOMORPH
      IF (IABS(NANT(1)).EQ.I) NS = NS +1
      GO TO 1200
C     STARTING SET REFLEXIONS
 1080 K = K + 1
      LINE2(K,1) = I
      CALL UNPACK(IH(I),LINE2(K,2),LINE2(K,3),LINE2(K,4))
      LINE2(K,5) = MKANG(I)
      IF (MKANG(I) .NE. 1) IZ(I) = -15000*MOD(MKANG(I)-1, 12) - 360000
      IF (MKANG(I) .NE. 1) NS=NS+1
      IF (MKANG(I) .EQ. 1) NRAL = NRAL + 1
C     NOTE CODE NUMBER OF FIRST SPECIAL REFLEXION IN LIST
      IF (MARK.NE.0) GO TO 1200
      IF (MKANG(I) .NE. 1) MARK = I
      GO TO 1200
C     KNOWN REFLEXION
 1120 L = L + 1
      LINE3(L,1) = I
      CALL UNPACK(IH(I),LINE3(L,2),LINE3(L,3),LINE3(L,4))
      LINE3(L,5)=IZ(I)/1000
      LINE3(L,6)=IWT
 1200 CONTINUE
C     IF NRAL=0, SUBTRACT INCREMENT FROM FIRST UNKNOWN SPECIAL PHASE
      IF (NRAL .EQ. 0 .AND. MARK .GT. 0) IZ(MARK) = IZ(MARK) + 180000
      IF (L .NE. 0) WRITE(LT,1240) ((LINE3 (I,M),M=1,6),I=1,L)
 1240 FORMAT(//54X,12HKNOWN PHASES//3(4X,32HCODE    H    K    L   PHI 10
     10*WT,4X)/3(I8,3I5,2I6,5X))
      IF(J.LE.0) GO TO 1400
      WRITE (LT,1300) ((LINE1(I,M),M=1,6),I=1,J)
 1300 FORMAT (///48X,24HORIGIN FIXING REFLEXIONS/  /3(8X,24HCODE   H   K
     1   L  PHI MK,8X)/3(I12,3I4,I5,I3,8X))
      IF(NANT(2).LE.0) GO TO 1400
      NN = NANT(2)
      CALL UNPACK(IH(NN),I1,I2,I3)
      WRITE (LT,1340) I1,I2,I3
 1340 FORMAT(//19X,16HTHE PHASE OF THE,3I4,54H  REFLEXION CAN HAVE THE T
     1WO VALUES 45 AND 315 DEGREES)
      NS=NS+1
      IF(NANT(3).LE.0) GO TO 1400
      NN = NANT(3)
      CALL UNPACK(IH(NN),I1,I2,I3)
      WRITE (LT,1380) I1,I2,I3
 1380 FORMAT(/25X,10HAND OF THE,3I4,11H  REFLEXION)
      NS=NS+1
 1400 IF (K .NE. 0) WRITE (LT,1440) ((LINE2(I,M),M=1,5),I=1,K)
 1440 FORMAT (///44X,32HOTHER REFLEXIONS IN STARTING SET/  /4(5X,19HCODE
     1   H   K   L MK,6X)/4(I9,3I4,I3,6X))
      IF(NANT(1).EQ.0) GO TO 1520
      NN = IABS(NANT(1))
      CALL UNPACK(IH(NN),I1,I2,I3)
      IF(ICENT.EQ.0) WRITE (LT,1500) I1,I2,I3
 1500 FORMAT(//32X,32HTHE ENANTIOMORPH IS FIXED BY THE,3I4,11H  REFLEXIO
     1N)
      IF (ICENT.EQ.0) INAN = 0
 1520 IF (NRAL .EQ. 0) GO TO 1800
C     ASSIGN MAGIC INTEGER REPRESENTATION PHI(N) = M(N)*X
C     TO UNKNOWN GENERAL PHASES IN STARTING SET
C     ASSIGN LARGEST MAGIC INTEGER TO ENANTIOMORPH DEFINING PHASE IF
C     ENANTIOMORPH DEFINING PHASE IS A GENERAL UNKNOWN PHASE
      N=0
      IF (NANT(1)) 1600,1640,1600
 1600 NN = IABS(NANT(1))
      IF (IZ(NN)+1) 1640,1620,1640
 1620 N = 1
      LINE2(N,1) = NN
      CALL UNPACK(IH(NN),LINE2(N,2),LINE2(N,3),LINE2(N,4))
      IZ(NN)=-(2*IU(NRAL+MI-1,MI)-1)
      LINE2(N,5) = -IZ(NN)
      IF (NRAL .EQ. 1) GO TO 1700
 1640 DO 1680 I=1,NUMB
      IF (IZ(I)+1) 1680,1660,1680
 1660 N = N + 1
      LINE2(N,1) = I
      CALL UNPACK(IH(I),LINE2(N,2),LINE2(N,3),LINE2(N,4))
      IZ(I)=-(2*IU(NRAL+MI-1,MI)-IU(N+MI-1,MI))
      LINE2(N,5) = -IZ(I)
 1680 CONTINUE
 1700 WRITE (LT,1705)
 1705 FORMAT(///16X,88HMAGIC INTEGER REPRESENTATION  PHI(N) = M(N)*X  OF
     1 UNKNOWN GENERAL PHASES IN STARTING SET)
      IF (MI.NE.2) WRITE(LT,1710) MI
 1710 FORMAT(43X,35HUSING SEQUENCE F(N) = F(N-1) + F(N-,I1,1H))
      WRITE (LT,1715)
 1715 FORMAT(/4(4X,22HCODE   H   K   L  M(N),4X))
      WRITE (LT,1720) ((LINE2(I,M),M=1,5),I=1,N)
 1720 FORMAT(4(I8,3I4,I5,5X))
C     MAGIC INTEGER VARIABLE X INCREMENTED IN STEPS OF 360/NSET DEGREES
 1800 NSX=NSET(NS,NRAL,INAN,MI)
      IF(NRAL.GE.1) NRAL=NSET(0,NRAL,1,MI)
      WRITE(LT,1810) NSX
 1810 FORMAT(///41X,32HNUMBER OF SETS TO BE GENERATED =,I5)
C     PRESERVE IORDE IN FORM SUITABLE FOR WEAK RELATIONSHIPS
C     AND MKANG IN MKSTOR
      DO 1820 I=1,NUMB
      MKSTOR(I)=MKANG(I)
      J=IORDE(I)
      NKEY(J)=I
 1820 CONTINUE
C     STORE SIGMA2S ON ITAPE WHILE SETTING UP PSIZEROS
      REWIND ITAPE
      WRITE (ITAPE) (IPH(I),EEE(I),I=1,NSRTOT),(LIM(I+1),I=1,NUMB)
      RETURN
      END
C     ------------------------------------------------------------------
C     RATIONALISE WEAK REFLEXIONS AND SET UP ITAPE FOR TANGENT FORMULA
      SUBROUTINE OUTPT2(NSRTOT,NSRPSI)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ NKEY(500),MKSTOR(500),LIMM(500),ISPZRO(100),ISP2(200),
     1 ISP3(200)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      IF (KARL.EQ.1) GOTO 1400
      NSRP=NSRPSI
C     RESTORE MKANG AND IORDE TO THEIR ORIGINAL FORM
      DO 100 I=1,NUMB
      MKANG(I)=MKSTOR(I)
      J=NKEY(I)
      IORDE(J)=I
  100 CONTINUE
      IF (IZRO.EQ.0) GOTO 1350
C     REDUCE WEAK RELATIONSHIPS. NREF AND NREF2 ARE THE
C     NUMBER OF REFLEXIONS WITH .GE.,.LT. 10 CONTRIBUTORS
C     IN THE BOTTOM OF THE CONVERGENCE MAP RESPECTIVELY
      NREF=0
      NREF2=0
      DO 700 I=1,IZRO
      LIMM(I)=0
      NC1=0
      NC2=0
      LI=LIM(I)+1
      LS=LIM(I+1)
      IF (LI.GT.LS) GOTO 700
      DO 300 JJ=LI,LS
      IL=IPH(JJ)/65536-1024
      ILA=IABS(IL)
      IF (NKEY(ILA).GT.100) GOTO 200
      IR=(IPH(JJ)-65536*(IL+1024))/32-1024
      IRA=IABS(IR)
      IF (NKEY(IRA).GT.100) GOTO 200
      NC1=NC1+1
  200 NC2=NC2+1
  300 CONTINUE
      IF (NC1.LT.10.OR.NREF.GE.100) GOTO 400
C     RECORD WEAK REFS FOR EARLY F.O.M.
      NREF=NREF+1
      ISPZRO(NREF)=I+NUMB
      LIMM(I)=NC2
C     ALLOW THESE REFS TO BE REJECTED LAST
      NREF2=NREF2+1
      ISP2(NREF2)=I
      ISP3(NREF2)=-1000-NC1
      GOTO 700
  400 IF (NC2.LT.15.OR.NREF2.GT.200) GOTO 500
C     RECORD REFS + CONTRIBS FOR FINAL F.O.M. & REJECTION
      NREF2=NREF2+1
      ISP2(NREF2)=I
      ISP3(NREF2)=-NC2
      LIMM(I)=NC2
      GOTO 700
C     REMOVE ALL RELATIONSHIPS FOR REJECTED REFLEXION
  500 DO 600 JJ=LI,LS
      EEE(JJ)=0.0
      NSRP=NSRP-1
  600 CONTINUE
  700 CONTINUE
      IF (NSRP.LE.KUSER1-NSRTOT) GOTO 1000
C     REDUCE NO OF WEAK REFS UNTIL RELATIONSHIPS WILL FIT
      CALL SORT1(ISP3,ISP2,NREF2)
      DO 900 I=1,NREF2
      LL=ISP2(I)
      LI=LIM(LL)+1
      LS=LIM(LL+1)
      DO 800 JJ=LI,LS
      EEE(JJ)=0.0
      NSRP=NSRP-1
  800 CONTINUE
      LIMM(LL)=0
      IF (ISP3(I).GT.(-1000)) GOTO 850
C     REDUCE ISPZRO ARRAY IF AN EFOM REFLEXION IS ELIMINATED
      NREF=NREF-1
      KK=LL+NUMB
      DO 840 J=1,NREF
      IF (ISPZRO(J).NE.KK) GOTO 840
      ISPZRO(J)=ISPZRO(J+1)
      ISPZRO(J+1)=KK
  840 CONTINUE
  850 IF (NSRP.LE.KUSER1-NSRTOT) GOTO 1000
  900 CONTINUE
C     MOVE WEAK RELS TO CORRECT PART OF IPH,EEE, & REFS IN LIM
C     CLOSE UP WEAK RELATIONSHIPS
 1000 K = 0
      DO 1050 J=1,NSRPSI
      IF (EEE(J).EQ.0.0) GOTO 1050
      K=K+1
      EEE(K)=EEE(J)
      IPH(K)=IPH(J)
 1050 CONTINUE
C     MOVE RELATIONSHIPS TO CORRECT PLACES
      DO 1100 J=1,NSRP
      K = NSRTOT + J
      IPH(K)=IPH(J)
      EEE(K)=EEE(J)
 1100 CONTINUE
C     MOVE REFS TO TOP OF LIM & COUNT THE USED REFS
      K=NSRTOT
      KNT=0
      DO 1200 I=1,IZRO
      IF (LIMM(I).GT.0) KNT=KNT+1
      K=K+LIMM(I)
      ITEMP = I+NUMB+1
      LIM(ITEMP)=K
 1200 CONTINUE
      WRITE (LT,1300) KNT,NSRP
 1300 FORMAT (//21X,47HPSI ZERO FIGURE OF MERIT TO BE CALCULATED USING,
     1 I4,15H REFLEXIONS AND,I5,14H RELATIONSHIPS)
C     MARK IZRO FOR PSIZERO TEST IF NO RELATIONSHIPS TO BE USED
      IF (NSRP.EQ.0) IZRO = 0
C     READ SIGMA2S BACK & SET UP ITAPE FOR TANGENT FORMULA
 1350 REWIND ITAPE
      READ (ITAPE) (IPH(I),EEE(I),I=1,NSRTOT),(LIM(I+1),I=1,NUMB)
      GOTO 1600
C     SET UP ITAPE FOR KARLE RECYCLING
 1400 IZRO = 0
      NSRP = 0
      NDET = NUMB
      NREF = 0
      NSX = 1
      ALFRAN = 0.0
      DO 1500 I=1,NUMB
      IORDE(I)=I
      IF (I.GT.100) GOTO 1500
      ISPZRO(I)=0
 1500 CONTINUE
 1600 REWIND ITAPE
      WRITE (ITAPE) IZRO,NUMB,NSRTOT,NSRP,IPH,EEE,LIM
      WRITE (ITAPE) ICENT,ITLE,LATT,SIGMA,MAXH,PARA,NAT,NDET,IHVY
      WRITE (ITAPE) NSYM,TS,IS
      WRITE(ITAPE)NANT,NREF,ISPZRO,ALFRAN,NRAL,IH,E,MKANG,IZ,IORDE,NSX
      RETURN
      END
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     SECOND  SECTION   ***   PHASE  DETERMINATION  BY  TANGENT  FORMULA
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      SUBROUTINE LAST
C     DIMENSION STATEMENT PARTICULAR TO SUBROUTINE LAST
      DIMENSION KDSTOR(250),WTSTOR(250),NTSTOR(4)
      COMMON /LOCAL/ AMX(3),AMN(3),LINE(20),LINEX(20)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ EALF(500),TALF(500),RALF(500),ISPZRO(100),FOM(400)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     EQUIVALENCE STATEMENT PARTICULAR TO SUBROUTINE LAST
      EQUIVALENCE (IZ(1),KDSTOR(1)),(IZ(251),WTSTOR(1))
      IF(IPATH.NE.2) GO TO 1400
      REWIND ITAPE
      READ(ITAPE) IZRO,NUMB,NSRTOT,NSRPSI,IPH,EEE,LIM
      READ(ITAPE) ICENT,ITLE,LATT,SIGMA,MAXH,PARA,NAT,NDET,IHVY
      READ(ITAPE) NSYM,TS,IS
      READ(ITAPE) NANT,NREF,ISPZRO,ALFRAN,NRAL,IH,E,MKANG,IZ,IORDE,NSX
 1400 REWIND ITAPE
      IF(IPATH.NE.2) WRITE(LT,1438)
 1438 FORMAT(///1H ,119(1H+)/1H ,119(1H+)///)
      WRITE (LT,1440) ITLE
 1440 FORMAT(1H ,14HMULTAN  PART 2,27X,35HTANGENT FORMULA PHASE DETERMIN
     1ATION,17X,26HVERSION       JAN     1980///20X,20A4/)
      IF (ITAN.EQ.1) WRITE (LT,1445)
 1445 FORMAT (1H0,39X,38HSTATISTICALLY WEIGHTED TANGENT FORMULA/)
      REWIND LOUT
      MARK = 0
      IF(ISKIP.EQ.0) GO TO 1470
C     READ OVER RESULTS OF THE PREVIOUS (ABORTED) RUN
      READ (LOUT)
      READ (LOUT)
 1450 READ (LOUT) J
      MARK=MARK+1
      IF (J.NE.ISKIP) GOTO 1450
      GO TO 1490
 1470 NCENT = MAX0(ICENT,0)
      WRITE(LOUT) MARK
      WRITE (LOUT) ITLE, NCENT, LATT, NSYM,
     1 ((TS(I,J),(IS(K,I,J),K=1,2),I=1,3),J=1,NSYM), MAXH,PARA,NAT,NUMB,
     2 (IH(I),E(I),I=1,NUMB)
 1490 WRITE (LT,1500) ISKIP
 1500 FORMAT (42H0NUMBER OF PHASE SETS ALREADY DEVELOPED IS, I5)
      IF (IMK.GT.0) GOTO 1800
C     * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
C     STARTING SETS DETERMINED BY PROGRAM
      IF (IFOM.EQ.0) WRITE (LT,1520)
 1520 FORMAT (49H0THE EARLY FIGURES OF MERIT ARE NOT TO BE APPLIED)
      IF (IFOM.EQ.0) GOTO 1580
C     CALC. NO OF SETS ACCEPTED BEFORE EFOM ACCEPTANCE REDUCED
      NSX=MIN0(NSX/3+1,400)
      NSX = MAX0(NSX,10)
C     APPLY FIRST EFOM IF SUFFICIENT WEAK REFLEXIONS
      IF (NREF.LT.7.AND.CUT1.GT.0.0) WRITE (LT,1530)
 1530 FORMAT (1H0,
     1 60HINSUFFICIENT WEAK REFLEXIONS FOR FIRST EARLY FIGURE OF MERIT)
      IF (CUT1.EQ.0.0) WRITE (LT,1540)
 1540 FORMAT(49H0FIRST EARLY FIGURE OF MERIT IS NOT TO BE APPLIED)
      IF (NREF.LT.7.OR.CUT1.EQ.0.0) IFOM = -1
      IF (IFOM.EQ.1) WRITE (LT,1550) NREF,CUT1
 1550 FORMAT (52H0FIRST  EARLY FIGURE OF MERIT TO BE CALCULATED USING,
     1 I4,42H WEAK REFLEXIONS WITH AN INITIAL CUTOFF OF,F6.3)
      DO 1555 I=1,NSX
      FOM(I)=CUT1
 1555 CONTINUE
      WRITE (LT,1560) CUT2
 1560 FORMAT (52H0SECOND EARLY FIGURE OF MERIT TO BE CALCULATED USING,
     1 12H A CUTOFF OF,F6.3)
C     STORE IZ IN MKG AND NANT IN NTSTOR IN CASE NO SETS DEVELOPED
      DO 1570 I=1,NUMB
      MKG(I)=IZ(I)
      IF (I.LE.4) NTSTOR(I)=NANT(I)
 1570 CONTINUE
 1580 NSETS = MARK
      AMN(2) = 100.0
      AMN(3) = 100.0
      ISETX = 0
      ICAP = 0
      J = 0
C     OUTPUT CAPTION
      DO 1590 I=1,NUMB
      IF(IZ(I) .EQ. 0) GO TO 1590
      J = J+1
      LINE(J) = I
      IF(J .NE. 20) GO TO 1590
      IF(ICAP .EQ. 0) WRITE(LT,1595) LINE
      IF(ICAP .EQ. 1) WRITE(LT,1585) LINE
 1585 FORMAT(41X,20I4)
      ICAP = 1
      J = 0
 1590 CONTINUE
      IF(J .EQ. 0) GO TO 1598
      IF(ICAP .EQ. 1) WRITE(LT,1585) (LINE(K),K=1,J)
      IF(ICAP .EQ. 0) WRITE(LT,1595) (LINE(K),K=1,J)
 1595 FORMAT(//1H ,8X,16HFIGURES OF MERIT,3X,12HUNDETERMINED,2X,
     1 40HSTARTING SET PHASES GENERATED BY PROGRAM/
     2 2X,3HSET,3X,3HABS,3X,7HPSIZERO,2X,5HRESID,3X,6HPHASES,4X,20I4)
 1598 NUMSET = 0
C     READ SPECIFIED SET NUMBERS
      IF (IPUB.GT.0) READ(LC,1830)(MKG(I),I=1,IPUB)
C     SET INITIAL VALUE AND INCREMENT OF MAGIC INTEGER VARIABLE XP
      IF (NRAL .EQ. 0) GO TO 1600
      DX = 360.0/FLOAT(NRAL)
      XP = 0.5*DX-360.0
      IF(NANT(1).LT.0) XP=XP-90.0
 1599 IF(XP.GT.(-360.1)) GO TO 1600
      XP=XP+DX
      GO TO 1599
 1600 NSETS = NSETS + 1
      IF (IPUB.GT.0.AND.NSETS.GT.IPUB) GOTO 2040
      IF (IPUB.GT.0) ISETX = MKG(NSETS)
 1620 NUMSET = NUMSET + 1
C     PERMUTE STARTING PHASES
      CALL PHASE(MARK,ISKIP,ISETX,XP,DX)
      IF (MARK.EQ.0) GO TO 2040
      IF(NUMSET.LE.ISKIP.OR.NUMSET.LT.ISETX) GOTO 1620
C     TANGENT FORMULA PHASE DETERMINATION
      IREJ=0
      IF (ITAN.NE.1) CALL FASTAN(IFOM,IREJ)
      IF (ITAN.EQ.1) CALL SWTR(0,IREJ)
      IF (IREJ.EQ.1) NSETS=NSETS-1
      IF (IREJ.NE.(-1)) GOTO 1600
      NSETS=NSETS+1
      WRITE (LT,1700) NUMSET
 1700 FORMAT (///44X,4HSET ,I3,26H ACCEPTED AS TRUE SOLUTION)
      GOTO 2040
C     * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
C     STARTING PHASES INPUT FROM CARDS
 1800 NSETS = MARK
      READ (LC,1830) (KDSTOR(I),I=1,IMK)
      READ (LC,1830) (MKG(I),I=1,IMK)
 1830 FORMAT(20I4)
      READ (LC,1840) (WTSTOR(I),I=1,IMK)
 1840 FORMAT(20F4.0)
      J=1
 1850 K=MIN0(J+19,IMK)
      IF(J.EQ.1) WRITE(LT,1860) (KDSTOR(I),I=1,K)
 1860 FORMAT(//1H ,8X,16HFIGURES OF MERIT,3X,12HUNDETERMINED,2X,
     1 5X,20HPHASES INPUT BY USER/
     2 2X,3HSET,3X,3HABS,2X,7HPSIZERO,2X,5HRESID,4X,6HPHASES,4X,20I4)
      IF(J.GT.1) WRITE(LT,1585) (KDSTOR(I),I=J,K)
      WRITE(LT,1870) (MKG(I),I=J,K)
 1870 FORMAT(30X,7HMARKERS,4X,20I4)
      WRITE(LT,1880) (WTSTOR(I),I=J,K)
 1880 FORMAT(30X,7HWEIGHTS,4X,20F4.1)
      J=J+20
      IF(J.LE.IMK) GO TO 1850
      DO 1890 I=1,IMK
      IF(MKG(I).LT.0) WTSTOR(I)=-WTSTOR(I)
 1890 CONTINUE
 1900 READ (LC,1830) (MKG(I),I=1,IMK),NUMSET
      NSETS = NSETS + 1
C     STARTING PHASES INPUT BY USER SHOULD BE TERMINATED WITH NUMSET = 0
C     STARTING PHASES INPUT BY STRUCTURE FACTOR CALCULATION PROGRAM FOR
C     KARLE RECYCLING THROUGH SWTR ARE TERMINATED WITH NUMSET = -1
      IF(NUMSET .EQ. 0) GO TO 2040
      DO 1910 I=1,NUMB
      ALPHA(I) = 0.0
      WT(I) = 0.0
      IPHAZ(I) = 0
 1910 CONTINUE
      J=1
 1920 K=MIN0(J+19,IMK)
      WRITE(LT,1585) (MKG(I),I=J,K)
      J=J+20
      IF(J.LE.IMK) GO TO 1920
      DO 2000 I=1,IMK
      IND = KDSTOR(I)
      WT(IND) = ABS(WTSTOR(I))
      IF (NUMSET.NE.(-1).AND.WT(IND).LE.0.999) WT(IND) = - WT(IND)
      MKANG(IND) = INT(SIGN(1.0,WTSTOR(I)))*MKANG(IND)
      IF (MKG(I) .EQ. 0) MKG(I) = 360
      IPHAZ(IND) = MKG(I)
 2000 CONTINUE
      IREJ = 0
      IF(NUMSET .EQ. (-1)) GO TO 2030
      IF (ITAN.NE.1) CALL FASTAN(IFOM,IREJ)
      IF (ITAN.EQ.1) CALL SWTR(0,IREJ)
      GO TO 1900
C     KARLE RECYCLING
 2030 NUMSET = 0
      CALL SWTR(1,IREJ)
      NSETS = 2
C     * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
C     PHASE REFINEMENT COMPLETE
 2040 NUMSET = NSETS - 1
      IF (NUMSET.GT.0) GOTO 3000
C     SEE IF ALL SETS REJECTED THROUGH UNDETERMINED PHASES
      IF (IFOM.EQ.0) CALL ERROR
C     ALL SETS REJECTED BY EARLY FIGURES OF MERIT: RELAX CONDITIONS
      IF (IFOM.NE.1) GOTO 2300
C     REMOVE FIRST EARLY FIGURE OF MERIT
      WRITE (LT,2100)
 2100 FORMAT(1H0,25X,69HNO SETS DEVELOPED. REEXAMINE SETS WITHOUT FIRST 
     1EARLY FIGURE OF MERIT)
      IFOM=-1
      GOTO 2400
C     REMOVE SECOND EARLY FIGURE OF MERIT
 2300 WRITE (LT,2350)
 2350 FORMAT(1H0,24X,70HNO SETS DEVELOPED. REEXAMINE SETS WITHOUT SECOND
     1 EARLY FIGURE OF MERIT)
      IFOM = 0
C     RESTORE IZ AND NANT
 2400 DO 2500 I=1,NUMB
      IZ(I)=MKG(I)
      IF (I.LE.4) NANT(I)=NTSTOR(I)
 2500 CONTINUE
      GOTO 1580
C     CHECK FOR IDENTICAL PHASE SETS
 3000 CALL COMPAR
      RETURN
      END
C     ------------------------------------------------------------------
C     GENERATE STARTING SETS OF PHASES FROM CONVERGENCE RESULTS
      SUBROUTINE PHASE(MARK,ISKIP,ISETX,XP,DX)
      COMMON /LOCAL/ AMX(3), AMN(3), LINE(20), LINEX(20)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
      NAN = IABS(NANT(1))
 1000 MARK = 0
C     GENERATE NEXT SET OF PHASES FOR STARTING POINT
      IF (NRAL .EQ. 0) GO TO 1010
      XP = XP - DX
      IF (XP+720.1) 1004,1004,1006
 1004 XP = XP + 360.0
      GO TO 1010
 1006 MARK = 1
 1010 DO 1200 I=1,NUMB
      ALPHA(I) = 0.0
      IF (IZ(I)) 1100,1020,1040
C     UNKNOWN PHASE
 1020 WT(I) = 0.0
      GO TO 1180
C     ORIGIN FIXING OR KNOWN PHASE
 1040 IWT=IZ(I)-1000*(IZ(I)/1000)
      ALPHA(I)=0.0025*FLOAT(IWT*IWT)
      IF(IWT-100) 1060,1170,1170
 1060 WT(I)=-0.01*FLOAT(IWT)
      GO TO 1180
C     HAS STARTING SET PHASE BEEN INCREMENTED
 1100 IF (MARK) 1170,1120,1170
 1120 IF (IABS(MKANG(I)) .EQ. 1) GO TO 1170
      IZ(I) = IZ(I) - 180000
      IF(IZ(I)+720000) 1140,1140,1160
 1140 IZ(I)=IZ(I)+360000
      GO TO 1170
 1160 MARK = 1
 1170 WT(I) = 1.0
      MKANG(I) = -IABS(MKANG(I))
      IF (IABS(MKANG(I)) .NE. 1) GO TO 1180
      IF (IZ(I) .GT. 0) GO TO 1180
      IPHAZ(I) = AMOD((FLOAT(IZ(I))*XP), 360.0) + 0.5
      GO TO 1190
 1180 IPHAZ(I) = MOD(IABS(IZ(I)/1000), 360)
 1190 IF (IPHAZ(I) .EQ. 0) IPHAZ(I) = 360
 1200 CONTINUE
      IF (ICENT.NE.0) GOTO 1220
 1205 IF(MARK.EQ.0) GO TO 1220
      IF (NANT(1)) 1210,1220,1215
 1210 IF (COS(DTOR * FLOAT(IPHAZ(NAN)))) 1000,1000,1220
 1215 IF (SIN(DTOR * FLOAT(IPHAZ(NAN)))) 1000,1000,1220
 1220 IF (MARK) 1230,1230,1270
 1230 J = 2 + ICENT
      DO 1240 I=J,4
      IF (NANT(I)) 1240,1360,1250
 1240 CONTINUE
      GO TO 1360
 1250 DO 1260 K=J,I
      NANT(K) = -NANT(K)
      NN = IABS(NANT(K))
      IZ(NN) = -(IZ(NN) - 200) + 360200
      IPHAZ(NN) = MOD(IABS(IZ(NN)/1000), 360)
 1260 CONTINUE
      MARK = 1
 1270 IF (NUMSET .LE. ISKIP .OR. NUMSET .LT. ISETX) RETURN
C     OUTPUT STARTING POINT
      J = 0
      DO 1340 I=1,NUMB
      IF (IZ(I) .EQ. 0) GO TO 1340
      J = J + 1
      LINEX(J) = IPHAZ(I)
      IF (J .LT. 20) GO TO 1340
      WRITE(LT,1320) LINEX
 1320 FORMAT(41X,20I4)
      J = 0
 1340 CONTINUE
      IF(J .GT. 0) WRITE(LT,1320) (LINEX(K),K=1,J)
 1360 RETURN
      END
C     ------------------------------------------------------------------
      SUBROUTINE FASTAN(IFOM,IREJ)
      LOGICAL TEST
C     DIMENSION STATEMENT PARTICULAR TO SUBROUTINE FASTAN
      DIMENSION CTABLE(360)
      COMMON /LOCAL/ AMX(3),AMN(3),LINE(20),LINEX(20)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ EALF(500),TALF(500),RALF(500),ISPZRO(100),FOM(400)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),SUMNUM(500),SUMDEN(500),
     1 LIM(601),MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     EQUIVALENCE STATEMENT PARTICULAR TO SUBROUTINE FASTAN
      EQUIVALENCE (STABLE(91),CTABLE(1))
C     I1/I0 (BESSEL FUNCTION)
      VEC(U)=U*(U+0.4807)/((U+0.8636)*U+1.3943)
      MARK=0
      NNN = MIN0(100, NDET)
      CUT = 25.0
      SALF = 0.0
C     CLEAR ARRAYS AT START OF DETERMINATION
      DO 990 I=1,NUMB
      EALF(I)=0.0
      TALF(I)=0.0
      PALF(I)=0.0
      SUMNUM(I)=0.0
      SUMDEN(I)=0.0
  990 CONTINUE
C     START OF NEXT CYCLE
 1000 SUMALF=SALF
      SALF=0.0
C     TEST IS .TRUE. IF EXPECTED ALPHA IS TO BE CALCULATED
C     I.E. 2 CYCLES BEFORE FIRST EFOM AND FINAL 2 CYCLES
      TEST=(CUT.LT.3.0.AND.CUT.GT.1.5.AND.IFOM.EQ.1).OR.MARK.GT.0
      DO 1500 I=1,NNN
      LL=IORDE(I)
      LI=LIM(LL)+1
      LS=LIM(LL+1)
      IF(LI.GT.LS) GO TO 1200
      DO 1100 JJ=LI,LS
      IL=IPH(JJ)/65536-1024
      ILA=IABS(IL)
      IF(ABS(WT(ILA)).LT.0.1) GO TO 1100
      IR=(IPH(JJ)-65536*(IL+1024))/32-1024
      IRA=IABS(IR)
      IF(ABS(WT(IRA)).LT.0.1) GO TO 1100
      EE=EEE(JJ)*ABS(WT(ILA)*WT(IRA))
      IF (TEST) VECX=EE*VEC(EEE(JJ))
      IF (TEST) EALF(LL)=EALF(LL)+VECX
      IF (TEST) TALF(LL)=TALF(LL)+EE*EE-VECX*VECX
      IP=15*(IPH(JJ)-32*(IPH(JJ)/32))
      IF(ICENT.EQ.1) GO TO 1050
      IFL=ISIGN(IPHAZ(ILA),IL)
      IFR=ISIGN(IPHAZ(IRA),IR)
      IARG=MOD(IFL+IFR+IP+1440,360)+1
      SUMNUM(LL)=SUMNUM(LL)+EE*STABLE(IARG)
      SUMDEN(LL)=SUMDEN(LL)+EE*CTABLE(IARG)
      GO TO 1100
 1050 IF(MOD(IPHAZ(ILA)+IPHAZ(IRA)+IP,360).NE.0) EE=-EE
      SUMNUM(LL)=SUMNUM(LL)+EE
 1100 CONTINUE
 1200 ID=15*IABS(MKANG(LL))-14
      IF(ID.EQ.1.OR.ICENT.EQ.1) GO TO 1300
      T2=SUMNUM(LL)*STABLE(ID)+SUMDEN(LL)*CTABLE(ID)
      SUMNUM(LL)=T2*STABLE(ID)
      SUMDEN(LL)=T2*CTABLE(ID)
 1300 ALFA=SUMNUM(LL)**2+SUMDEN(LL)**2
      IF (MKANG(LL).LE.0) GOTO 1320
      SALF=SALF+ALFA
      IF(ALFA.LT.CUT) GO TO 1490
      WATE=1.0
      IF(ALFA.LT.25.0) WATE=0.2*SQRT(ALFA)
      IF(WT(LL).LT.0.0.AND.WATE.LT.(-WT(LL))) GO TO 1320
      WT(LL)=AMAX1(WATE,0.15)
      IF(ICENT.NE.1) PHAZ=RTOD*ATAN2(SUMNUM(LL),SUMDEN(LL))
      IF(ICENT.EQ.1) PHAZ=90.0-SIGN(90.0,SUMNUM(LL))
      IF(PHAZ.LE.0.0) PHAZ=PHAZ+360.0
      IPHAZ(LL)=PHAZ+0.5
 1320 ALPHA(LL)=ALFA
      IF (TEST) PALF(LL)=EALF(LL)*EALF(LL)+TALF(LL)
 1340 IF(LI.GT.LS) GO TO 1490
      DO 1450 JJ=LI,LS
      IL=IPH(JJ)/65536-1024
      ILA=IABS(IL)
      IR=(IPH(JJ)-65536*(IL+1024))/32-1024
      IRA=IABS(IR)
      IP=15*(IPH(JJ)-32*(IPH(JJ)/32))
      IF(ABS(WT(IRA)).LT.0.1) GO TO 1350
      EE=EEE(JJ)*ABS(WT(IRA)*WT(LL))
      IF (TEST) VECX=EE*VEC(EEE(JJ))
      IF (TEST) EALF(ILA)=EALF(ILA)+VECX
      IF (TEST) TALF(ILA)=TALF(ILA)+EE*EE-VECX*VECX
      IF(ICENT.EQ.1) GO TO 1345
      IFR=ISIGN(IPHAZ(IRA),IR)
      IARG=MOD(1440-(IFR-IPHAZ(LL)+IP)*ISIGN(1,IL),360)+1
      SUMNUM(ILA)=SUMNUM(ILA)+EE*STABLE(IARG)
      SUMDEN(ILA)=SUMDEN(ILA)+EE*CTABLE(IARG)
      GO TO 1350
 1345 IF(MOD(IPHAZ(IRA)+IPHAZ(LL)+IP,360).NE.0) EE=-EE
      SUMNUM(ILA)=SUMNUM(ILA)+EE
 1350 IF(ABS(WT(ILA)).LT.0.1) GO TO 1450
      EE=EEE(JJ)*ABS(WT(ILA)*WT(LL))
      IF (TEST) VECX=EE*VEC(EEE(JJ))
      IF (TEST) EALF(IRA)=EALF(IRA)+VECX
      IF (TEST) TALF(IRA)=TALF(IRA)+EE*EE-VECX*VECX
      IF(ICENT.EQ.1) GO TO 1440
      IFL=ISIGN(IPHAZ(ILA),IL)
      IARG=MOD(1440-(IFL-IPHAZ(LL)+IP)*ISIGN(1,IR),360)+1
      SUMNUM(IRA)=SUMNUM(IRA)+EE*STABLE(IARG)
      SUMDEN(IRA)=SUMDEN(IRA)+EE*CTABLE(IARG)
      GO TO 1450
 1440 IF(MOD(IPHAZ(ILA)+IPHAZ(LL)+IP,360).NE.0) EE=-EE
      SUMNUM(IRA)=SUMNUM(IRA)+EE
 1450 CONTINUE
 1490 SUMNUM(LL)=0.0
      SUMDEN(LL)=0.0
      EALF(LL)=0.0
      TALF(LL)=0.0
 1500 CONTINUE
C     FASTAN CONTROL STATEMENTS
      CUT=AMAX1(0.65*CUT,0.05)
      IF(CUT.GT.1.5) GO TO 1000
      IF (NNN.EQ.NDET) GOTO 1530
      IF (IFOM.NE.1) GOTO 1520
C     CALCULATE FIRST EARLY FIGURE OF MERIT
      CALL EFOM(NNN,IREJ,VALUE)
      IF (IREJ.EQ.1) GOTO 5000
 1520 NNN=NDET
      GO TO 1000
 1530 IF (IFOM.EQ.0.OR.CUT.GT.0.34.OR.CUT.LT.0.33) GOTO 1550
C     CALCULATE SECOND EARLY FIGURE OF MERIT
      CALL EFOM(NDET,IREJ,VALUE)
      IF (IREJ.EQ.1) GOTO 5200
 1550 IF((SALF-SUMALF)/SALF.GT.0.02.AND.MARK.EQ.0) GO TO 1000
      IF (MARK.NE.0) GOTO 1700
      DO 1600 LL=1,NUMB
      MKANG(LL)=IABS(MKANG(LL))
 1600 CONTINUE
 1700 MARK=MARK+1
C     2 CYCLES OF REFINING ALL PHASES AT END
      IF(MARK.LE.2) GO TO 1000
C     CALCULATE FINAL F.O.M.S AND OUTPUT RESULTS
 4700 RESID = 0.0
      SUMEO = 0.0
      SUMALF = 0.0
      NUNDET = NDET-NUMB
      ALFEST=0.0
      DO 4920 LL=1,NUMB
      IF (WT(LL) .EQ. 0.0) NUNDET = NUNDET + 1
      IF (WT(LL) .EQ. 0.0) GOTO 4920
      ALPHA(LL) = SQRT(ALPHA(LL))
      PALF(LL) = SQRT(PALF(LL))
      ALFEST = ALFEST + PALF(LL)
      SUMALF = SUMALF + ALPHA(LL)
      IF (IPHAZ(LL) .LE. 0) IPHAZ(LL) = IPHAZ(LL) + 360
      SUMEO = SUMEO + PALF(LL)
 4920 CONTINUE
C     CALCULATE ABSOLUTE FIGURE OF MERIT
      ABSFOM = (SUMALF - ALFRAN) / (ALFEST - ALFRAN)
C     CALCULATE FINAL PSI ZERO FIGURE OF MERIT
      CALL EFOM(NDET,I,PSIZRO)
      PSIZRO = PSIZRO / AMIN1(1.3,ABSFOM)
C     CALCULATE A SCALED RESIDUAL
      SC = 1.0
      IF (IHVY.EQ.1) SC = AMIN1(1.3,SQRT(AMAX1(ABSFOM,1.0)))
      DO 4930 LL=1,NUMB
      IF (WT(LL).EQ.0.0) GOTO 4930
      RESID=RESID+ABS(SC*PALF(LL)-ALPHA(LL))
 4930 CONTINUE
      IF (SUMEO.LE.0.1) RESID = 100.0
      IF (SUMEO.GT.0.1) RESID = 100.0 * RESID / SUMEO
      WRITE(LT,4950) NUMSET,ABSFOM,PSIZRO,RESID,NUNDET
 4950 FORMAT(1H+,I4,F8.4,F7.3,F8.2,I6)
C     REJECT SET IF TOO FEW PHASES DETERMINED
      IF (NUNDET.GE.NDET/5) IREJ=1
      IF (NUNDET.GE.NDET/5) RETURN
      WRITE (LOUT) NUMSET,ABSFOM,PSIZRO,RESID,(IPHAZ(I),WT(I),I=1,NUMB)
C     TEST FOR ACCEPTABLE SOLUTION
      IF (PSIZRO.LT.AMN(2)) AMN(2) = PSIZRO + 0.01
      IF (RESID.LT.AMN(3)) AMN(3) = RESID + 0.1
      IF (PSIZRO.GT.1.25.OR.PSIZRO.GT.AMN(2)) RETURN
      IF (RESID.GT.20.0.OR.RESID.GT.AMN(3)) RETURN
      IREJ = -1
      RETURN
C     OUTPUT RELEVANT REJECTION MESSAGE
 5000 WRITE (LT,5100) NUMSET,VALUE
 5100 FORMAT (1H+,I4,10H  REJECTED,F9.3)
      RETURN
 5200 WRITE (LT,5300) NUMSET,VALUE
 5300 FORMAT (1H+,I4,10H  REJECTED,9X,F9.3)
      RETURN
      END
C     ------------------------------------------------------------------
C     CALCULATE BOTH EARLY FIGURES OF MERIT AND FINAL PSI ZERO
      SUBROUTINE EFOM(NNN,IREJ,VALUE)
C     DIMENSION STATEMENT PARTICULAR TO SUBROUTINE EFOM
      DIMENSION CTABLE(360)
      COMMON /LOCAL/ AMX(3),AMN(3),LINE(20),LINEX(20)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ EALF(500),TALF(500),RALF(500),ISPZRO(100),FOM(400)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     EQUIVALENCE STATEMENT PARTICULAR TO SUBROUTINE EFOM
      EQUIVALENCE (CTABLE(1),STABLE(91))
      IREJ=0
      PSIZRO=0.0
      RANPSI=0.0
      VALUE=2.0
      N=IZRO
      IF (NNN.NE.NDET) N=NREF
      IF (N.EQ.0) RETURN
C     CALCULATE A PSI ZERO FIGURE OF MERIT
      DO 1500 I=1,N
      LL=I+NUMB
      IF (NNN.NE.NDET) LL=ISPZRO(I)
      LI=LIM(LL)+1
      LS=LIM(LL+1)
      IF(LI.GT.LS) GO TO 1500
      TOP=0.0
      BOT=0.0
      RAN=0.0
      DO 1100 JJ=LI,LS
      IL=IPH(JJ)/65536-1024
      ILA=IABS(IL)
      IF (ABS(WT(ILA)).LT.0.1) GOTO 1100
      IR=(IPH(JJ)-65536*(IL+1024))/32-1024
      IRA=IABS(IR)
      IF (ABS(WT(IRA)).LT.0.1) GOTO 1100
      EE=EEE(JJ)*ABS(WT(ILA)*WT(IRA))
      RAN=RAN+EE*EE
      IP=15*(IPH(JJ)-32*(IPH(JJ)/32))
      IF (ICENT.EQ.1) GOTO 1050
      IFL=ISIGN(IPHAZ(ILA),IL)
      IFR=ISIGN(IPHAZ(IRA),IR)
      IARG=MOD(IFL+IFR+IP+1440,360)+1
      TOP=TOP+EE*STABLE(IARG)
      BOT=BOT+EE*CTABLE(IARG)
      GOTO 1100
 1050 IF(MOD(IPHAZ(ILA)+IPHAZ(IRA)+IP,360).NE.0) EE=-EE
      TOP=TOP+EE
 1100 CONTINUE
      PSIZRO=PSIZRO+SQRT(TOP*TOP+BOT*BOT)
      RANPSI=RANPSI+SQRT(RAN)
 1500 CONTINUE
      IF(RANPSI.GT.0.1) VALUE=PSIZRO/RANPSI
      IF (NNN.EQ.NDET) GOTO 2200
C     CALCULATE A WEIGHTED RESIDUAL FOR FIRST EFOM
      TOP=0.0
      BOT=0.0
      DO 1700 I=1,NNN
      LL=IORDE(I)
      G=SQRT(PALF(LL))
      H=SQRT(ALPHA(LL))-G
      TOP=TOP+G*H*H
      BOT=BOT+G*ALPHA(LL)
 1700 CONTINUE
      VALUE=VALUE+(TOP/BOT)*10.0
      IF (VALUE.LT.CUT1) GOTO 1900
      IREJ=1
      RETURN
 1900 DO 2000 I=2,NSX
      IF (FOM(I).LT.VALUE) GOTO 2100
      FOM(I-1)=FOM(I)
 2000 CONTINUE
      I=NSX+1
 2100 FOM(I-1)=VALUE
      CUT1=FOM(1)
      RETURN
 2200 IF (VALUE.GE.CUT2) IREJ=1
      RETURN
      END
C     ------------------------------------------------------------------
C     STATISTICALLY WEIGHTED TANGENT FORMULA
C     FOR PHASE REFINEMENT AND KARLE RECYCLING
      SUBROUTINE SWTR(KARL,IREJ)
C     DIMENSION STATEMENT PARTICULAR TO SUBROUTINE SWTR
      DIMENSION CTABLE(360)
      COMMON /LOCAL/ AMX(3),AMN(3),LINE(20),LINEX(20)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ EEE(8000),ALPHA(500),WT(500)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ EALF(500),TALF(500),RALF(500),KNOWN(500)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),SUMNUM(500),SUMDEN(500),
     1 LIM(601),MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     EQUIVALENCE STATEMENT PARTICULAR TO SUBROUTINE SWTR
      EQUIVALENCE (STABLE(91),CTABLE(1))
C     I1/I0 (BESSEL FUNCTION)
      VEC(U)=U*(U+0.4807)/((U+0.8636)*U+1.3943)
      SCALE=SIGMA/0.09
      MARK = 0
      NNN = MIN0(100, NDET)
      CUT=12.5
      IF(KARL.EQ.1) CUT=2.0
      NCYC=-2*KARL
      SALF = 0.0
      NIN=0
      IF (KARL.EQ.1) NNN=NDET
C     INITIALISE ARRAYS AT START OF EACH CYCLE
 1000 DO 1010 I=1,NUMB
      SUMNUM(I)=0.0
      SUMDEN(I)=0.0
      EALF(I)=0.0
      TALF(I)=0.0
      RALF(I)=0.0
      IF(NCYC.LT.0) MKANG(I)=IABS(MKANG(I))
      IF(ABS(WT(I)).LT.0.1) IPHAZ(I)=-1
 1010 CONTINUE
      SUMALF=SALF
      SALF=0.0
      NEXT=NIN
      NIN=0
C     CALCULATE TOP & BOTTOM OF TANGENT FORMULA FOR EACH REFLEXION
      DO 1250 I=1,NNN
      LL=IORDE(I)
      LI=LIM(LL)+1
      LS=LIM(LL+1)
      IF(LI.GT.LS) GO TO 1250
      DO 1100 JJ=LI,LS
      KN=7
      IF(IPHAZ(LL).GE.0) KN=KN-1
      IL=IPH(JJ)/65536-1024
      ILA=IABS(IL)
      IF(IPHAZ(ILA).GE.0) KN=KN-2
      IF(KN.EQ.7) GO TO 1100
      IR=(IPH(JJ)-65536*(IL+1024))/32-1024
      IRA=IABS(IR)
      IF(IPHAZ(IRA).GE.0) KN=KN-3
      IF(KN.GT.4) GO TO 1100
      IP=15*(IPH(JJ)-32*(IPH(JJ)/32))
      VECE=VEC(EEE(JJ))
      GO TO (1040,1040,1060,1050),KN
 1040 EE=EEE(JJ)*ABS(WT(ILA)*WT(IRA))
      VECX=EE*VECE
      EALF(LL)=EALF(LL)+VECX
      TALF(LL)=TALF(LL)+EE*EE-VECX*VECX
      RALF(LL)=RALF(LL)+EE*EE
      IFL=ISIGN(IPHAZ(ILA),IL)
      IFR=ISIGN(IPHAZ(IRA),IR)
      IARG=MOD(IFL+IFR+IP+1440,360)+1
      SUMNUM(LL)=SUMNUM(LL)+EE*STABLE(IARG)
      SUMDEN(LL)=SUMDEN(LL)+EE*CTABLE(IARG)
      IF(KN.NE.1) GO TO 1100
 1050 EE=EEE(JJ)*ABS(WT(ILA)*WT(LL))
      VECX=EE*VECE
      EALF(IRA)=EALF(IRA)+VECX
      TALF(IRA)=TALF(IRA)+EE*EE-VECX*VECX
      RALF(IRA)=RALF(IRA)+EE*EE
      IF(KN.NE.1) IFL=ISIGN(IPHAZ(ILA),IL)
      IARG=MOD(1440-(IFL-IPHAZ(LL)+IP)*ISIGN(1,IR),360)+1
      SUMNUM(IRA)=SUMNUM(IRA)+EE*STABLE(IARG)
      SUMDEN(IRA)=SUMDEN(IRA)+EE*CTABLE(IARG)
      IF(KN.NE.1) GO TO 1100
 1060 EE=EEE(JJ)*ABS(WT(IRA)*WT(LL))
      VECX=EE*VECE
      EALF(ILA)=EALF(ILA)+VECX
      TALF(ILA)=TALF(ILA)+EE*EE-VECX*VECX
      RALF(ILA)=RALF(ILA)+EE*EE
      IF(KN.NE.1) IFR=ISIGN(IPHAZ(IRA),IR)
      IARG=MOD(1440-(IFR-IPHAZ(LL)+IP)*ISIGN(1,IL),360)+1
      SUMNUM(ILA)=SUMNUM(ILA)+EE*STABLE(IARG)
      SUMDEN(ILA)=SUMDEN(ILA)+EE*CTABLE(IARG)
 1100 CONTINUE
 1250 CONTINUE
C     UPDATE PHASES AT END OF CYCLE
      DO 1500 I=1,NNN
      LL=IORDE(I)
      IF(NCYC.EQ.(-2).AND.IPHAZ(LL).LT.0) GO TO 1500
      IF (MKANG(LL).LE.0) GOTO 1490
      ID=15*MKANG(LL)-14
      IF(ID.EQ.1) GO TO 1300
      T2=SUMNUM(LL)*STABLE(ID)+SUMDEN(LL)*CTABLE(ID)
      SUMNUM(LL)=T2*STABLE(ID)
      SUMDEN(LL)=T2*CTABLE(ID)
 1300 ALFA=SUMNUM(LL)**2+SUMDEN(LL)**2
      IF (ALFA.LT.CUT) GO TO 1500
      WATE=1.0
      IF(ALFA.LT.25.0) WATE=0.2*SQRT(ALFA)
      PALF(LL)=TALF(LL)+EALF(LL)*EALF(LL)
      WX = ALFA / PALF(LL)
      IF (WX.GT.1.03) WX=1.03-(WX-1.03)*SCALE
      WX=WX/((1.2178*WX-1.0698)*WX+0.858)
      IF(WX.LT.WATE) WATE=WX
      IF(WT(LL).LT.0.0.AND.ALFA.LT.ALPHA(LL)) GO TO 1500
      SALF = SALF + WATE
      WT(LL)=AMAX1(WATE,0.15)
      PHAZ=RTOD*ATAN2(SUMNUM(LL),SUMDEN(LL))
      IF(PHAZ.LT.0.5) PHAZ=PHAZ+360.0
      IPHAZ(LL)=PHAZ+0.5
      ALPHA(LL)=ALFA
      IF(KARL.EQ.1.AND.WT(LL).GT.0.9) MKANG(LL)=-IABS(MKANG(LL))
 1490 NIN=NIN+1
 1500 CONTINUE
      IF(KARL.EQ.0) GO TO 1540
C     KARLE RECYCLING CONTROL STATEMENTS
      NCYC=NCYC+1
      IF(NCYC.LE.0) GO TO 1000
      IF(MARK.GT.0) GO TO 1520
      IF(NIN.GT.NEXT.AND.NCYC.LT.4.AND.NIN.LT.NUMB-5) GO TO 1000
      DO 1515 LL=1,NUMB
      MKANG(LL)=IABS(MKANG(LL))
 1515 CONTINUE
 1520 MARK=MARK+1
      IF(MARK.LE.2) GO TO 1000
      WRITE(LT,1530) NIN
 1530 FORMAT(//36X,40HNUMBER OF PHASES GENERATED FOR FOURIER =,I8)
      RESID=0.0
      ABSFOM=1.0
      PSIZRO=1.0
      GO TO 1890
C     SWTR CONTROL STATEMENTS
 1540 CUT=AMAX1(0.5*CUT,0.05)
      IF(CUT.GT.1.5) GOTO 1000
      IF(NNN.EQ.NDET) GO TO 1550
      NNN=MIN0(NNN+NNN/2,NDET)
      GOTO 1000
 1550 IF((SALF-SUMALF)/SALF.GT.0.02.AND.MARK.EQ.0) GO TO 1000
      IF (MARK.EQ.1) GOTO 1620
      DO 1600 LL=1,NUMB
      MKANG(LL)=IABS(MKANG(LL))
 1600 CONTINUE
      MARK = 1
      GOTO 1000
C     CALCULATE AND OUTPUT FINAL FIGURES OF MERIT
 1620 ALFEST=0.0
      ALFRAN=0.0
      SALF=0.0
      SUMEO=0.0
      RESID=0.0
      NUNDET=NDET-NUMB
      DO 1700 I=1,NUMB
      IF (ABS(WT(I)).LT.0.05) NUNDET=NUNDET+1
      IF (ABS(WT(I)).LT.0.05) GOTO 1700
      ALPHA(I)=SQRT(ALPHA(I))
      PALF(I)=SQRT(PALF(I))
      ALFEST=ALFEST+PALF(I)
      ALFRAN=ALFRAN+SQRT(RALF(I))
      SALF=SALF+ALPHA(I)
      SUMEO=SUMEO+PALF(I)
 1700 CONTINUE
C     CALCULATE ABSOLUTE FIGURE OF MERIT
      ABSFOM = (SALF-ALFRAN)/(ALFEST-ALFRAN)
C     CALCULATE FINAL PSIZERO FIGURE OF MERIT
      CALL EFOM(NDET,I,PSIZRO)
      PSIZRO = PSIZRO / AMIN1(1.3,ABSFOM)
C     CALCULATE A SCALED RESIDUAL
      SC = 1.0
      IF (IHVY.EQ.1) SC = AMIN1(1.3,SQRT(AMAX1(ABSFOM,1.0)))
      DO 1720 LL=1,NUMB
      IF (WT(LL).EQ.0.0) GOTO 1720
      RESID=RESID+ABS(SC*PALF(LL)-ALPHA(LL))
 1720 CONTINUE
      IF (SUMEO.LE.0.1) RESID = 100.0
      IF (SUMEO.GT.0.1) RESID = 100.0 * RESID / SUMEO
      WRITE(LT,1880) NUMSET,ABSFOM,PSIZRO,RESID,NUNDET
 1880 FORMAT(1H+,I4,F8.4,F7.3,F8.2,I6)
C     REJECT SET IF TOO FEW PHASES DETERMINED
      IF (NUNDET.GE.NDET/5) GOTO 2000
C     TEST FOR ACCEPTABLE SOLUTION
      IF (PSIZRO.LT.AMN(2)) AMN(2) = PSIZRO + 0.01
      IF (RESID.LT.AMN(3)) AMN(3) = RESID + 0.1
      IF (PSIZRO.GT.1.25.OR.PSIZRO.GT.AMN(2)) GOTO 1890
      IF (RESID.GT.20.0.OR.RESID.GT.AMN(3)) GOTO 1890
      IREJ = -1
 1890 DO 1900 I=1,NUMB
      IF(WT(I).GT.0.05) WT(I)=1.0
 1900 CONTINUE
      WRITE (LOUT) NUMSET,ABSFOM,PSIZRO,RESID,(IPHAZ(I),WT(I),I=1,NUMB)
      RETURN
 2000 IREJ=1
      RETURN
      END
C     ------------------------------------------------------------------
C     CHECK FOR EQUIVALENT PHASE SETS - TO AVOID DUPLICATION IN FFT
      SUBROUTINE COMPAR
C     DIMENSION STATEMENT PARTICULAR TO SUBROUTINE COMPAR
      DIMENSION CTABLE(360)
      COMMON /LOCAL/ AMX(3), AMN(3), LINE(20), LINEX(20)
      COMMON /USER/ IPATH,MI,LIST,NSREQ,PROB,NSPEC,NGEN,NANY,KARL,KMIN,
     1 NINPUT,IMK,ITAN,IPUB,IFOM,ISKIP,WTFOM(3),CUT1,CUT2,ICONV(80)
      COMMON /CONST/ LC, LT, LOUT, ITAPE, LIN, KUSER1, KUSER2,
     1 KUSER3,KUSER4,KUSER5,KUSER6,DTOR,RTOD,STABLE(450)
      COMMON /SYMTRY/ IS(2,3,24), TS(3,24), NSYM, LATT, ICENT, NORI
      COMMON /KFRAG/ NINF(10),NGP,SUM1,SUM2,IFAZQ,SIGMAQ,SUMX,SUMZ,IHVY
      COMMON /PARAM/ E3MIN,SIGMA,MAXH(3),NUMB,IZRO,NUMSET,NANT(4),
     1 NRAL,MODUL(3),ITLE(20),NREF,ALFRAN,NREC,PARA(6),NAT,NDET,NSX
      COMMON /B1/ FM(2250,4)
      COMMON /B2/ IPH(8000),IPHAZ(500),IORDE(500)
      COMMON /B3/ KNOWN(2000)
      COMMON /B4/ MKG(500),PALF(500),IZ(500),IH(500),E(500),LIM(601),
     1 MKANG(500)
C     * * * * * * * * * * * * * * * * ** * * * * * * * * * * * * * * * *
C     EQUIVALENCE STATEMENT PARTICULAR TO SUBROUTINE COMPAR
      EQUIVALENCE (STABLE(91),CTABLE(1))
      FM(1,4)=3.0
      IF (NUMSET .EQ. 1) GO TO 1190
C     COMPUTE COMBINED FIGURES OF MERIT AND OUTPUT SUMMARY OF RESULTS
      REWIND LOUT
      READ (LOUT)
      READ (LOUT)
C     INITIALISE AMX,AMN AND NORMALISE CFOM TO 3.0
      IF (IZRO.EQ.0) WTFOM(2) = 0.0
      FACTOR = 3.0 / (WTFOM(1)+WTFOM(2)+WTFOM(3))
      DO 80 I=1,3
      AMX(I)=-1.0E20
      AMN(I)=1.0E20
      WTFOM(I)=WTFOM(I)*FACTOR
   80 CONTINUE
      DO 120 I=1,NUMSET
      READ (LOUT)  J,(FM(I,J),J=1,3)
      DO 100 J=1,3
      AMX(J) = AMAX1(AMX(J), FM(I,J))
      AMN(J) = AMIN1(AMN(J), FM(I,J))
  100 CONTINUE
  120 CONTINUE
      WRITE (LT,140) ITLE,AMX,AMN,WTFOM
  140 FORMAT(////1H ,119(1H+)///20X,20A4/// 33X,53HSUMMARY OF FIGURES OF
     1 MERIT OUTPUT BY TANGENT FORMULA///52X,7HABS FOM,11X,
     2  8HPSI ZERO,11X,5HRESID//27X,13HMAXIMUM VALUE,F19.4,F18.3,F17.2//
     3  27X,13HMINIMUM VALUE,F19.4,F18.3,F17.2//26X,16HRELATIVE WEIGHTS,
     4  F16.2,F19.2,F17.2/25X,18H(FOR COMBINED FOM)///24X,6HNUMSET,7X,
     5  7HABS FOM,11X,8HPSI ZERO,11X,5HRESID,7X,12HCOMBINED FOM)
      IF (AMX(1) .EQ. AMN(1)) AMN(1) = 0.0
      IF (AMX(2) .EQ. AMN(2)) AMX(2) = 100.0
      IF (AMX(3) .EQ. AMN(3)) AMX(3) = 100.0
      DO 180 I=1,NUMSET
      FM(I,4) = WTFOM(1) * (FM(I,1) - AMN(1)) / (AMX(1) - AMN(1)) +
     1          WTFOM(2) * (AMX(2) - FM(I,2)) / (AMX(2) - AMN(2)) +
     2          WTFOM(3) * (AMX(3) - FM(I,3)) / (AMX(3) - AMN(3))
  180 CONTINUE
      IREC = 100
      ISET = 0
      JSET = 0
C     ALLOW AVERAGE DIFFERENCE OF ARCSIN(0.034)
      TEST = 0.034*FLOAT(LIM(NUMB+1))
      REWIND LOUT
      READ (LOUT)
      DO 1000 I=1,NUMSET
      CALL RTAPE(IPHAZ,IREC,ISET,I,NUMB,LOUT,NAMI)
      WRITE(LT,400) NAMI,(FM(I,J),J=1,3)
  400 FORMAT(20X,I8,F16.4,F18.3,F17.2)
      IF(FM(I,4).LT.0.0 .OR. I.EQ.NUMSET) GO TO 950
      NS = I+1
      DO 900 J=NS,NUMSET
      IF(FM(J,4) .LT. 0.0) GO TO 900
C     COMPARE SETS WITH SIMILAR FOMS
      IF(ABS(FM(J,1)-FM(I,1)) .GT. 0.05) GO TO 900
      IF(ABS(FM(J,2)-FM(I,2)) .GT. 0.05) GO TO 900
      IF(ABS(FM(J,3)-FM(I,3)) .GT. 0.4) GO TO 900
      IF(J .NE. JSET) CALL RTAPE(IORDE,IREC,JSET,J,NUMB,LOUT,NAMJ)
      TESTI = 0.0
      TESTE = 0.0
      DO 600 K=1,NUMB
      LI = LIM(K)+1
      LS = LIM(K+1)
      IF(LI .GT. LS) GO TO 600
      DO 500 JJ=LI,LS
      IL = IPH(JJ)/65536-1024
      ILA = IABS(IL)
      IR=(IPH(JJ)-65536*(IL+1024))/32-1024
      IRA = IABS(IR)
      IP = 15*(IPH(JJ)-32*(IPH(JJ)/32))
      IPI = IPHAZ(K)-ISIGN(IPHAZ(ILA),IL)-ISIGN(IPHAZ(IRA),IR)-IP
      IPJ = IORDE(K)-ISIGN(IORDE(ILA),IL)-ISIGN(IORDE(IRA),IR)-IP
      IARG = MOD(IPI-IPJ+3600,360)+1
      TESTI = TESTI+1.0-CTABLE(IARG)
      IARG = MOD(IPI+IPJ+3600,360)+1
      TESTE = TESTE+1.0-CTABLE(IARG)
      IF(TESTI .GT. TEST .AND. TESTE .GT. TEST) GO TO 900
  500 CONTINUE
  600 CONTINUE
      FM(J,4) = -FLOAT(NAMI)
  900 CONTINUE
  950 IEQ = INT(-FM(I,4))
      IF(FM(I,4) .LT. 0.0) WRITE(LT,960) IEQ
  960 FORMAT(1H+,86X,5H= SET,I4)
      IF(FM(I,4) .GE. 0.0) WRITE(LT,970) FM(I,4)
  970 FORMAT(1H+,77X,F16.4)
 1000 CONTINUE
      CALL RTAPE(IPHAZ,IREC,ISET,NUMSET,NUMB,LOUT,NAMI)
 1190 NIX=-1
      WRITE(LOUT) NIX
      WRITE(LOUT) NUMSET,(FM(I,4),I=1,NUMSET)
      RETURN
      END
C     ------------------------------------------------------------------
C     POSITION TAPE FOR READING SET I
      SUBROUTINE RTAPE(IA,IREC,ISET,I,NUMB,LOUT,NAME)
      DIMENSION IA(NUMB)
      ISET = I
      IF(I .GE. IREC) GO TO 10
      IREC = -1
      REWIND LOUT
   10 IREC = IREC+1
      IF(IREC .GT. I) GO TO 20
      READ(LOUT)
      GO TO 10
   20 READ(LOUT) NAME,A,A,A,(IA(K),A,K=1,NUMB)
      RETURN
      END
